<?php
defined('_JEXEC') or die;




/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

$path = ltrim($this->params->slideshowimages, '/');
$files = JFolder::files(JPATH_ROOT.'/'.$path);
$exclude = array('index.html','.','..','.DS_Store');
$files = array_diff($files, $exclude);
$count = count($files);
?>

<!--Thumbs -->
<?php if($count > 1) { ?>
<div id="slideshow-thumbs">
	<?php if($this->params->slidethumbs) { ?>
		<ul>
			<?php 
			
			
			$thumb_path = JPATH_ROOT.'/'.$path.'/thumbs';
			
			if(!JFolder::exists($thumb_path)) {
			
				$thumb_path = JURI::base().'/'.$path.'/';
				
			} else {
				
				$thumb_path = JURI::base().'/'.$path.'/thumbs/';
				
			}
			
			foreach ($files as $key=>$image) { 
			
				$name = str_replace('-', ' ', $image);
				$name = JFile::stripExt($name); 
				$image = $thumb_path.$image;
				?>
				
				<li data-id="<?php echo $key;?>">
					<img data-title="<?php echo $name;?>" style="width: <?php echo $this->params->thumbwidth;?>px;height: <?php echo $this->params->thumbheight;?>px" src="<?php echo $image; ?>" alt="<?php echo $name;?>" />
				</li>
			<?php } ?>
		</ul>
	<?php } ?>
	
	<div class="clearfix"></div>
	
	<?php if($this->params->slidetitle) { ?>
		<div id="slideshow-item-title" class="active">
			<h2>
				<?php if($this->params->slidedownload) { ?>
					<a href=""><span class="download-icon fa fa-download zen-icon zen-icon-download"></span></a>
				<?php } ?>
				
				<span class="title"></span>
			</h2>
		</div>
	<?php } ?>
	
	<?php if($this->params->slidecount) { ?>
		<div id="slideshow-count">
			<span id="current-slide">1</span>
			<span id="current-slide-sep">/</span>
			<span id="total-slides"><?php echo $count;?></span>
		</div>
	<?php } ?>
	
</div>
<?php } ?>

<script>

	jQuery(document).ready(function($) {
		// Set fullscreen state
		$('html').addClass('fullscreen-off');
		
		<?php if($this->countModules('grid1 or grid2 or grid3 or grid4 or grid5 or grid6 or grid7 or grid8 or grid9 or grid10 or grid11 or grid12')) { ?>
			var slideshowDiv = '#toparea';
			$(slideshowDiv).prepend('<div class="pixel"></div>')
		<?php } else { ?>
			var slideshowDiv = '#zen-wrap-inner';
		<?php }?>
		<?php if($count < 2) { ?>
			$('.slideshow-control').hide();
		<?php } ?>
		
		<?php if($this->params->slidetitle) { ?>
			// Set the first active slide
			$('#slideshow-thumbs li[data-id="0"]').addClass('active');
			var title = $("#slideshow-thumbs li[data-id='0'] img").attr('data-title');
			$('#slideshow-item-title h2 span.title').text(title);
		<?php } ?>
		
		 setTimeout(function() {
			$(slideshowDiv).backstretch([
			    <?php 
			    foreach ($files as $image) {
			    echo '"';
			    echo JURI::base().$path.'/'.$image;
			    echo '",';
			    } ?>
			], {duration: <?php echo $this->params->slideshowduration;?>, fade: <?php echo $this->params->transitionspeed;?>,lazyload: true});
			
			
			// Special case for when modules are above the main content area
			$('#zen-wrap-inner.top-row-1 #mainWrap').backstretch([
			    <?php 
			    foreach ($files as $image) {
			    echo '"';
			    echo JURI::base().$path.'/'.$image;
			    echo '",';
			    } ?>
			], {duration: <?php echo $this->params->slideshowduration;?>, fade: <?php echo $this->params->transitionspeed;?>,lazyload: true})
		}, 1200);
		
		
		
		<?php if($this->params->slidenav) {?>
			// Next
			 $('.slideshow-next').click(function () {
	               $(slideshowDiv).backstretch("next");
	               return false;
	            });
	
	
			// Previous
	        $('.slideshow-prev').click(function () {
	            $(slideshowDiv).backstretch("prev");
	            return false;
	        });
        <?php } ?>
        
        
        <?php if($this->params->slideplay) {?>
	        // Pause
	        $('.slideshow-pause').click(function () {
	            $(slideshowDiv).backstretch("pause");
	            $(this).hide();
	            $('.slideshow-resume').show();
	            return false;
	        });
	        
	        // Play
	        $('.slideshow-resume').click(function () {
	            $(slideshowDiv).backstretch("resume");
	            $(this).hide();
	            $('.slideshow-pause').show();
	            return false;
	        });
        <?php } ?>
        
        <?php if($this->params->slidefullscreen) {?>
        // Click when full screen is off
        $('.fullscreen-off .slideshow-expand').live('click', function () {
            $('.pixel,.no-full, #banner, #footerwrap,#logowrap').fadeOut('slow');
            $('html').removeClass('fullscreen-off').addClass('fullscreen-on');
            return false;
        });
        
        
        // Click when fullscreen is on
        $('.fullscreen-on .slideshow-expand').live('click', function () {
            $('.pixel,.no-full, #banner, #footerwrap,#logowrap').fadeIn('slow');
             $('html').removeClass('fullscreen-on').addClass('fullscreen-off');
            return false;
        });
        <?php } ?>
        
        
        <?php if($this->params->slidethumbs || $this->params->slidetitle) {?>
        // Thumbnail Navigation
        $(window).on("backstretch.before", function (e, instance, index) {
		
			$("#slideshow-thumbs li").removeClass('active');
            $("#slideshow-thumbs li[data-id='" + index + "']").addClass('active');
     
            // Increment the count in total slides
            $('#current-slide').text(index + 1);
            
            // Set the slideshow title
            var title = $("#slideshow-thumbs li[data-id='" + index + "'] img").attr('data-title');
            var image = $("#slideshow-thumbs li[data-id='" + index + "'] img").attr('src');
			$('#slideshow-item-title').removeClass('active');
			
			// Set the slideshow download
			// Remove existing and add new
			$('#slideshow-item-title a').attr('href', image).attr('download', image);
        });
        
        
        $(window).on("backstretch.after", function (e, instance, index) {
        	var title = $("#slideshow-thumbs li[data-id='" + index + "'] img").attr('data-title');
        	$('#slideshow-item-title h2 span.title').text(title).parent().parent().addClass('active');
        	
        
        });

       $('#slideshow-thumbs li').on('click',function () {
  
  			$('#slideshow-thumbs li').removeClass('active');
  			$(this).addClass('active');
           
           	var slide = $(this).attr('data-id');
           	$(slideshowDiv).backstretch("show", slide);
           	
           	setTimeout(function() {
           		$(slideshowDiv).backstretch("resume");
           	}, <?php echo $this->params->slideshowduration;?>);
           	slide = parseInt(slide);
           	$('#current-slide').text(slide + 1);
     
           	var title = $("#slideshow-thumbs li[data-id='" + slide + "'] img").attr('data-title');
           	$('#slideshow-item-title').removeClass('active');
       });
       <?php } ?>
  
		
		// Trigger backstretch resize for tabs etc
		$('span, a,li,h3,.zentitle').click(function () {
				
			setTimeout(	
				function() {
				
					// Call backstretch
					var instance = $(slideshowDiv).data("backstretch");
					
					// Call the resize method
					instance.resize();
					
				}, 600)
			 
			
		});

	});
    
  </script>