<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

	// Determines the layout type to use.
	// Cant use the standard spotlight function because we need to 
	// Source order the columns here so main content is always on top
	// When collapsed.
	
	$main_layout = $this->layout->main->positions;
	$sidebar1=0;
	$sidebar2=0;
	$sidebar1_offset="";
	$sidebar2_offset="";
	$main_offset="";
	$layout_type="";
	
	foreach ($main_layout as $module => $layout) {
			
			if($module == "maincontent") {
				$layout_type.="m";
			} elseif ($module == "sidebar1") {
				
				$sidebar1=$this->joomla->countModules('sidebar1')?1:0;
				
			
					$layout_type.="l";
				
				
			} else {
				
				$sidebar2=$this->joomla->countModules('sidebar2')?1:0;
				
			
					$layout_type.="r";
			
			}
	}	
	
	
	// Set the value for the layout
	if($sidebar1 + $sidebar2 == 0) {
		$layout = 'fullwidth';
	}
	elseif ($sidebar1 && !$sidebar2) {
		$layout = 'sidebar1_layout_only';
	} elseif (!$sidebar1 && $sidebar2) {
		$layout = 'sidebar2_layout_only';
	} else {
		$layout = '3columns';
	}
	
	
	
	if($layout_type=="lmr") {
		
		if($layout =="3columns") {
			$sidebar1_offset = "zen-pull zen-pull-".$main_layout->maincontent;
			$main_offset = "zen-push zen-push-". ($main_layout->sidebar1);
			echo '';
		}
		elseif($layout =="sidebar1_layout_only") {
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar2;
			$sidebar1_offset = "zen-pull zen-pull-".$main_layout->maincontent;
			$main_offset = "zen-push zen-push-". ($main_layout->sidebar1);
		}
		elseif($layout =="sidebar2_layout_only") {
		
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar1;
			$sidebar2_offset = "zen-pull zen-pull-".$main_layout->maincontent;
			$main_offset = "zen-push zen-push-". ($main_layout->sidebar2);
		}
					
	} elseif($layout_type=="rm") {
	
		if($sidebar2) {
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar1;
			$sidebar2_offset = "zen-pull zen-pull-".$main_layout->maincontent;
			$main_offset = "zen-push zen-push-". ($main_layout->sidebar2);
		}
		else {
			
		}
		
	} 	elseif($layout_type=="lrm") {
	
		if($sidebar1 && $sidebar2) {
			$sidebar2_offset = "zen-pull zen-pull-".$main_layout->maincontent;
			$main_offset = $main_layout->sidebar1 + $main_layout->sidebar2;
			$main_offset = "zen-push zen-push-".$main_offset;
			$sidebar1_offset= "zen-pull zen-pull-".$main_layout->maincontent;
		}
		elseif($sidebar1) {
			$main_offset = $main_layout->sidebar1;
			$main_offset = "zen-push zen-push-".$main_offset;
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar2;
			$sidebar1_offset = "zen-pull zen-pull-".$main_layout->maincontent;
		}
		elseif($sidebar2) {
			$main_offset = $main_layout->sidebar2;
			$main_offset = "zen-push zen-push-".$main_offset;
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar1;
			$sidebar2_offset = "zen-pull zen-pull-".$main_layout->maincontent;
		}
	} elseif($layout_type=="mlr" or $layout_type=="mrl") {
		
		if(!$sidebar1) {
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar1;
		} elseif(!$sidebar2)  {
			$main_layout->maincontent = $main_layout->maincontent + $main_layout->sidebar2;
		}
	
	} 
	
	
	// Check if it should be full width layout
	if($sidebar1 + $sidebar2 == 0) {
		$main_layout->maincontent = 12;
	} 
	
 
	$toprow	= 0;
	
	if($this->countModules('grid1 or grid2 or grid3 or grid4 or grid5 or grid6 or grid7 or grid8 or grid9 or grid10 or grid11 or grid12')) {
		$toprow	= 1;
	}

?>

<!-- MAIN CONTENT -->
<section data-id="main" id="mainWrap" class="clearfix no-full <?php echo $layout_type;?> <?php echo $this->rowClass('main');?> <?php if(!$toprow) { ?> noborder<?php } ?>">
	<a id="main-link" name="main-link"></a>
	
	<?php if ($this->countModules('above')) : ?>
	<section id="abovewrap" class="clearfix">
		<div class="zen-container">
			<div class="zen-row">
				<div class="zen-spotlight">
				
					<!-- Banner-slogan -->
					<div id="above" class="zg-col zg-col-12">
						  <jdoc:include type="modules" name="above" style="zendefault" />
					</div>
					<!-- //breadcrumb -->
				</div>
			</div>
		</div>
	</section>
	<?php endif ?>
	
	
	<?php if ($this->countModules('breadcrumb')) : ?>
	<section id="breadcrumbwrap" class="clearfix">
		<div class="zen-container">
			<div class="zen-row">
				<div class="zen-spotlight">
				
					<!-- Banner-slogan -->
					<div id="breadcrumb" class="zg-col zg-col-12">
						  <jdoc:include type="modules" name="breadcrumb" style="zendefault" />
					</div>
					<!-- //breadcrumb -->
				</div>
			</div>
		</div>
	</section>
	<?php endif ?>
	
	
	<div class="zen-container">
		<div class="zen-row">
			<div class="mainwrap zen-spotlight">
				
				
				<?php if ($this->countModules('tabs')) : ?>
					<?php $this->loadBlock('tabs'); ?>
				<?php endif;?>
				
				
				
				<div id="midCol" class="zg-col zg-col-<?php echo $main_layout->maincontent;?> <?php echo $main_offset;?>">
					<div class="main-content-inner">
						<?php $this->loadblock('main-content');?>
					</div>
				</div>
				<?php if($sidebar1) { ?>
				<div id="sidebar-1" class="sidebar zg-col zg-col-<?php echo $main_layout->sidebar1;?> <?php echo $sidebar1_offset;?>" role="complementary">
					<jdoc:include type="modules" name="sidebar1" style="zendefault" />

				</div>
				<?php } ?>
				<?php if($sidebar2) {?>
				<div id="sidebar-2" class="sidebar zg-col zg-col-<?php echo $main_layout->sidebar2;?>  <?php echo $sidebar2_offset;?>" role="complementary">
					<jdoc:include type="modules" name="sidebar2" style="zendefault" />
				</div>
				<?php } ?>
				
				<?php if ($this->countModules('belowcontent')) : ?>
				<div class="clearfix"></div>
				<!-- Above -->
				<div id="belowcontent">
					<jdoc:include type="modules" name="belowcontent" style="zendefault" />
				</div>
				<!-- //Above -->
				<?php endif ?>
				
				<?php if ($this->countModules('belowinner')) : ?>
				<div class="clearfix"></div>
				<!-- Above -->
				<div id="below-inner">
					<jdoc:include type="modules" name="belowinner" style="zendefault" />
				</div>
				<!-- //Above -->
				<?php endif ?>
				
			</div>
		</div>
	</div>
	
	<?php if ($this->countModules('below')) : ?>
	<section id="belowwrap" class="clearfix">
		<div class="zen-container">
			<div class="zen-row">
				<div class="zen-spotlight">
				
					<!-- Banner-slogan -->
					<div id="below" class="zg-col zg-col-12">
						  <jdoc:include type="modules" name="below" style="zendefault" />
					</div>
					<!-- //breadcrumb -->
				</div>
			</div>
		</div>
	</section>
	<?php endif ?>

<?php if($this->params->use_pixel && $toprow) { ?>
	<div class="pixel"></div>
<?php }?>
</section>