# ************************************************************
# Sequel Pro SQL dump
# Version 4096
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: localhost (MySQL 5.5.25)
# Database: qs32_Focus2
# Generation Time: 2015-01-08 03:11:31 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table #__assets
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__assets`;

CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__assets` WRITE;
/*!40000 ALTER TABLE `#__assets` DISABLE KEYS */;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`)
VALUES
	(1,0,1,814,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(2,1,2,3,1,'com_admin','com_admin','{}'),
	(3,1,4,7,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(4,1,8,9,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(5,1,10,11,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(6,1,12,13,1,'com_config','com_config','{}'),
	(7,1,14,17,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(8,1,18,165,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),
	(9,1,166,167,1,'com_cpanel','com_cpanel','{}'),
	(10,1,168,169,1,'com_installer','com_installer','{\"core.admin\":[],\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),
	(11,1,170,171,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(12,1,172,173,1,'com_login','com_login','{}'),
	(13,1,174,175,1,'com_mailto','com_mailto','{}'),
	(14,1,176,177,1,'com_massmail','com_massmail','{}'),
	(15,1,178,179,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),
	(16,1,180,181,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(17,1,182,183,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(18,1,184,637,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(19,1,638,641,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(20,1,642,643,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(21,1,644,645,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),
	(22,1,646,647,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
	(23,1,648,649,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(24,1,650,653,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(25,1,654,657,1,'com_weblinks','com_weblinks','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),
	(26,1,658,659,1,'com_wrapper','com_wrapper','{}'),
	(27,8,19,20,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(28,3,5,6,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(29,7,15,16,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(30,19,639,640,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(31,25,655,656,2,'com_weblinks.category.6','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(32,24,651,652,2,'com_users.category.7','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(33,1,660,661,1,'com_finder','com_finder','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
	(34,1,662,663,1,'com_joomlaupdate','com_joomlaupdate','{\"core.admin\":[],\"core.manage\":[],\"core.delete\":[],\"core.edit.state\":[]}'),
	(35,8,21,62,2,'com_content.category.8','Features','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(42,8,63,70,2,'com_content.category.9','Services','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(43,8,71,78,2,'com_content.category.10','Work','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(44,8,79,88,2,'com_content.category.11','News','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(45,8,89,150,2,'com_content.category.12','About Us','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(46,45,90,93,3,'com_content.category.13','About the company','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(47,45,94,107,3,'com_content.category.14','Meet the team','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(48,45,108,121,3,'com_content.category.15','Testimonials','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(49,45,122,135,3,'com_content.category.16','Frequently asked questions','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(50,45,136,147,3,'com_content.category.17','Quotes','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(51,42,64,65,3,'com_content.article.7','Cras nec lorem eget','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(52,42,66,67,3,'com_content.article.8','Class aptent taciti ','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(53,45,148,149,3,'com_content.article.9','Services #3','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(54,42,68,69,3,'com_content.article.10','Aenean pulvinar, nisi','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(56,43,72,73,3,'com_content.article.12','Mobile solutions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(57,43,74,75,3,'com_content.article.13','Tonal development','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(58,43,76,77,3,'com_content.article.14','Project #4','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(59,44,80,81,3,'com_content.article.15','News #1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(60,44,82,83,3,'com_content.article.16','News #2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(61,44,84,85,3,'com_content.article.17','News #3','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(62,44,86,87,3,'com_content.article.18','News #4','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(63,46,91,92,4,'com_content.article.19','About The Company','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(64,47,95,96,4,'com_content.article.20','Carol Smith','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(65,47,97,98,4,'com_content.article.21','Julie Sanders','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(66,47,99,100,4,'com_content.article.22','Patrick Johnson','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(67,47,101,102,4,'com_content.article.23','Samantha Cook','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(68,47,105,106,4,'com_content.article.24','Thomas Ewing','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(69,47,103,104,4,'com_content.article.25','Walter Brown','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(70,48,109,110,4,'com_content.article.26','Testimonial #1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(71,48,111,112,4,'com_content.article.27','Testimonial #2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(72,48,113,114,4,'com_content.article.28','Testimonial #3','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(73,48,115,116,4,'com_content.article.29','Testimonial #4','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(74,48,117,118,4,'com_content.article.30','Testimonial #5','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(75,48,119,120,4,'com_content.article.31','Testimonial #6','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(76,49,123,124,4,'com_content.article.32','Q: Fusce scelerisque laoreet leo a porttitor. Cras condimentum facilisis dignissim.?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(77,49,125,126,4,'com_content.article.33','Q: morbi tristique senectus et netus et?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(78,49,127,128,4,'com_content.article.34','Q: Nullam quam felis, varius non dictum ornare, volutpat sed est?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(79,49,129,130,4,'com_content.article.35','Q: Praesent sit amet quam tellus?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(80,49,131,132,4,'com_content.article.36','Q: Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(81,49,133,134,4,'com_content.article.37','Q: Vestibulum in turpis nulla, hendrerit pulvinar tellus?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(82,50,137,138,4,'com_content.article.38','Alfred Stieglitz','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(83,50,139,140,4,'com_content.article.39','Ansell Adams','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(84,50,141,142,4,'com_content.article.40','Ernst Haas','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(85,8,151,152,2,'com_content.category.18','Demo content','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(98,99,37,38,4,'com_content.article.51','Typography','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(99,35,36,41,3,'com_content.category.19','Typography','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(100,35,22,35,3,'com_content.category.20','ZenTools Module','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(102,103,43,44,4,'com_content.article.53','Module classes','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(103,35,42,55,3,'com_content.category.21','Template Features','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(104,103,45,46,4,'com_content.article.54','Module Positions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(127,100,23,24,4,'com_content.article.70','Zentools Accordion','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(128,100,25,26,4,'com_content.article.71','Zentools Carousel','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(129,100,27,28,4,'com_content.article.72','ZenTools List','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(131,100,29,30,4,'com_content.article.74','Zentools Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(132,100,31,32,4,'com_content.article.75','Zentools Grid','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(133,100,33,34,4,'com_content.article.76','Zentools Filter','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(136,99,39,40,4,'com_content.article.79','Font Icons','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1380,1,722,723,1,'com_tags','com_tags','{\"core.admin\":[],\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1381,1,724,725,1,'com_contenthistory','com_contenthistory','{\"core.admin\":[],\"core.manage\":[]}'),
	(1382,1,726,727,1,'com_ajax','com_ajax','{\"core.admin\":[],\"core.manage\":[]}'),
	(1383,1,728,729,1,'com_postinstall','com_postinstall','{\"core.manage\":[],\"core.edit.state\":[]}'),
	(1384,18,185,186,2,'com_modules.module.314','Top 1 custom text','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1385,18,187,188,2,'com_modules.module.88','ZenTools Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1386,18,189,190,2,'com_modules.module.264','Topmenu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1387,18,191,192,2,'com_modules.module.128','Frontpage Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1388,18,193,194,2,'com_modules.module.304','Annual Sale','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1389,18,195,196,2,'com_modules.module.315','ZenTools Carousel','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1390,18,197,198,2,'com_modules.module.316','Two Beautiful Locations','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1392,18,199,200,2,'com_modules.module.235','A tab module','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1393,18,201,202,2,'com_modules.module.317','Some more about us','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1394,18,203,204,2,'com_modules.module.232','We are very social ...','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1395,18,205,206,2,'com_modules.module.300','Like to know more?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1397,18,207,208,2,'com_modules.module.123','Like the way we work?','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1398,18,209,210,2,'com_modules.module.125','Awards','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1400,18,211,212,2,'com_modules.module.318','Accordion Menu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1403,18,213,214,2,'com_modules.module.312','Zentools Accordion','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1404,18,215,216,2,'com_modules.module.319','Bottom Extra','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1405,18,217,218,2,'com_modules.module.320','Frequently Asked Questions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1406,18,219,220,2,'com_modules.module.321','Latest Gallery','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1407,18,221,222,2,'com_modules.module.322','JB Maps','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1408,18,223,224,2,'com_modules.module.107','This is the first tab','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1409,18,225,226,2,'com_modules.module.182','Another tab','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1410,18,227,228,2,'com_modules.module.191','Zentools in a slider','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1411,18,229,230,2,'com_modules.module.176','Slider','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1412,18,231,232,2,'com_modules.module.189','Zentools in a popover','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1414,18,233,234,2,'com_modules.module.295','Cart','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1415,18,235,236,2,'com_modules.module.323','Login','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1416,18,237,238,2,'com_modules.module.324','Banner Image','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1417,18,239,240,2,'com_modules.module.325','Off Canvas position','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1432,18,263,264,2,'com_modules.module.106','Panel','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1433,18,265,266,2,'com_modules.module.172','Sidebar1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1435,18,267,268,2,'com_modules.module.104','Our Services','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1436,18,269,270,2,'com_modules.module.353','Powerfully responsive','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1437,18,271,272,2,'com_modules.module.354','search','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1439,18,273,274,2,'com_modules.module.233','Zentools in a menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1442,18,275,276,2,'com_modules.module.97','Project1 Gallery','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1443,18,277,278,2,'com_modules.module.91','ZenTools Carousel','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1446,18,281,282,2,'com_modules.module.89','ZenTools Slideshow Flat','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1447,18,283,284,2,'com_modules.module.356','Logo','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1448,18,285,286,2,'com_modules.module.357','Logo','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1467,18,321,322,2,'com_modules.module.375','Logo Position','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1468,18,323,324,2,'com_modules.module.376','Logo Position','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1469,18,325,326,2,'com_modules.module.377','Logo','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1470,18,327,328,2,'com_modules.module.378','Logo','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1471,18,329,330,2,'com_modules.module.379','Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1472,18,331,332,2,'com_modules.module.380','Banner Aside','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1473,18,333,334,2,'com_modules.module.381','Banner Slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1474,18,335,336,2,'com_modules.module.382','Our Services','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1475,18,337,338,2,'com_modules.module.383','Dolor Ipsum What','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1489,18,339,340,2,'com_modules.module.301','Need to talk to us','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1490,18,341,342,2,'com_modules.module.384','A tabbed module','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1497,18,343,344,2,'com_modules.module.385','Zentools Filter','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1499,18,345,346,2,'com_modules.module.187','abovecontent','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1500,18,347,348,2,'com_modules.module.386','Top1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1501,18,349,350,2,'com_modules.module.387','Top2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1502,18,351,352,2,'com_modules.module.388','Top3','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1503,18,353,354,2,'com_modules.module.389','IceMegaMenu Module','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1504,18,355,356,2,'com_modules.module.390','Bootstrap Mega Menu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1505,18,357,358,2,'com_modules.module.391','RokNavMenu','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1506,18,359,360,2,'com_modules.module.392','Zen Menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1510,18,361,362,2,'com_modules.module.171','Sidebar2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1511,18,363,364,2,'com_modules.module.302','We accept these cards','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1512,18,365,366,2,'com_modules.module.299','Find out what\'s happening','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1514,18,367,368,2,'com_modules.module.273','Zentools Filter','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1515,35,56,57,3,'com_content.article.81','Speedy out of the box','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1516,18,369,370,2,'com_modules.module.393','Off Canvas Right','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1517,18,371,372,2,'com_modules.module.394','Banner Slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1518,18,373,374,2,'com_modules.module.395','Header Slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1519,18,375,376,2,'com_modules.module.396','A Light Footprint','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1520,18,377,378,2,'com_modules.module.397','Our Services','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1521,18,379,380,2,'com_modules.module.398','Featured Articles','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1524,18,381,382,2,'com_modules.module.399','Hidden Panel','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1525,18,383,384,2,'com_modules.module.120','Menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1526,18,385,386,2,'com_modules.module.400','Responsive Menu options','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1527,18,387,388,2,'com_modules.module.443','Frontpage Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1528,18,389,390,2,'com_modules.module.444','Featured Items','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1529,18,391,392,2,'com_modules.module.445','Biography of a maker','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1530,18,393,394,2,'com_modules.module.446','About Us','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1531,18,395,396,2,'com_modules.module.447','Quote for today','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1532,18,397,398,2,'com_modules.module.448','Powerful Services','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1533,18,399,400,2,'com_modules.module.449','Triumvirate Special','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1534,18,401,402,2,'com_modules.module.450','Popular Items','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1535,18,403,404,2,'com_modules.module.451','New Items','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1536,18,405,406,2,'com_modules.module.452','Header slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1537,18,407,408,2,'com_modules.module.453','Header Slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1539,18,409,410,2,'com_modules.module.468','Cart','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1540,103,47,48,4,'com_content.article.98','Using Module Classes','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1541,18,411,412,2,'com_modules.module.469','A tab position','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1542,18,413,414,2,'com_modules.module.470','The last tab position','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1543,18,415,416,2,'com_modules.module.471','Shop Menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1544,18,417,418,2,'com_modules.module.473','Featured Products','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1545,18,419,420,2,'com_modules.module.474','Latest Products','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1546,18,421,422,2,'com_modules.module.457','Recently viewed','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1547,18,423,424,2,'com_modules.module.454','Associated products','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1548,18,425,426,2,'com_modules.module.466','Shopping Cart','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1549,18,427,428,2,'com_modules.module.116','Grid1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1550,18,429,430,2,'com_modules.module.149','Grid10','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1551,18,431,432,2,'com_modules.module.150','Grid11','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1552,18,433,434,2,'com_modules.module.151','Grid12','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1553,18,435,436,2,'com_modules.module.152','Grid13','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1554,18,437,438,2,'com_modules.module.153','Grid14','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1555,18,439,440,2,'com_modules.module.154','Grid15','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1556,18,441,442,2,'com_modules.module.402','Top3','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1557,18,443,444,2,'com_modules.module.475','Banner Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1558,18,445,446,2,'com_modules.module.476','Grid1 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1559,18,447,448,2,'com_modules.module.477','Grid2 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1560,18,449,450,2,'com_modules.module.478','Grid3 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1561,18,451,452,2,'com_modules.module.479','Grid4 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1562,18,453,454,2,'com_modules.module.480','Grid5 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1563,18,455,456,2,'com_modules.module.481','Grid6 Row','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1564,18,457,458,2,'com_modules.module.401','Easy Asset Control','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1565,103,49,50,4,'com_content.article.93','One Page Mode','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1566,18,459,460,2,'com_modules.module.441','JB Maps2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1567,1,800,801,1,'#__ucm_content.25','#__ucm_content.25','[]'),
	(1568,18,461,462,2,'com_modules.module.405','Sidebar1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1569,103,51,52,4,'com_content.article.96','Performance and Asset control','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1570,18,463,464,2,'com_modules.module.183','Bottom1','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1571,18,465,466,2,'com_modules.module.165','Bottom2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1572,18,467,468,2,'com_modules.module.166','Bottom3','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1573,18,469,470,2,'com_modules.module.167','Bottom4','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1574,18,471,472,2,'com_modules.module.168','Bottom5','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1575,18,473,474,2,'com_modules.module.169','Bottom6','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1576,18,475,476,2,'com_modules.module.462','Brands','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1577,18,477,478,2,'com_modules.module.482','This month\'s activity','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1578,18,479,480,2,'com_modules.module.119','Footer menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1579,18,483,484,2,'com_modules.module.298','Breadcrumbs','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1580,18,485,486,2,'com_modules.module.483','Banner Slogan','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1581,18,487,488,2,'com_modules.module.484','Front Slideshow','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1582,1,802,803,1,'#__ucm_content.13','#__ucm_content.13','[]'),
	(1583,1,804,805,1,'#__ucm_content.7','#__ucm_content.7','[]'),
	(1584,50,143,144,4,'com_content.article.101','Paul Strand','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1585,1,806,807,1,'#__ucm_content.26','#__ucm_content.26','[]'),
	(1586,50,145,146,4,'com_content.article.102','Martin Parr','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1587,1,808,809,1,'#__ucm_content.27','#__ucm_content.27','[]'),
	(1588,18,489,490,2,'com_modules.module.404','Main Menu','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1589,18,491,492,2,'com_modules.module.117','Grid2','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1590,18,493,494,2,'com_modules.module.485','Exhibitions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1591,18,495,496,2,'com_modules.module.486','Work','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1592,18,497,498,2,'com_modules.module.487','About Me','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1593,8,153,164,2,'com_content.category.22','Exhibitions','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(1594,1593,154,155,3,'com_content.article.103','Melbourne Austalian Photography Exhibition','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1595,1593,156,157,3,'com_content.article.104','Berlin Street photography expo','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1596,1593,158,159,3,'com_content.article.105','Underground Tunnel Collective','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1597,1593,160,161,3,'com_content.article.106','SXSW Inaugural Foot photos','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1598,1593,162,163,3,'com_content.article.107','Pole vs Pole','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1599,18,499,500,2,'com_modules.module.488','Exhibitions','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1600,18,501,502,2,'com_modules.module.489','My work speaks for itself','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1601,103,53,54,4,'com_content.article.86','Layout builder','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1602,1,810,811,1,'com_contenttemplater','com_contenttemplater','{\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1604,18,503,504,2,'com_modules.module.221','Icon Example 4','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1605,18,505,506,2,'com_modules.module.198','Secondary3',''),
	(1606,18,507,508,2,'com_modules.module.201','Light',''),
	(1607,18,509,510,2,'com_modules.module.439','Icon Example 3',''),
	(1608,18,511,512,2,'com_modules.module.440','Icon Example 5',''),
	(1609,18,513,514,2,'com_modules.module.219','Icon Example1',''),
	(1610,18,515,516,2,'com_modules.module.434','Icon Example 9',''),
	(1611,18,517,518,2,'com_modules.module.437','Icon Example 2',''),
	(1612,18,519,520,2,'com_modules.module.433','Icon Example 6',''),
	(1613,18,521,522,2,'com_modules.module.438','Icon Example 7',''),
	(1614,18,523,524,2,'com_modules.module.436','Icon Example 8',''),
	(1615,18,525,526,2,'com_modules.module.223','Icon Example 12',''),
	(1616,18,527,528,2,'com_modules.module.435','Icon Example 11',''),
	(1617,18,529,530,2,'com_modules.module.196','Secondary1',''),
	(1618,18,531,532,2,'com_modules.module.197','Secondary2',''),
	(1619,18,533,534,2,'com_modules.module.206','Inset',''),
	(1620,18,535,536,2,'com_modules.module.222','Icon Example 10',''),
	(1621,18,537,538,2,'com_modules.module.409','Border secondary1',''),
	(1622,18,539,540,2,'com_modules.module.415','Inset Shadow',''),
	(1623,18,541,542,2,'com_modules.module.193','Primary1',''),
	(1624,18,543,544,2,'com_modules.module.207','Inset Shadow2',''),
	(1625,18,545,546,2,'com_modules.module.194','Primary2',''),
	(1626,18,547,548,2,'com_modules.module.410','Border secondary2',''),
	(1627,18,549,550,2,'com_modules.module.423','New Primary1',''),
	(1628,18,551,552,2,'com_modules.module.195','Primary3',''),
	(1629,18,553,554,2,'com_modules.module.216','New Primary2',''),
	(1630,18,555,556,2,'com_modules.module.411','Border secondary3',''),
	(1631,18,557,558,2,'com_modules.module.407','Border primary2',''),
	(1632,18,559,560,2,'com_modules.module.416','Inset Secondary1',''),
	(1633,18,561,562,2,'com_modules.module.424','New Primary3',''),
	(1634,18,563,564,2,'com_modules.module.209','Inset Secondary2',''),
	(1635,18,565,566,2,'com_modules.module.406','Border primary1',''),
	(1636,18,567,568,2,'com_modules.module.425','New Secondary1',''),
	(1637,18,569,570,2,'com_modules.module.218','New Secondary2',''),
	(1638,18,571,572,2,'com_modules.module.408','Border primary2',''),
	(1639,18,573,574,2,'com_modules.module.414','Inset Secondary3',''),
	(1640,18,575,576,2,'com_modules.module.199','Dark',''),
	(1641,18,577,578,2,'com_modules.module.208','Inset Primary1',''),
	(1642,18,579,580,2,'com_modules.module.210','Corner Secondary1',''),
	(1643,18,581,582,2,'com_modules.module.213','Corner Secondary2',''),
	(1644,18,583,584,2,'com_modules.module.412','Inset Primary2',''),
	(1645,18,585,586,2,'com_modules.module.426','New Secondary3',''),
	(1646,18,587,588,2,'com_modules.module.215','Hot Primary1',''),
	(1647,18,589,590,2,'com_modules.module.413','Inset Primary3',''),
	(1648,18,591,592,2,'com_modules.module.418','Corner Secondary3',''),
	(1649,18,593,594,2,'com_modules.module.211','Corner Primary1',''),
	(1650,18,595,596,2,'com_modules.module.419','Hot Primary2',''),
	(1651,18,597,598,2,'com_modules.module.212','Corner Primary2',''),
	(1652,18,599,600,2,'com_modules.module.420','Hot Primary3',''),
	(1653,18,601,602,2,'com_modules.module.432','This is an example of a small-heading class',''),
	(1654,18,603,604,2,'com_modules.module.217','Hot Secondary1',''),
	(1655,18,605,606,2,'com_modules.module.417','Corner Primary3',''),
	(1656,18,607,608,2,'com_modules.module.427','Rounded',''),
	(1657,18,609,610,2,'com_modules.module.202','Shadow',''),
	(1658,18,611,612,2,'com_modules.module.421','Hot Secondary2',''),
	(1659,18,613,614,2,'com_modules.module.429','Right-heading',''),
	(1660,18,615,616,2,'com_modules.module.422','Hot Secondary3',''),
	(1661,18,617,618,2,'com_modules.module.430','Centered',''),
	(1662,18,619,620,2,'com_modules.module.431','Center-heading',''),
	(1663,18,621,622,2,'com_modules.module.200','Shadow2',''),
	(1664,18,623,624,2,'com_modules.module.428','Large',''),
	(1665,18,625,626,2,'com_modules.module.203','Border',''),
	(1666,18,627,628,2,'com_modules.module.185','belowcontent',''),
	(1667,18,629,630,2,'com_modules.module.490','Make Contact','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1668,18,631,632,2,'com_modules.module.491','Template Features','{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
	(1669,35,58,59,3,'com_content.article.100','Bootstrap2 Test page','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1670,35,60,61,3,'com_content.article.99','Bootstrap3 Test page','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1671,18,633,634,2,'com_modules.module.492','belowcontent','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(1672,18,635,636,2,'com_modules.module.493','belowcontent 2','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');

/*!40000 ALTER TABLE `#__assets` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__banner_clients
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banner_clients`;

CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__banner_tracks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banner_tracks`;

CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__banners
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banners`;

CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__categories
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__categories`;

CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__categories` WRITE;
/*!40000 ALTER TABLE `#__categories` DISABLE KEYS */;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`)
VALUES
	(1,0,0,0,51,0,'','system','ROOT',X'726F6F74','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(6,31,1,9,10,1,'uncategorised','com_weblinks','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(7,32,1,11,12,1,'uncategorised','com_users','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',214,'2011-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),
	(8,35,1,13,20,1,'features','com_content','Features',X'6665617475726573','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:03:55',0,'0000-00-00 00:00:00',28,'*',1),
	(9,42,1,21,22,1,'services','com_content','Services',X'7365727669636573','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:21:46',0,'0000-00-00 00:00:00',163,'*',1),
	(10,43,1,23,24,1,'work','com_content','Work',X'776F726B','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:21:59',0,'0000-00-00 00:00:00',107,'*',1),
	(11,44,1,25,26,1,'news','com_content','News',X'6E657773','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:22:08',0,'0000-00-00 00:00:00',254,'*',1),
	(12,45,1,27,38,1,'about-us','com_content','About Us',X'61626F75742D7573','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:22:15',0,'0000-00-00 00:00:00',1,'*',1),
	(13,46,12,28,29,2,'about-us/about-the-company','com_content','About the company',X'61626F75742D7468652D636F6D70616E79','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:22:31',0,'0000-00-00 00:00:00',0,'*',1),
	(14,47,12,30,31,2,'about-us/meet-the-team','com_content','Meet the team',X'6D6565742D7468652D7465616D','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:22:43',0,'0000-00-00 00:00:00',451,'*',1),
	(15,48,12,32,33,2,'about-us/testimonials','com_content','Testimonials',X'74657374696D6F6E69616C73','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:22:55',0,'0000-00-00 00:00:00',18,'*',1),
	(16,49,12,34,35,2,'about-us/frequently-asked-questions','com_content','Frequently asked questions',X'6672657175656E746C792D61736B65642D7175657374696F6E73','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:23:14',0,'0000-00-00 00:00:00',26,'*',1),
	(17,50,12,36,37,2,'about-us/quotes','com_content','Quotes',X'71756F746573','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 08:23:25',0,'0000-00-00 00:00:00',0,'*',1),
	(18,85,1,39,40,1,'demo-content','com_content','Demo content',X'64656D6F2D636F6E74656E74','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 09:00:04',0,'0000-00-00 00:00:00',3,'*',1),
	(19,99,8,16,17,2,'features/typography','com_content','Typography',X'7479706F677261706879','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 21:16:39',933,'2012-12-20 23:28:10',0,'*',1),
	(20,100,8,14,15,2,'features/zentools-module','com_content','ZenTools Module',X'7A656E746F6F6C732D6D6F64756C65','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 21:16:49',0,'0000-00-00 00:00:00',73,'*',1),
	(21,103,8,18,19,2,'features/template-features','com_content','Template Features',X'74656D706C6174652D6665617475726573','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2012-12-20 23:28:34',0,'0000-00-00 00:00:00',0,'*',1),
	(22,1593,1,49,50,1,'exhibitions','com_content','Exhibitions',X'65786869626974696F6E73','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2014-12-21 23:27:30',0,'0000-00-00 00:00:00',0,'*',1);

/*!40000 ALTER TABLE `#__categories` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__contact_details
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__contact_details`;

CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__contact_details` WRITE;
/*!40000 ALTER TABLE `#__contact_details` DISABLE KEYS */;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`)
VALUES
	(1,'Frankie Hubbert',X'6672616E6B2D68756262657274','Head of solutions','401 Collins St, Melbourne,\r\nVic, 3000.','Melbourne','Vic','Australia','3067','0412041253','','','images/democontent/lazy-summer/IMG_9985.jpg','Email@email.com',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_tags\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":false,\"linkb_name\":\"\",\"linkb\":false,\"linkc_name\":\"\",\"linkc\":false,\"linkd_name\":\"\",\"linkd\":false,\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',501,4,1,'0412041253','http://www.example.com','','','','*','2014-03-21 00:21:14',214,'','2014-12-16 00:21:09',501,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',8,151);

/*!40000 ALTER TABLE `#__contact_details` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content`;

CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__content` WRITE;
/*!40000 ALTER TABLE `#__content` DISABLE KEYS */;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`)
VALUES
	(7,51,'Cras nec lorem eget',X'73657276696365732D31','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Features</h2>\r\n<ul class=\"simple\">\r\n<li>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est,</li>\r\n<li>Nunc venenatis dapibus fermentum.</li>\r\n<li>In luctus sapien sit amet velit vulputate et mollis elit bibendum.</li>\r\n<li>Donec ornare, diam sit amet imperdiet tincidunt.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>What do our customers say?</h2>\r\n<p>{zen-quote}Aenean pulvinar, nisi vitae volutpat molestie, sapien ligula imperdiet metus, quis sagittis nunc justo id ante. Maecenas id quam ut nunc molestie pharetra. Fusce facilisis vehicula consequat. Nam egestas lectus sodales risus elementum a fermentum nisl viverra. Sed tempus scelerisque lectus nec euismod. Cras vel justo ac mi interdum accumsan.{/zen-quote}</p>\r\n<p>{zen-author}Another happy customer{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Get in touch</h2>\r\n<p>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est, vel tincidunt dolor dolor non mi. Nunc venenatis dapibus fermentum. In luctus sapien sit amet velit vulputate et mollis elit bibendum. Donec ornare, diam sit amet imperdiet tincidunt, nisi elit congue mauris, vel consequat urna leo semper arcu.</p>',1,9,'2012-12-20 08:23:54',214,'','2014-12-20 22:15:27',214,0,'0000-00-00 00:00:00','2012-12-20 08:23:54','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_intro\":\"none\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_fulltext\":\"none\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"2\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',24,2,'','',1,734,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),
	(8,52,'Class aptent taciti ',X'636C6173732D617074656E742D746163697469','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Features</h2>\r\n<ul class=\"simple\">\r\n<li>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est,</li>\r\n<li>Nunc venenatis dapibus fermentum.</li>\r\n<li>In luctus sapien sit amet velit vulputate et mollis elit bibendum.</li>\r\n<li>Donec ornare, diam sit amet imperdiet tincidunt.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>What do our customers say?</h2>\r\n<p>{zen-quote}Aenean pulvinar, nisi vitae volutpat molestie, sapien ligula imperdiet metus, quis sagittis nunc justo id ante. Maecenas id quam ut nunc molestie pharetra. Fusce facilisis vehicula consequat. Nam egestas lectus sodales risus elementum a fermentum nisl viverra. Sed tempus scelerisque lectus nec euismod. Cras vel justo ac mi interdum accumsan.{/zen-quote}</p>\r\n<p>{zen-author}Another happy customer{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Get in touch</h2>\r\n<p>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est, vel tincidunt dolor dolor non mi. Nunc venenatis dapibus fermentum. In luctus sapien sit amet velit vulputate et mollis elit bibendum. Donec ornare, diam sit amet imperdiet tincidunt, nisi elit congue mauris, vel consequat urna leo semper arcu.</p>',1,9,'2012-12-20 08:24:20',214,'','2014-12-19 12:09:41',214,214,'2014-12-19 12:09:41','2012-12-20 08:24:20','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify6.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify6.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',15,1,'','',1,229,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),
	(9,53,'Services #3',X'73657276696365732D33','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Features</h2>\r\n<ul class=\"simple\">\r\n<li>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est,</li>\r\n<li>Nunc venenatis dapibus fermentum.</li>\r\n<li>In luctus sapien sit amet velit vulputate et mollis elit bibendum.</li>\r\n<li>Donec ornare, diam sit amet imperdiet tincidunt.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>What do our customers say?</h2>\r\n<p>{zen-quote}Aenean pulvinar, nisi vitae volutpat molestie, sapien ligula imperdiet metus, quis sagittis nunc justo id ante. Maecenas id quam ut nunc molestie pharetra. Fusce facilisis vehicula consequat. Nam egestas lectus sodales risus elementum a fermentum nisl viverra. Sed tempus scelerisque lectus nec euismod. Cras vel justo ac mi interdum accumsan.{/zen-quote}</p>\r\n<p>{zen-author}Another happy customer{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Get in touch</h2>\r\n<p>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est, vel tincidunt dolor dolor non mi. Nunc venenatis dapibus fermentum. In luctus sapien sit amet velit vulputate et mollis elit bibendum. Donec ornare, diam sit amet imperdiet tincidunt, nisi elit congue mauris, vel consequat urna leo semper arcu.</p>',1,12,'2012-12-20 08:24:37',214,'','2014-03-20 03:30:51',369,0,'0000-00-00 00:00:00','2012-12-20 08:24:37','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/8731072852_34ffcf01e9_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/8731072852_34ffcf01e9_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',3,0,'','',1,16,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(10,54,'Aenean pulvinar, nisi',X'61656E65616E2D70756C76696E61722D6E6973692D7669746165','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Features</h2>\r\n<ul class=\"simple\">\r\n<li>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est,</li>\r\n<li>Nunc venenatis dapibus fermentum.</li>\r\n<li>In luctus sapien sit amet velit vulputate et mollis elit bibendum.</li>\r\n<li>Donec ornare, diam sit amet imperdiet tincidunt.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>What do our customers say?</h2>\r\n<p>{zen-quote}Aenean pulvinar, nisi vitae volutpat molestie, sapien ligula imperdiet metus, quis sagittis nunc justo id ante. Maecenas id quam ut nunc molestie pharetra. Fusce facilisis vehicula consequat. Nam egestas lectus sodales risus elementum a fermentum nisl viverra. Sed tempus scelerisque lectus nec euismod. Cras vel justo ac mi interdum accumsan.{/zen-quote}</p>\r\n<p>{zen-author}Another happy customer{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Get in touch</h2>\r\n<p>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est, vel tincidunt dolor dolor non mi. Nunc venenatis dapibus fermentum. In luctus sapien sit amet velit vulputate et mollis elit bibendum. Donec ornare, diam sit amet imperdiet tincidunt, nisi elit congue mauris, vel consequat urna leo semper arcu.</p>',1,9,'2012-12-20 08:24:56',214,'','2015-01-07 05:29:22',214,0,'0000-00-00 00:00:00','2012-12-20 08:24:56','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/ugmonk\\/A-Approaching-Tumult-under-gone-south.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/ugmonk\\/A-Approaching-Tumult-under-gone-south.jpeg\",\"float_fulltext\":\"none\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',24,0,'','',1,767,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),
	(12,56,'Mobile solutions',X'70726F6A6563742D32','<p>Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula.</p>\n\n','\n\n<div class=\"clear\"> </div>\n\n<h2>Project Details</h2>\n\n<ul class=\"simple\">\n\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\n\n<li>Pellentesque vehicula dignissim augue, id semper nibh vestibulum ac.</li>\n\n<li>Etiam facilisis augue sed nisi adipiscing convallis.</li>\n\n</ul>\n\n<div class=\"divider\"> </div>\n\n<h2>Project Gallery</h2>\n\n<div class=\"grid_four\">\n\n<p class=\"notice\">Click to view the full size image.</p>\n\n</div>\n\n<div class=\"grid_eight\\&quot;\">{loadposition project1}</div>\n\n<div class=\"divider\"> </div>\n\n<h2>Common Objectives</h2>\n\n<ul class=\"simple\">\n\n<li>Morbi vitae eros est, eget eleifend magna.</li>\n\n<li>Nulla semper interdum quam, vel fringilla ipsum mattis ut.</li>\n\n<li>Vivamus adipiscing lacus eget nibh placerat volutpat.</li>\n\n<li>Curabitur fermentum urna sit amet.</li>\n\n<li>Nam eget magna eu velit faucibus aliquet a ac tellus.</li>\n\n</ul>\n\n<div class=\"divider\"> </div>\n\n<h2>Client Feedback</h2>\n\n<p>{zen-quote} Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula. {/zen-quote} {zen-author}The Client{/zen-author}</p>\n\n<div class=\"divider\"> </div>\n\n<h2>Outcomes</h2>\n\n<p>Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula. Praesent convallis, nunc et eleifend vehicula, diam leo mollis nisi, eget auctor quam urna id magna. Mauris at lacus sed diam euismod bibendum iaculis eget sem. In laoreet sem eget odio aliquet ac malesuada massa mollis.</p>',1,10,'2012-12-20 08:25:31',214,'','2014-02-27 01:11:26',369,0,'0000-00-00 00:00:00','2012-12-20 08:25:31','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/600px\\/62H.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/600px\\/62H.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',24,2,'','',1,208,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(13,57,'Tonal development',X'70726F6A6563742D33','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Features</h2>\r\n<ul class=\"simple\">\r\n<li>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est,</li>\r\n<li>Nunc venenatis dapibus fermentum.</li>\r\n<li>In luctus sapien sit amet velit vulputate et mollis elit bibendum.</li>\r\n<li>Donec ornare, diam sit amet imperdiet tincidunt.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>What do our customers say?</h2>\r\n<p>{zen-quote}Aenean pulvinar, nisi vitae volutpat molestie, sapien ligula imperdiet metus, quis sagittis nunc justo id ante. Maecenas id quam ut nunc molestie pharetra. Fusce facilisis vehicula consequat. Nam egestas lectus sodales risus elementum a fermentum nisl viverra. Sed tempus scelerisque lectus nec euismod. Cras vel justo ac mi interdum accumsan.{/zen-quote}</p>\r\n<p>{zen-author}Another happy customer{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Get in touch</h2>\r\n<p>Suspendisse mattis, mi a scelerisque pretium, leo mi semper est, vel tincidunt dolor dolor non mi. Nunc venenatis dapibus fermentum. In luctus sapien sit amet velit vulputate et mollis elit bibendum. Donec ornare, diam sit amet imperdiet tincidunt, nisi elit congue mauris, vel consequat urna leo semper arcu.</p>',1,10,'2012-12-20 08:26:12',214,'','2014-12-22 06:04:35',214,214,'2014-12-22 06:04:35','2012-12-20 08:26:12','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/6101881002_7ae17ffc43_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/6101881002_7ae17ffc43_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',27,1,'','',1,175,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*',''),
	(14,58,'Project #4',X'70726F6A6563742D34','<p> Quisque convallis posuere pulvinar. Praesent convallis ultricies urna eu egestas. Vestibulum ut tempus mi. Nunc augue odio, imperdiet ac venenatis nec, faucibus ac felis. Pellentesque blandit urna ut augue sodales sagittis aliquet elit vestibulum. Praesent dictum ultricies ullamcorper. In malesuada dictum scelerisque.</p>\r\n','\r\n<div class=\"clear\"> </div>\r\n<h2>Project Details</h2>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Pellentesque vehicula dignissim augue, id semper nibh vestibulum ac.</li>\r\n<li>Etiam facilisis augue sed nisi adipiscing convallis.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Project Gallery</h2>\r\n<div class=\"grid_four\">\r\n<p class=\"notice\">Click to view the full size image.</p>\r\n</div>\r\n<div class=\"grid_eight\\&quot;\">{loadposition project1}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Common Objectives</h2>\r\n<ul class=\"simple\">\r\n<li>Morbi vitae eros est, eget eleifend magna.</li>\r\n<li>Nulla semper interdum quam, vel fringilla ipsum mattis ut.</li>\r\n<li>Vivamus adipiscing lacus eget nibh placerat volutpat.</li>\r\n<li>Curabitur fermentum urna sit amet.</li>\r\n<li>Nam eget magna eu velit faucibus aliquet a ac tellus.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Client Feedback</h2>\r\n<p>{zen-quote} Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula. {/zen-quote} {zen-author}The Client{/zen-author}</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Outcomes</h2>\r\n<p>Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula. Praesent convallis, nunc et eleifend vehicula, diam leo mollis nisi, eget auctor quam urna id magna. Mauris at lacus sed diam euismod bibendum iaculis eget sem. In laoreet sem eget odio aliquet ac malesuada massa mollis.</p>',1,10,'2012-12-20 08:26:25',214,'','2014-12-08 04:57:32',501,0,'0000-00-00 00:00:00','2012-12-20 08:26:25','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',17,0,'','',1,226,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(15,59,'News #1',X'6E6577732D31','<p><span style=\"line-height: 1.3em;\">Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</span></p>\r\n','\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<p> </p>',1,11,'2012-12-20 08:37:13',214,'','2014-12-23 00:38:07',214,0,'0000-00-00 00:00:00','2012-12-20 08:37:13','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify7jpg.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify7jpg.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',14,3,'','',1,91,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(16,60,'News #2',X'6E6577732D32','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<p> </p>',1,11,'2012-12-20 08:37:33',214,'','2014-03-20 03:28:37',369,0,'0000-00-00 00:00:00','2012-12-20 08:37:33','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/8728243303_8227850d60_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/8728243303_8227850d60_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',15,2,'','',1,43,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(17,61,'News #3',X'6E6577732D33','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<p> </p>',1,11,'2012-12-20 08:37:50',214,'','2014-12-08 04:58:29',501,0,'0000-00-00 00:00:00','2012-12-20 08:37:50','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/lazy-summer\\/IMG_0443.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/lazy-summer\\/IMG_0443.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,1,'','',1,216,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(18,62,'News #4',X'6E6577732D34','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n','\r\n<h2>Overview</h2>\r\n<p>Aenean iaculis volutpat libero congue hendrerit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vivamus tempus tellus eu quam volutpat vehicula. Maecenas eget lorem orci, ut sagittis nulla. Donec non justo tortor, sit amet consequat enim. Mauris volutpat dignissim sagittis. Aliquam suscipit pharetra nibh, vel tincidunt sem lacinia ac. Aliquam vel magna ut dolor sagittis tincidunt. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam semper sem sit amet massa lobortis commodo. Nam scelerisque, eros interdum malesuada fermentum, ante ligula molestie quam, vitae eleifend diam lorem eget massa.</p>\r\n<p> </p>',1,11,'2012-12-20 08:38:09',214,'','2014-12-08 04:58:02',501,0,'0000-00-00 00:00:00','2012-12-20 08:38:09','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/lazy-summer\\/IMG_9985.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/lazy-summer\\/IMG_9985.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,0,'','',1,51,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(19,63,'About The Company',X'61626F75742D7468652D636F6D70616E79','<p>Pharetra eu eget nibh. Aliquam a quam ipsum. Ut viverra ultricies urna sit amet bibendum. In sapien turpis, mattis ut sagittis a, interdum id felis. Suspendisse potenti. Fusce scelerisque laoreet leo a porttitor. Cras condimentum facilisis dignissim. Nullam quam felis, varius non dictum ornare, volutpat sed est.</p>\r\n<p>{zen-quote}Nulla in elit dolor. Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci, at vehicula leo magna vel orci. Praesent sit amet quam tellus. Nullam ut dictum massa. Ut pulvinar sollicitudin eros. Duis vehicula.{/zen-quote}</p>\r\n<p>{zen-author}A Happy Customer{/zen-author}</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<h2>We are on a mission.</h2>\r\n<p><img class=\"border floatleft\" src=\"images/democontent/unsplash/600/unsplash_52a9920595941_1.JPG\" alt=\"\" />Nulla in elit dolor. Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci, at vehicula leo magna vel orci. Praesent sit amet quam tellus. Nullam ut dictum massa. Ut pulvinar sollicitudin eros. Duis vehicula.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Conscience is a key factor.</h2>\r\n<p><img class=\"border floatleft\" src=\"images/democontent/unsplash/600/unsplash_52a088bb6fb98_1.JPG\" alt=\"\" />Nulla in elit dolor. Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci, at vehicula leo magna vel orci. Praesent sit amet quam tellus. Nullam ut dictum massa. Ut pulvinar sollicitudin eros. Duis vehicula.</p>\r\n<div class=\"divider\"> </div>\r\n<h2>The Secret to our success is in sustainability.</h2>\r\n<p><img class=\"border floatleft\" src=\"images/democontent/unsplash/600/unsplash_52b6b4db7397c_1.JPG\" alt=\"\" />Nulla in elit dolor. Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci, at vehicula leo magna vel orci. Praesent sit amet quam tellus. Nullam ut dictum massa. Ut pulvinar sollicitudin eros. Duis vehicula.</p>\r\n<div class=\"clearfix\"> </div>',1,13,'2012-12-20 08:38:41',214,'','2014-11-26 21:59:41',921,0,'0000-00-00 00:00:00','2012-12-20 08:38:41','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,0,'','',1,1186,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(20,64,'Carol Smith',X'6361726F6C2D736D697468','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n','\r\n<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n<p> </p>\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:38:59',214,'','2014-03-20 03:26:23',369,0,'0000-00-00 00:00:00','2012-12-20 08:38:59','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/5594281402_5dec82d035_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/5594281402_5dec82d035_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',9,4,'','',1,17,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(21,65,'Julie Sanders',X'6A756C69652D73616E64657273','<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n','\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:39:16',214,'','2014-03-20 03:27:44',369,0,'0000-00-00 00:00:00','2012-12-20 08:39:16','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/9526431261_e7ea5d6acd_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/9526431261_e7ea5d6acd_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',11,3,'','',1,20,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(22,66,'Patrick Johnson',X'7061747269636B2D6A6F686E736F6E','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n','\r\n<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n<p> </p>\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:39:35',214,'','2014-03-20 03:29:39',369,0,'0000-00-00 00:00:00','2012-12-20 08:39:35','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/6738710915_a72064f7d8_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/6738710915_a72064f7d8_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',7,2,'','',1,8,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(23,67,'Samantha Cook',X'73616D616E7468612D636F6F6B','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n','\r\n<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n<p> </p>\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:40:07',214,'','2014-03-20 03:30:28',369,0,'0000-00-00 00:00:00','2012-12-20 08:40:07','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/8097356048_d8b1e70afe_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/8097356048_d8b1e70afe_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',8,1,'','',1,52,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(24,68,'Thomas Ewing',X'74686F6D61732D6577696E67','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n','\r\n<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n<p> </p>\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:40:27',214,'','2014-03-20 03:31:37',369,0,'0000-00-00 00:00:00','2012-12-20 08:40:27','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/8282489023_95bb196caa_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/8282489023_95bb196caa_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',8,0,'','',1,92,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(25,69,'Walter Brown',X'77616C7465722D62726F776E','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n','\r\n<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n<p> </p>\r\n<div class=\"divider\"> </div>\r\n<div class=\"grid_six\">\r\n<h2>Work Experience</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque. Sed non sapien nisl. Duis condimentum sem faucibus urna laoreet porta. Quisque porta augue libero. Curabitur sed neque massa.</p>\r\n<p> </p>\r\n</div>\r\n<div class=\"grid_six zenlast\">{zen-quote}Vestibulum porta nisi in purus egestas vehicula. Mauris ligula dolor, facilisis vel varius sit amet, fringilla at augue.{/zen-quote}</div>\r\n<div class=\"divider\"> </div>\r\n<h2>Crucial Facts about me</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Praesent vel diam volutpat lorem aliquam sagittis et sit amet nunc.</li>\r\n<li>Donec dignissim ante id risus tempus pulvinar dictum vel ipsum.</li>\r\n<li>Aenean nec risus sed tortor tristique eleifend.</li>\r\n<li>Nam vehicula nulla ut enim sagittis aliquet.</li>\r\n<li>Phasellus in arcu a odio congue pulvinar.</li>\r\n</ul>\r\n<div class=\"divider\"> </div>\r\n<h2>Social Profile</h2>\r\n<p>Fusce ac elementum lectus. Praesent feugiat scelerisque urna, vulputate rhoncus nunc imperdiet ac. Donec tempus fermentum felis ut scelerisque.</p>\r\n<ul class=\"simple\">\r\n<li><a href=\"#\">Twitter</a></li>\r\n<li><a href=\"#\">Facebook</a></li>\r\n<li><a href=\"#\">Google Plus</a></li>\r\n</ul>',1,14,'2012-12-20 08:40:36',214,'','2014-03-20 03:32:20',369,0,'0000-00-00 00:00:00','2012-12-20 08:40:36','0000-00-00 00:00:00','{\"image_intro\":\"images\\/democontent\\/imfree\\/8587724648_24926df337_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/8587724648_24926df337_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',7,0,'','',1,129,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(26,70,'Testimonial #1',X'74657374696D6F6E69616C2D31','<blockquote>\r\n<p>Cras at rhoncus magna. Suspendisse tempor tristique cursus. Integer sit amet semper ipsum. Ut orci metus, faucibus at neque sed, euismod tincidunt eros.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:41:08',214,'','2014-12-09 04:24:33',501,0,'0000-00-00 00:00:00','2012-12-20 08:41:08','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(27,71,'Testimonial #2',X'74657374696D6F6E69616C2D32','<blockquote>\r\n<p>Aliquam erat volutpat. Vivamus iaculis metus non ante molestie, vel consequat leo viverra. Ut cursus orci a odio dictum, at facilisis massa lacinia. Ut quis mi vel orci finibus ultrices et vitae mauris.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:41:27',214,'','2014-12-09 04:18:57',501,0,'0000-00-00 00:00:00','2012-12-20 08:41:27','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(28,72,'Testimonial #3',X'74657374696D6F6E69616C2D33','<blockquote>\r\n<p>Donec ultricies efficitur urna, nec dignissim dolor accumsan eget. Ut odio nibh, condimentum nec felis ut, maximus dictum ex. Mauris lacinia varius luctus.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:41:43',214,'','2014-12-09 04:18:33',501,0,'0000-00-00 00:00:00','2012-12-20 08:41:43','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(29,73,'Testimonial #4',X'74657374696D6F6E69616C2D34','<blockquote>\r\n<p>Aliquam imperdiet ligula at luctus tincidunt. Aenean interdum purus sit amet lorem tincidunt, vel egestas ex pharetra. Mauris lectus leo, lobortis quis ullamcorper et, pretium id nisl.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:41:59',214,'','2014-12-09 04:18:16',501,0,'0000-00-00 00:00:00','2012-12-20 08:41:59','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(30,74,'Testimonial #5',X'74657374696D6F6E69616C2D35','<blockquote>\r\n<p>Fusce vitae dui vitae leo dictum lacinia a dignissim erat. Proin malesuada sollicitudin lacus, non fermentum odio iaculis sit amet.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:42:14',214,'','2014-12-09 04:17:51',501,0,'0000-00-00 00:00:00','2012-12-20 08:42:14','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(31,75,'Testimonial #6',X'74657374696D6F6E69616C2D36','<blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium.</p>\r\n</blockquote>','',1,15,'2012-12-20 08:42:30',214,'','2014-12-09 04:17:22',501,0,'0000-00-00 00:00:00','2012-12-20 08:42:30','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(32,76,'Q: Fusce scelerisque laoreet leo a porttitor. Cras condimentum facilisis dignissim.?',X'712D66757363652D7363656C657269737175652D6C616F726565742D6C656F2D612D706F72747469746F722D637261732D636F6E64696D656E74756D2D666163696C697369732D6469676E697373696D','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:43:36',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:43:36','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,5,'','',1,2,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(33,77,'Q: morbi tristique senectus et netus et?',X'712D6D6F7262692D7472697374697175652D73656E65637475732D65742D6E657475732D6574','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:43:52',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:43:52','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(34,78,'Q: Nullam quam felis, varius non dictum ornare, volutpat sed est?',X'712D6E756C6C616D2D7175616D2D66656C69732D7661726975732D6E6F6E2D64696374756D2D6F726E6172652D766F6C75747061742D7365642D657374','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:44:16',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:44:16','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(35,79,'Q: Praesent sit amet quam tellus?',X'712D7072616573656E742D7369742D616D65742D7175616D2D74656C6C7573','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:44:40',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:44:40','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(36,80,'Q: Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci?',X'712D717569737175652D756C6C616D636F727065722D6E6973692D61632D70686172657472612D64696374756D2D6F7263692D6C656F2D706F72747469746F722D6F726369','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:44:55',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:44:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(37,81,'Q: Vestibulum in turpis nulla, hendrerit pulvinar tellus?',X'712D766573746962756C756D2D696E2D7475727069732D6E756C6C612D68656E6472657269742D70756C76696E61722D74656C6C7573','<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi leo felis, convallis quis ornare pretium, elementum et nunc. Vestibulum in turpis nulla, hendrerit pulvinar tellus.</p>','',1,16,'2012-12-20 08:45:13',214,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-12-20 08:45:13','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,4,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(38,82,'Alfred Stieglitz',X'656469736F6E','<blockquote>\r\n<p style=\"text-align: center;\">In photography there is a reality so subtle that it becomes more real than reality.</p>\r\n</blockquote>','',1,17,'2012-12-20 08:45:35',214,'','2014-12-19 22:58:12',214,0,'0000-00-00 00:00:00','2012-12-20 08:45:35','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(39,83,'Ansell Adams',X'6D617877656C6C','<blockquote>\r\n<p style=\"text-align: center;\">Landscape photography is the supreme test of the photographer - and often the supreme disappointment.</p>\r\n</blockquote>','',1,17,'2012-12-20 08:45:53',214,'','2014-12-19 22:58:04',214,0,'0000-00-00 00:00:00','2012-12-20 08:45:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(40,84,'Ernst Haas',X'74686F72656175','<blockquote>\r\n<p style=\"text-align: center;\">There is only you and your camera. The limitations in your photography are in yourself, for what we see is what we are.</p>\r\n</blockquote>','',1,17,'2012-12-20 08:46:13',214,'','2014-12-19 22:57:54',214,0,'0000-00-00 00:00:00','2012-12-20 08:46:13','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(51,98,'Typography',X'7479706F677261706879','<p>This template features a wide array of beautiful typography and layout snippets that puts the power back at your finger tips. In conjunction with the JB Type plugin you can harness the power of Bootstrap and Joomla 3 to create some truly beautiful and unique in page layouts.</p>\r\n','<hr title=\"Basic\" class=\"system-pagebreak\" />\r\n<div class=\"grid_six\">\r\n<h1>Heading 1</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h2>Heading 2</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h3>Heading 3</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n</div>\r\n<div class=\"grid_six jblast\">\r\n<h4>Heading 4</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h5>Heading 5</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h6>Heading 6</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n</div>\r\n<h2 class=\"headline\">This is a heading with the class headline.</h2>\r\n<p class=\"subheading\">And a p tag with a class subheading.</p>\r\n<blockquote>A simple &lt;blockquote&gt; style.</blockquote>\r\n<h3><strong>A simple paragraph.</strong></h3>\r\n<p>With some <em>italic text</em>, some <strong>bold text</strong> and an <span style=\"text-decoration: underline;\">underline</span>. Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p><strong>Code / Pre Tags</strong></p>\r\n<p><code>&lt;li&gt;Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.&lt;/li&gt;<br />&lt;li&gt;Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</code></p>\r\n<h2>Notices and warnings</h2>\r\n<div class=\"alert alert-block\"><button class=\"close\" type=\"button\" data-dismiss=\"alert\">×</button>\r\n<h4>Warning!</h4>\r\nBest check yo self, you\'re not...</div>\r\n<div class=\"alert alert-error\">\r\n<h4>Error!</h4>\r\nMorbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</div>\r\n<div class=\"alert alert-success\">\r\n<h4>Success!</h4>\r\nMorbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</div>\r\n<div class=\"alert alert-info\">\r\n<h4>Information</h4>\r\nMorbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</div>\r\n<h2>Unordered, ordered and nested lists</h2>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus:\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n<li>Vestibulum auctor dapibus neque.</li>\r\n</ol>\r\n</li>\r\n<li>Vestibulum auctor dapibus neque.</li>\r\n</ul>\r\n</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<h2>A list with the class \"simple-list\"</h2>\r\n<ul class=\"simple-list\">\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus:</li>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n<li>Vestibulum auctor dapibus neque.</li>\r\n</ul>\r\n<h2>Images</h2>\r\n<p><strong>An image with a border class.</strong></p>\r\n<p><em>Images will also scale to the width of the content when the browser is resized.</em></p>\r\n<p><img class=\"border\" src=\"images/democontent/600px/52H.jpg\" alt=\"\" /></p>\r\n<h2>Buttons</h2>\r\n<p><button class=\"btn\">I am a button</button></p>\r\n<p><button class=\"btn btn-success\">I am a success button</button></p>\r\n<p><button class=\"btn btn-primary\">I am a primary button</button></p>\r\n<p><button class=\"btn btn-warning\">I am a warning button</button></p>\r\n<p><button class=\"btn btn-info\">I am an info button</button></p>\r\n<p><button class=\"btn btn-danger\">I am a danger button</button></p>\r\n<h2>Other markup code</h2>\r\n<p><a>hyperlink</a><br /> <abbr title=\"title\">abbreviation</abbr><br /> <strong>offset text typically styled in bold</strong><br /> <cite>cited title of a work</cite><br /> <del>deleted text</del><br /> <dfn title=\"title\">defining instance</dfn><br /> <em>emphatic stress</em><br /> <em>offset text typically styled in italic</em><br /> <ins>inserted text</ins><br /> <kbd>user input</kbd><br /> marked (highlighted) text<br /><samp>sample output</samp><br /> <small>small print</small><br /> <strong>strong importance</strong><br /> <sup>superscript</sup> <sub>subscript</sub><br /> <var>variable or placeholder text</var></p>\r\n<hr title=\"Colours and Blocks\" class=\"system-pagebreak\" />\r\n<h3>Primary and secondary styles</h3>\r\n<p>The primary1 and secondary2 colours are defined in the template theme settings, while the primary2, primary3 and secondary2, secondary3 colours are calculated using LESS to deliver shades slightly darker and slightly lighter than the original..  The code used to create the blocks below are as follows:</p>\r\n<h2 class=\"headline\">Blocks of colour</h2>\r\n<p class=\"subheading\">These blocks are generated based on the markup below. The block class is used to determine the type of display whereas primary1 etc is used to determine it\'as appearance.</p>\r\n<p><code>&lt;div class=\"block primary1\"&gt;<br />&lt;p&gt;&lt;strong&gt;Primary1 &lt;/strong&gt;&lt;/p&gt;<br />&lt;p&gt;Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&lt;/p&gt;<br />&lt;/div&gt;{zen-row}</code>{zen-4}</p>\r\n<div class=\"block primary1\">\r\n<p><strong>Primary1</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary2\">\r\n<p><strong>Primary2</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary3\">\r\n<p><strong>Primary3</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} <span style=\"font-family: monospace; font-size: 10px; line-height: 15.8079996109009px;\">{/zen-row}</span><span style=\"line-height: 1.3em;\">{zen-row}{zen-4}</span></p>\r\n<div class=\"block secondary1\">\r\n<p><strong>Secondary1</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary2\">\r\n<p><strong>Secondary2</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary3\">\r\n<p><strong>Secondary3</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4}<span style=\"line-height: 15.8079996109009px;\">{/zen-row}</span></p>\r\n<h2 class=\"headline\">Borders</h2>\r\n<p class=\"subheading\">These blocks are generated based on the markup below.</p>\r\n<p><code>&lt;div class=\"primary1 border\"&gt;<br />&lt;p&gt;&lt;strong&gt;Primary1 &lt;/strong&gt;&lt;/p&gt;<br />&lt;p&gt;Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&lt;/p&gt;<br />&lt;/div&gt;</code><span style=\"line-height: 15.8079996109009px;\">{zen-row}</span><span style=\"line-height: 1.3em;\">{zen-4}</span></p>\r\n<div class=\"block primary1 border\">\r\n<p><strong>Primary1 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary2 border\">\r\n<p><strong>Primary2 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary3 border\">\r\n<p><strong>Primary3 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} <span style=\"line-height: 15.8079996109009px;\">{/zen-row}{zen-row}</span><span style=\"line-height: 1.3em;\">{zen-4}</span></p>\r\n<div class=\"block secondary1 border\">\r\n<p><strong>Secondary1 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary2 border\">\r\n<p><strong>Secondary2 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary3 border\">\r\n<p><strong>Secondary3 border</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4}<span style=\"line-height: 15.8079996109009px;\">{/zen-row}</span></p>\r\n<h2 class=\"headline\">Rounded</h2>\r\n<p class=\"subheading\">The following items have a class \" rounded\" added to them to create the subtle rounded edge.</p>\r\n<p><code>&lt;div class=\"primary1 border\"&gt;<br />&lt;p&gt;&lt;strong&gt;Primary1 &lt;/strong&gt;&lt;/p&gt;<br />&lt;p&gt;Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&lt;/p&gt;<br />&lt;/div&gt;</code><span style=\"line-height: 15.8079996109009px;\">{zen-row}</span><span style=\"line-height: 1.3em;\">{zen-4}</span></p>\r\n<div class=\"block primary1 rounded\">\r\n<p><strong>Primary1 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary2 rounded\">\r\n<p><strong>Primary2 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block primary3 rounded\">\r\n<p><strong>Primary3 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} <span style=\"line-height: 15.8079996109009px;\">{/zen-row}</span><span style=\"line-height: 1.3em;\">{zen-4}</span></p>\r\n<div class=\"block secondary1 rounded\">\r\n<p><strong>Secondary1 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary2 rounded\">\r\n<p><strong>Secondary2 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block secondary3 rounded\">\r\n<p><strong>Secondary3 rounded</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4}</p>\r\n<h2 class=\"headline\">Other styles and effects</h2>\r\n<p class=\"subheading\">The following classes can be applied to modules and html markup.</p>\r\n<p><span style=\"line-height: 15.8079996109009px;\">{zen-row}</span>{zen-4}</p>\r\n<div class=\"shadow\">\r\n<p><strong>Shadow</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block shadow2\">\r\n<p><strong>Shadow2</strong></p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n</div>\r\n<p>{/zen-4} {zen-4}</p>\r\n<div class=\"block border\">\r\n<p><strong>Border</strong></p>\r\n<p>Aliquam condimentum volutpat odio lacinia vehicula.</p>\r\n</div>\r\n<p>{/zen-4}<span style=\"line-height: 15.8079996109009px;\">{/zen-row}</span></p>\r\n<hr title=\"Numbers\" class=\"system-pagebreak\" />\r\n<p>Am assortment of css3 styling that is suited to displaying numbers.</p>\r\n<h2 class=\"headline\">Anvil styling</h2>\r\n<p class=\"subheading\">To replicate the style below please use the following html markup.</p>\r\n<p><code>&lt;div class=\"anvil primary1\"&gt;1&lt;/div&gt;</code></p>\r\n<div class=\"divider\"> </div>\r\n<p><span style=\"line-height: 15.8079996109009px;\">{zen-row}</span>{zen-2}</p>\r\n<div class=\"anvil primary1\">1</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"anvil primary2\">2</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"anvil primary3\">3</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"anvil secondary1\">4</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"anvil secondary2\">5</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"anvil secondary3\">6</div>\r\n<p>{/zen-2}<span style=\"line-height: 15.8079996109009px;\">{/zen-row}</span></p>\r\n<h2 class=\"headline\">Rounded-big styling</h2>\r\n<p class=\"subheading\">To replicate the style below please use the following html markup.</p>\r\n<p><code>&lt;div class=\"rounded-big primary1\"&gt;1&lt;/div&gt;</code></p>\r\n<p><span style=\"line-height: 15.8079996109009px;\">{zen-row}</span>{zen-2}</p>\r\n<div class=\"rounded-big primary1\">1</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"rounded-big primary2\">2</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"rounded-big primary3\">3</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"rounded-big secondary1\">4</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"rounded-big secondary2\">5</div>\r\n<p>{/zen-2} {zen-2}</p>\r\n<div class=\"rounded-big secondary3\">6</div>\r\n<p>{/zen-2}{/zen-row}</p>',1,19,'2012-12-20 21:15:27',214,'','2014-11-25 02:09:06',921,921,'2014-11-26 23:26:57','2012-12-20 21:15:27','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',171,3,'','',1,1192,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(53,102,'Module classes',X'6D6F64756C652D636C6173736573','<p>This page details the module classes available in this theme.</p>','',1,21,'2012-12-20 23:27:47',214,'','2014-11-26 23:30:04',921,214,'2014-12-29 06:51:33','2012-12-20 23:27:47','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"0\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"1\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',41,17,'','',1,1172,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(54,104,'Module Positions',X'6D6F64756C652D706F736974696F6E73','<p><span style=\"line-height: 1.3em;\">This template is built using the Zen Grid Framework and contains 52 module positions for you to use to create flexible page layouts. For a full understanding of how the module positions work in framework compatible templates please visit the Zen Grid Framework documentation.</span></p>','',1,21,'2012-12-20 23:30:27',214,'','2014-12-29 07:07:55',214,0,'0000-00-00 00:00:00','2012-12-20 23:30:27','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,16,'','',1,832,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(70,127,'Zentools Accordion',X'7A656E746F6F6C732D6163636F7264696F6E','<h3>Overview</h3>\r\n<p>The accordion layout is a simple collapsible accordion that uses the title of your item as the trigger to open or close the accordion. The accordion can use content from K2, Joomla or images populated from a directory.</p>\r\n<div class=\"divider\"> ','</div>\r\n<h3>Features</h3>\r\n<ul>\r\n<li><span style=\"line-height: 1.3em;\">Each item is rendered underneath the next one in a vertical list.</span></li>\r\n<li><span style=\"line-height: 1.3em;\">Create layouts that include up to four columns.</span></li>\r\n<li><span style=\"line-height: 1.3em;\">Use the title or category as the first item to trigger the accordion.</span></li>\r\n<li><span style=\"line-height: 1.3em;\">Select whether to load the accordion with the first item open.</span><span style=\"line-height: 1.3em;\"> </span></li>\r\n<li><span style=\"line-height: 1.3em;\">Determine whether to position the icon to the left or the right of the title</span></li>\r\n<li><span style=\"line-height: 1.3em;\">Select from a number of different icon types to set next to the title.</span></li>\r\n</ul>\r\n<h3>Demonstration</h3>\r\n<h2 class=\"headline\"><strong>Accordion default</strong></h2>\r\n<p class=\"subheading\">The default styling for the accordion.</p>\r\n<p>{loadposition accordion}</p>\r\n<h2 class=\"headline\">Accordion Boxed</h2>\r\n<p class=\"subheading\">A subtle box styling for the accordion.</p>\r\n<p>{loadposition accordionboxed}</p>\r\n<h2 class=\"headline\">Accordion Flat</h2>\r\n<p class=\"subheading\">Simple flat styling for the accordion.</p>\r\n<p>{loadposition accordionflat}</p>',1,20,'2013-07-03 21:21:20',214,'','2014-12-10 03:14:28',501,0,'0000-00-00 00:00:00','2013-07-03 21:21:20','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',24,6,'','',1,239,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(71,128,'Zentools Carousel',X'7A656E746F6F6C732D6361726F7573656C','<h3>Overview</h3>\r\n<p>The Zentools carousel layout places the content of your module in a horizontal carousel. Based loosely on the core grid layout you can determine the minimum number of items to be shown in the carousel at any one time.</p>\r\n<div class=\"divider\">',' </div>\r\n<h3>Features</h3>\r\n<ul>\r\n<li>Responsive: responds to the width of your page (resize your browser to see)</li>\r\n<li>Display unlimited images from a folder, Joomla or K2 content.</li>\r\n<li>Determine the base width of the carousel item&lt;</li>\r\n<li>Determine the minimum number of items to display in a carousel at one time.</li>\r\n<li>When the page is resized the current item is returned to the visible part of the carousel.</li>\r\n<li>Based on the elastislide carousel script.</li>\r\n</ul>\r\n<h2 class=\"headline\">Carousel Demonstration</h2>\r\n<p class=\"subheading\">The carousel below uses the zen-boxed theme and is set to display a minimum of 2 items regardless of the screensize.</p>\r\n<p>{loadposition carousel}</p>',1,20,'2013-07-03 21:21:56',214,'','2014-12-10 03:14:03',501,0,'0000-00-00 00:00:00','2013-07-03 21:21:56','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',16,5,'','',1,108,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(72,129,'ZenTools List',X'7A656E746F6F6C732D6C697374','<h3>Overview</h3>\r\n<p>The Zentools list layout is the perfect layout for when you need to display your content in a simple unordered list.</p>\r\n<div class=\"divider\"> ','</div>\r\n<h3>Features</h3>\r\n<ul>\r\n<li><span style=\"line-height: 1.3em;\">Each item is rendered underneath the next one in a vertical list.</span></li>\r\n<li><span style=\"line-height: 1.3em;\">Create layouts that include up to four columns.</span></li>\r\n</ul>\r\n<h3>Demonstration</h3>\r\n<h2 class=\"heading\">ZenTools Two Columns</h2>\r\n<p class=\"subheading\">The layout below uses the list layout with each individual item set to display it\'s contents in two columns.</p>\r\n<p>{loadposition list}</p>\r\n<h2 class=\"heading\">ZenTools Three Columns</h2>\r\n<p class=\"subheading\">The layout below uses the list layout with each individual item set to display it\'s contents in three columns.</p>\r\n<p>{loadposition list2}</p>',1,20,'2013-07-03 21:23:15',214,'','2014-12-10 03:13:55',501,0,'0000-00-00 00:00:00','2013-07-03 21:23:15','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',9,4,'','',1,64,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(74,131,'Zentools Slideshow',X'7A656E746F6F6C732D736C69646573686F77','<h3>Overview</h3>\r\n<p>A responsive slideshow with multiple layouts, themes with added control over pagination, speed and transitions.</p>\r\n','\r\n<p> </p>\r\n<h3>Features</h3>\r\n<ul>\r\n<li>A responsive slideshow that responds to the width of your template.</li>\r\n<li>Display any number of core elements sourced from Joomla, K2 or images from a folder.</li>\r\n<li>Multiple pagination options including thumbnails, titles, numbers and discs.</li>\r\n<li>A selection of simple pre-built themes.</li>\r\n<li>Next / Previous buttons.</li>\r\n<li>Control slideshow speed and duration.</li>\r\n<li>Multiple slideshows on a single page.</li>\r\n</ul>\r\n<h2 class=\"headline\">ZenTools Slideshow</h2>\r\n<p class=\"subheading\">The slideshow below uses the slideshow standard layout. The image is the first item displayed int he module and then all other elements are absolutely positioned above it.</p>\r\n<p>{loadposition slideshow}</p>\r\n<h2 class=\"headline\">ZenTools Flat slideshow</h2>\r\n<p class=\"subheading\">The slideshow below uses the flat layout and the contents of each item is set to display in two columns.</p>\r\n<p>{loadposition slideshow2}</p>',1,20,'2013-07-03 21:25:58',214,'','2014-12-16 00:07:13',501,0,'0000-00-00 00:00:00','2013-07-03 21:25:58','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,2,'','',1,109,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(75,132,'Zentools Grid',X'7A656E746F6F6C732D67726964','<h3>Overview</h3>\r\n<p>The Zentools grid layout is a classic multi-column responsive grid that can be used to generate a wide range of layouts.</p>\r\n<div class=\"divider\"> ','</div>\r\n<h3>Features</h3>\r\n<ul>\r\n<li>A flexible grid based on 1 to 12 columns.</li>\r\n<li>Create columns within columns</li>\r\n</ul>\r\n<h3>Grid Demonstration</h3>\r\n<h2 class=\"headline\">ZenTools Grid Lots of Columns</h2>\r\n<p class=\"subheading\">The grid below is set to display 6 images in 6 columns. The images are referenced directly from a folder in your Joomla site.</p>\r\n<p>{loadposition zengrid2}</p>\r\n<h2 class=\"headline\">Columns within columns</h2>\r\n<p class=\"subheading\">The grid below is set to display 2 columns however each item is also set to display it\'s content in two columns.</p>\r\n<p>{loadposition zengrid3}</p>',1,20,'2013-07-03 21:27:27',214,'','2014-12-10 03:13:26',501,0,'0000-00-00 00:00:00','2013-07-03 21:27:27','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',9,1,'','',1,72,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(76,133,'Zentools Filter',X'7A656E746F6F6C732D74616273','<h3>Overview</h3>\r\n<p>The filter layout is a grid based layout that allows the user to filter the items that are shown in the module according to their respective categories. <span style=\"line-height: 1.3em;\">The triggers are automatically populated based on the category of your item.</span></p>\r\n','\r\n<h3>Features</h3>\r\n<ul>\r\n<li>Filter items shown in the module based on the item categories.</li>\r\n<li>Display unlimited number of items from Joomla, k2 content or images from a folder.</li>\r\n<li>Full control over the grid with multiple grid based layouts available.</li>\r\n</ul>\r\n<h2 class=\"headline\">Filter Demonstration</h2>\r\n<p class=\"subheading\">The tags are populated based on the the categories that the items in the module are assigned to using standard Joomla or K2 categories.</p>\r\n<p>{loadposition filter}</p>',1,20,'2013-07-03 21:27:51',214,'','2014-12-10 03:12:50',501,214,'2014-12-29 07:02:45','2013-07-03 21:27:51','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',14,0,'','',1,402,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(81,1515,'Speedy out of the box',X'7370656564792D6F75742D6F662D7468652D626F78','<blockquote>\r\n<p>Zen Grid Framework version 4 (zgf4) themes are built to be fast.</p>\r\n</blockquote>\r\n<p>A large amount of the zgf4 rebuild was focussed on creating a flexible and fast framework that was able to yield powerful page speed results more or less out of the box. Being able to create a fast and optimised website has traditionally been a complicated process with factors including server configuration, content and template optimisation being the major factors in determining how fast your site loads in the browser.</p>\r\n','\r\n<p> </p>\r\n<p>Without any additions to your server configuration and with optimised content (mainly in the form of appropriately sized images) this theme is capable of producing page speed results in the mid 80s.</p>\r\n<h2>Example of a page speed report without htaccess changes</h2>\r\n<p><img src=\"images/democontent/documentation/framework/unoptimised.jpg\" alt=\"\" /></p>\r\n<p>The <a href=\"http://gtmetrix.com/reports/bambootheme.com/74uni4uG\">speed test above</a> was performed without any additions to the htaccess file using the default Joomla settings. The <a href=\"http://bambootheme.com/showcase/xero/joomla/single-article\">page tested</a> features 3 images and an average amount of content.</p>\r\n<p> </p>\r\n<h2>Example of page speed report with changes to htaccess files.</h2>\r\n<p><img src=\"images/democontent/documentation/framework/htaccess-page-speed.jpg\" alt=\"\" /></p>\r\n<p>The speed test above was performed on the same page using an <a href=\"https://github.com/locii/zgf4-htaccess/tree/master\">enhanced htaccess file</a>. As you can see with the addition of the htaccess rules it\'s possible to take your Joomla website to a close to perfect score in what amounts to a two part process. You can <a href=\"https://github.com/locii/zgf4-htaccess/archive/master.zip\">download the htaccess rules directly</a> from our Guthub repo for the ZGF4 htaccess file.</p>',1,8,'2014-10-29 02:35:53',214,'','2014-12-16 00:13:33',501,0,'0000-00-00 00:00:00','2014-10-29 02:35:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',28,1,'','',1,302,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(82,1530,'Zen Shortcode Icons',X'7A656E2D73686F7274636F646573','<p>The Zen Shortcode plugin is an updated version of our original JB Type plugin. Zen Shortcode has been specifically designed for use with the Zen Grid Framework v4. If you are using a template that is not compatible with Zen Grid Framework v4 please use the JB Type plugin in order to render functionality similar to the examples below.</p>\r\n','\r\n<p> </p>\r\n<hr title=\"Buttons\" class=\"system-pagebreak\" />\r\n<h3>Rendering buttons</h3>\r\n<p>The Zen Shortcode plugin is able to render buttons using the default .btn style built into the template. In order to render a button with a link attached simply add your link text followed by the pipe symbol - | - and the link you wish to attach to the button.</p>\r\n<p><strong>Example</strong></p>\r\n<p>{zen-btn}Google|http://www.google.com{/zen-btn}</p>\r\n<p>The syntax used to render the button above is as per follows.</p>\r\n<p><code>[zen-btn]Google|http://www.google.com[/zen-btn]</code></p>\r\n<p>Please note that the curly brackets have been replaced with square brackets in order to avoid rendering the item here.</p>\r\n<hr title=\"Code Blocks\" class=\"system-pagebreak\" />\r\n<h3>Rendering code blocks</h3>\r\n<p>Zen Shortcode also makes it possible to render blocks of code with titles such as the example below. This can be helpful for developers who wish to display code, markup etc for their users. The syntax used is as follows:</p>\r\n<p>{zen-pre}code|This is a block of code.{/zen-pre}</p>\r\n<p><code>[zen-pre]code|This is a block of code[/zen-pre]</code></p>\r\n<p>Once again the curly brackets required for rendering the display has been replaced with square brackets in order to be able to display the markup here.</p>\r\n<hr title=\"Custom Syntax\" class=\"system-pagebreak\" />\r\n<h3>Using custom syntax</h3>\r\n<p>A new addition to the Zen Shortcode plugin is the ability to specify custom syntax for your content. This means that in addition to using the built in syntax to display the icons listed below it is possible to use your own custom syntax to render new markup and displays.</p>\r\n<p>To add your own syntax you enter the new names for your classes in the plugin settings in your sites Joomla extension manager. To navigate to these settings navigate to extensions &gt; plugin manager and filter the results to display the Zen Shortcode settings. Once you have entered the edit panel click on the options menu tab. This will display the options available for the plugin.</p>\r\n<h3><strong>Custom icons</strong></h3>\r\n<p>To add your own custom syntax add the names of the items  (separated by a comma) that you wish to use in your content eg happy, snail, belfast. Then click save.</p>\r\n<p>Now when you use the syntax {zen-happy}My happy text{/zen-happy} the syntax will be rendered as per the following.</p>\r\n<p>{zen-pre}html|<span class=\"zen-icon zen-happy\">&lt;span class=\"zen-icon zen-happy\"&gt;My happy text&lt;/span&gt;</span>{/zen-pre}</p>\r\n<p> The template will not render any specific styling for this new custom syntax but it makes it possible for you to add your own styling via a custom.css file to take advantage of this new syntax.</p>\r\n<h3><strong>Custom markup</strong></h3>\r\n<p>In addition to adding specific custom icon syntax you can also add your own custom markup syntax. Adding new names to the custom syntax block will allow you render markup as per follows:</p>\r\n<p><span style=\"line-height: 15.8079996109009px;\">{zen-pre}html|</span><span class=\"zen-icon zen-happy\" style=\"line-height: 15.8079996109009px;\">&lt;div class=\"zen-happy\"&gt;My happy text&lt;/div&gt;</span><span style=\"line-height: 15.8079996109009px;\">{/zen-pre}</span></p>\r\n<hr title=\"Font Icons\" class=\"system-pagebreak\" />\r\n<h3><span style=\"line-height: 15.8079996109009px;\">Rendering Font icons</span></h3>\r\n<p><span style=\"line-height: 15.8079996109009px;\">The zen shortcode plugin also makes it possible to render the fonts found in the Font Awesome v4.2 library. The plugin allows you to toggle this option on or off in order to improve the plugin performance.</span></p>\r\n<p>{zen-row}{zen-6}{zen-glass}This is the code for the zen-glass{/zen-glass}<br />{zen-music}This is the code for the zen-music{/zen-music}<br />{zen-search}This is the code for the zen-search{/zen-search}<br />{zen-envelope-o}This is the code for the zen-envelope-o{/zen-envelope-o}</p>\r\n<p>{zen-heart}This is the code for the zen-heart{/zen-heart}<br />{zen-star}This is the code for the zen-star{/zen-star}<br />{zen-star-o}This is the code for the zen-star-o{/zen-star-o}<br />{zen-user}This is the code for the zen-user{/zen-user}<br />{zen-film}This is the code for the zen-film{/zen-film}<br />{zen-th-large}This is the code for the zen-th-large{/zen-th-large}<br />{zen-th}This is the code for the zen-th{/zen-th}<br />{zen-th-list}This is the code for the zen-th-list{/zen-th-list}<br />{zen-check}This is the code for the zen-check{/zen-check}<br />{zen-remove}This is the code for the zen-remove{/zen-remove}<br />{zen-close}This is the code for the zen-close{/zen-close}<br />{zen-times}This is the code for the zen-times{/zen-times}<br />{zen-search-plus}This is the code for the zen-search-plus{/zen-search-plus}<br />{zen-search-minus}This is the code for the zen-search-minus{/zen-search-minus}<br />{zen-power-off}This is the code for the zen-power-off{/zen-power-off}<br />{zen-signal}This is the code for the zen-signal{/zen-signal}<br />{zen-gear}This is the code for the zen-gear{/zen-gear}<br />{zen-cog}This is the code for the zen-cog{/zen-cog}<br />{zen-trash-o}This is the code for the zen-trash-o{/zen-trash-o}<br />{zen-home}This is the code for the zen-home{/zen-home}<br />{zen-file-o}This is the code for the zen-file-o{/zen-file-o}<br />{zen-clock-o}This is the code for the zen-clock-o{/zen-clock-o}<br />{zen-road}This is the code for the zen-road{/zen-road}<br />{zen-download}This is the code for the zen-download{/zen-download}<br />{zen-arrow-circle-o-down}This is the code for the zen-arrow-circle-o-down{/zen-arrow-circle-o-down}<br />{zen-arrow-circle-o-up}This is the code for the zen-arrow-circle-o-up{/zen-arrow-circle-o-up}<br />{zen-inbox}This is the code for the zen-inbox{/zen-inbox}<br />{zen-play-circle-o}This is the code for the zen-play-circle-o{/zen-play-circle-o}<br />{zen-rotate-right}This is the code for the zen-rotate-right{/zen-rotate-right}<br />{zen-repeat}This is the code for the zen-repeat{/zen-repeat}<br />{zen-refresh}This is the code for the zen-refresh{/zen-refresh}<br />{zen-list-alt}This is the code for the zen-list-alt{/zen-list-alt}<br />{zen-lock}This is the code for the zen-lock{/zen-lock}<br />{zen-flag}This is the code for the zen-flag{/zen-flag}<br />{zen-headphones}This is the code for the zen-headphones{/zen-headphones}<br />{zen-volume-off}This is the code for the zen-volume-off{/zen-volume-off}<br />{zen-volume-down}This is the code for the zen-volume-down{/zen-volume-down}<br />{zen-volume-up}This is the code for the zen-volume-up{/zen-volume-up}<br />{zen-qrcode}This is the code for the zen-qrcode{/zen-qrcode}<br />{zen-barcode}This is the code for the zen-barcode{/zen-barcode}<br />{zen-tag}This is the code for the zen-tag{/zen-tag}<br />{zen-tags}This is the code for the zen-tags{/zen-tags}<br />{zen-book}This is the code for the zen-book{/zen-book}<br />{zen-bookmark}This is the code for the zen-bookmark{/zen-bookmark}<br />{zen-print}This is the code for the zen-print{/zen-print}<br />{zen-camera}This is the code for the zen-camera{/zen-camera}<br />{zen-font}This is the code for the zen-font{/zen-font}<br />{zen-bold}This is the code for the zen-bold{/zen-bold}<br />{zen-italic}This is the code for the zen-italic{/zen-italic}<br />{zen-text-height}This is the code for the zen-text-height{/zen-text-height}<br />{zen-text-width}This is the code for the zen-text-width{/zen-text-width}<br />{zen-align-left}This is the code for the zen-align-left{/zen-align-left}<br />{zen-align-center}This is the code for the zen-align-center{/zen-align-center}<br />{zen-align-right}This is the code for the zen-align-right{/zen-align-right}<br />{zen-align-justify}This is the code for the zen-align-justify{/zen-align-justify}<br />{zen-list}This is the code for the zen-list{/zen-list}<br />{zen-dedent}This is the code for the zen-dedent{/zen-dedent}<br />{zen-outdent}This is the code for the zen-outdent{/zen-outdent}<br />{zen-indent}This is the code for the zen-indent{/zen-indent}<br />{zen-video-camera}This is the code for the zen-video-camera{/zen-video-camera}<br />{zen-photo}This is the code for the zen-photo{/zen-photo}<br />{zen-image}This is the code for the zen-image{/zen-image}<br />{zen-picture-o}This is the code for the zen-picture-o{/zen-picture-o}<br />{zen-pencil}This is the code for the zen-pencil{/zen-pencil}<br />{zen-map-marker}This is the code for the zen-map-marker{/zen-map-marker}<br />{zen-adjust}This is the code for the zen-adjust{/zen-adjust}<br />{zen-tint}This is the code for the zen-tint{/zen-tint}<br />{zen-edit}This is the code for the zen-edit{/zen-edit}<br />{zen-pencil-square-o}This is the code for the zen-pencil-square-o{/zen-pencil-square-o}<br />{zen-share-square-o}This is the code for the zen-share-square-o{/zen-share-square-o}<br />{zen-check-square-o}This is the code for the zen-check-square-o{/zen-check-square-o}<br />{zen-arrows}This is the code for the zen-arrows{/zen-arrows}<br />{zen-step-backward}This is the code for the zen-step-backward{/zen-step-backward}<br />{zen-fast-backward}This is the code for the zen-fast-backward{/zen-fast-backward}<br />{zen-backward}This is the code for the zen-backward{/zen-backward}<br />{zen-play}This is the code for the zen-play{/zen-play}<br />{zen-pause}This is the code for the zen-pause{/zen-pause}<br />{zen-stop}This is the code for the zen-stop{/zen-stop}<br />{zen-forward}This is the code for the zen-forward{/zen-forward}<br />{zen-fast-forward}This is the code for the zen-fast-forward{/zen-fast-forward}<br />{zen-step-forward}This is the code for the zen-step-forward{/zen-step-forward}<br />{zen-eject}This is the code for the zen-eject{/zen-eject}<br />{zen-chevron-left}This is the code for the zen-chevron-left{/zen-chevron-left}<br />{zen-chevron-right}This is the code for the zen-chevron-right{/zen-chevron-right}<br />{zen-plus-circle}This is the code for the zen-plus-circle{/zen-plus-circle}<br />{zen-minus-circle}This is the code for the zen-minus-circle{/zen-minus-circle}<br />{zen-times-circle}This is the code for the zen-times-circle{/zen-times-circle}<br />{zen-check-circle}This is the code for the zen-check-circle{/zen-check-circle}<br />{zen-question-circle}This is the code for the zen-question-circle{/zen-question-circle}<br />{zen-info-circle}This is the code for the zen-info-circle{/zen-info-circle}<br />{zen-crosshairs}This is the code for the zen-crosshairs{/zen-crosshairs}<br />{zen-times-circle-o}This is the code for the zen-times-circle-o{/zen-times-circle-o}<br />{zen-check-circle-o}This is the code for the zen-check-circle-o{/zen-check-circle-o}<br />{zen-ban}This is the code for the zen-ban{/zen-ban}<br />{zen-arrow-left}This is the code for the zen-arrow-left{/zen-arrow-left}<br />{zen-arrow-right}This is the code for the zen-arrow-right{/zen-arrow-right}<br />{zen-arrow-up}This is the code for the zen-arrow-up{/zen-arrow-up}<br />{zen-arrow-down}This is the code for the zen-arrow-down{/zen-arrow-down}<br />{zen-mail-forward}This is the code for the zen-mail-forward{/zen-mail-forward}<br />{zen-share}This is the code for the zen-share{/zen-share}<br />{zen-expand}This is the code for the zen-expand{/zen-expand}<br />{zen-compress}This is the code for the zen-compress{/zen-compress}<br />{zen-plus}This is the code for the zen-plus{/zen-plus}<br />{zen-minus}This is the code for the zen-minus{/zen-minus}<br />{zen-asterisk}This is the code for the zen-asterisk{/zen-asterisk}<br />{zen-exclamation-circle}This is the code for the zen-exclamation-circle{/zen-exclamation-circle}<br />{zen-gift}This is the code for the zen-gift{/zen-gift}<br />{zen-leaf}This is the code for the zen-leaf{/zen-leaf}<br />{zen-fire}This is the code for the zen-fire{/zen-fire}<br />{zen-eye}This is the code for the zen-eye{/zen-eye}<br />{zen-eye-slash}This is the code for the zen-eye-slash{/zen-eye-slash}<br />{zen-warning}This is the code for the zen-warning{/zen-warning}<br />{zen-exclamation-triangle}This is the code for the zen-exclamation-triangle{/zen-exclamation-triangle}<br />{zen-plane}This is the code for the zen-plane{/zen-plane}<br />{zen-calendar}This is the code for the zen-calendar{/zen-calendar}<br />{zen-random}This is the code for the zen-random{/zen-random}<br />{zen-comment}This is the code for the zen-comment{/zen-comment}<br />{zen-magnet}This is the code for the zen-magnet{/zen-magnet}<br />{zen-chevron-up}This is the code for the zen-chevron-up{/zen-chevron-up}<br />{zen-chevron-down}This is the code for the zen-chevron-down{/zen-chevron-down}<br />{zen-retweet}This is the code for the zen-retweet{/zen-retweet}<br />{zen-shopping-cart}This is the code for the zen-shopping-cart{/zen-shopping-cart}<br />{zen-folder}This is the code for the zen-folder{/zen-folder}<br />{zen-folder-open}This is the code for the zen-folder-open{/zen-folder-open}<br />{zen-arrows-v}This is the code for the zen-arrows-v{/zen-arrows-v}<br />{zen-arrows-h}This is the code for the zen-arrows-h{/zen-arrows-h}<br />{zen-bar-chart-o}This is the code for the zen-bar-chart-o{/zen-bar-chart-o}<br />{zen-bar-chart}This is the code for the zen-bar-chart{/zen-bar-chart}<br />{zen-twitter-square}This is the code for the zen-twitter-square{/zen-twitter-square}<br />{zen-facebook-square}This is the code for the zen-facebook-square{/zen-facebook-square}<br />{zen-camera-retro}This is the code for the zen-camera-retro{/zen-camera-retro}<br />{zen-key}This is the code for the zen-key{/zen-key}<br />{zen-gears}This is the code for the zen-gears{/zen-gears}<br />{zen-cogs}This is the code for the zen-cogs{/zen-cogs}<br />{zen-comments}This is the code for the zen-comments{/zen-comments}<br />{zen-thumbs-o-up}This is the code for the zen-thumbs-o-up{/zen-thumbs-o-up}<br />{zen-thumbs-o-down}This is the code for the zen-thumbs-o-down{/zen-thumbs-o-down}<br />{zen-star-half}This is the code for the zen-star-half{/zen-star-half}<br />{zen-heart-o}This is the code for the zen-heart-o{/zen-heart-o}<br />{zen-sign-out}This is the code for the zen-sign-out{/zen-sign-out}<br />{zen-linkedin-square}This is the code for the zen-linkedin-square{/zen-linkedin-square}<br />{zen-thumb-tack}This is the code for the zen-thumb-tack{/zen-thumb-tack}<br />{zen-external-link}This is the code for the zen-external-link{/zen-external-link}<br />{zen-sign-in}This is the code for the zen-sign-in{/zen-sign-in}<br />{zen-trophy}This is the code for the zen-trophy{/zen-trophy}<br />{zen-github-square}This is the code for the zen-github-square{/zen-github-square}<br />{zen-upload}This is the code for the zen-upload{/zen-upload}<br />{zen-lemon-o}This is the code for the zen-lemon-o{/zen-lemon-o}<br />{zen-phone}This is the code for the zen-phone{/zen-phone}<br />{zen-square-o}This is the code for the zen-square-o{/zen-square-o}<br />{zen-bookmark-o}This is the code for the zen-bookmark-o{/zen-bookmark-o}<br />{zen-phone-square}This is the code for the zen-phone-square{/zen-phone-square}<br />{zen-twitter}This is the code for the zen-twitter{/zen-twitter}<br />{zen-facebook}This is the code for the zen-facebook{/zen-facebook}<br />{zen-github}This is the code for the zen-github{/zen-github}<br />{zen-unlock}This is the code for the zen-unlock{/zen-unlock}<br />{zen-credit-card}This is the code for the zen-credit-card{/zen-credit-card}<br />{zen-rss}This is the code for the zen-rss{/zen-rss}<br />{zen-hdd-o}This is the code for the zen-hdd-o{/zen-hdd-o}<br />{zen-bullhorn}This is the code for the zen-bullhorn{/zen-bullhorn}<br />{zen-bell}This is the code for the zen-bell{/zen-bell}<br />{zen-certificate}This is the code for the zen-certificate{/zen-certificate}<br />{zen-hand-o-right}This is the code for the zen-hand-o-right{/zen-hand-o-right}<br />{zen-hand-o-left}This is the code for the zen-hand-o-left{/zen-hand-o-left}<br />{zen-hand-o-up}This is the code for the zen-hand-o-up{/zen-hand-o-up}<br />{zen-hand-o-down}This is the code for the zen-hand-o-down{/zen-hand-o-down}<br />{zen-arrow-circle-left}This is the code for the zen-arrow-circle-left{/zen-arrow-circle-left}<br />{zen-arrow-circle-right}This is the code for the zen-arrow-circle-right{/zen-arrow-circle-right}<br />{zen-arrow-circle-up}This is the code for the zen-arrow-circle-up{/zen-arrow-circle-up}<br />{zen-arrow-circle-down}This is the code for the zen-arrow-circle-down{/zen-arrow-circle-down}<br />{zen-globe}This is the code for the zen-globe{/zen-globe}<br />{zen-wrench}This is the code for the zen-wrench{/zen-wrench}<br />{zen-tasks}This is the code for the zen-tasks{/zen-tasks}<br />{zen-filter}This is the code for the zen-filter{/zen-filter}<br />{zen-briefcase}This is the code for the zen-briefcase{/zen-briefcase}<br />{zen-arrows-alt}This is the code for the zen-arrows-alt{/zen-arrows-alt}<br />{zen-group}This is the code for the zen-group{/zen-group}<br />{zen-users}This is the code for the zen-users{/zen-users}<br />{zen-chain}This is the code for the zen-chain{/zen-chain}<br />{zen-link}This is the code for the zen-link{/zen-link}<br />{zen-cloud}This is the code for the zen-cloud{/zen-cloud}<br />{zen-flask}This is the code for the zen-flask{/zen-flask}<br />{zen-cut}This is the code for the zen-cut{/zen-cut}<br />{zen-scissors}This is the code for the zen-scissors{/zen-scissors}<br />{zen-copy}This is the code for the zen-copy{/zen-copy}<br />{zen-files-o}This is the code for the zen-files-o{/zen-files-o}<br />{zen-paperclip}This is the code for the zen-paperclip{/zen-paperclip}<br />{zen-save}This is the code for the zen-save{/zen-save}<br />{zen-floppy-o}This is the code for the zen-floppy-o{/zen-floppy-o}<br />{zen-square}This is the code for the zen-square{/zen-square}<br />{zen-navicon}This is the code for the zen-navicon{/zen-navicon}<br />{zen-reorder}This is the code for the zen-reorder{/zen-reorder}<br />{zen-bars}This is the code for the zen-bars{/zen-bars}<br />{zen-list-ul}This is the code for the zen-list-ul{/zen-list-ul}<br />{zen-list-ol}This is the code for the zen-list-ol{/zen-list-ol}<br />{zen-strikethrough}This is the code for the zen-strikethrough{/zen-strikethrough}<br />{zen-underline}This is the code for the zen-underline{/zen-underline}<br />{zen-table}This is the code for the zen-table{/zen-table}<br />{zen-magic}This is the code for the zen-magic{/zen-magic}<br />{zen-truck}This is the code for the zen-truck{/zen-truck}<br />{zen-pinterest}This is the code for the zen-pinterest{/zen-pinterest}<br />{zen-pinterest-square}This is the code for the zen-pinterest-square{/zen-pinterest-square}<br />{zen-google-plus-square}This is the code for the zen-google-plus-square{/zen-google-plus-square}<br />{zen-google-plus}This is the code for the zen-google-plus{/zen-google-plus}<br />{zen-money}This is the code for the zen-money{/zen-money}<br />{zen-caret-down}This is the code for the zen-caret-down{/zen-caret-down}<br />{zen-caret-up}This is the code for the zen-caret-up{/zen-caret-up}<br />{zen-caret-left}This is the code for the zen-caret-left{/zen-caret-left}<br />{zen-caret-right}This is the code for the zen-caret-right{/zen-caret-right}<br />{zen-columns}This is the code for the zen-columns{/zen-columns}<br />{zen-unsorted}This is the code for the zen-unsorted{/zen-unsorted}<br />{zen-sort}This is the code for the zen-sort{/zen-sort}<br />{zen-sort-down}This is the code for the zen-sort-down{/zen-sort-down}<br />{zen-sort-desc}This is the code for the zen-sort-desc{/zen-sort-desc}<br />{zen-sort-up}This is the code for the zen-sort-up{/zen-sort-up}<br />{zen-sort-asc}This is the code for the zen-sort-asc{/zen-sort-asc}<br />{zen-envelope}This is the code for the zen-envelope{/zen-envelope}<br />{zen-linkedin}This is the code for the zen-linkedin{/zen-linkedin}<br />{zen-rotate-left}This is the code for the zen-rotate-left{/zen-rotate-left}<br />{zen-undo}This is the code for the zen-undo{/zen-undo}<br />{zen-legal}This is the code for the zen-legal{/zen-legal}<br />{zen-gavel}This is the code for the zen-gavel{/zen-gavel}<br />{zen-dashboard}This is the code for the zen-dashboard{/zen-dashboard}<br />{zen-tachometer}This is the code for the zen-tachometer{/zen-tachometer}<br />{zen-comment-o}This is the code for the zen-comment-o{/zen-comment-o}<br />{zen-comments-o}This is the code for the zen-comments-o{/zen-comments-o}<br />{zen-flash}This is the code for the zen-flash{/zen-flash}<br />{zen-bolt}This is the code for the zen-bolt{/zen-bolt}<br />{zen-sitemap}This is the code for the zen-sitemap{/zen-sitemap}<br />{zen-umbrella}This is the code for the zen-umbrella{/zen-umbrella}<br />{zen-paste}This is the code for the zen-paste{/zen-paste}<br />{zen-clipboard}This is the code for the zen-clipboard{/zen-clipboard}<br />{zen-lightbulb-o}This is the code for the zen-lightbulb-o{/zen-lightbulb-o}<br />{zen-exchange}This is the code for the zen-exchange{/zen-exchange}<br />{zen-cloud-download}This is the code for the zen-cloud-download{/zen-cloud-download}<br />{zen-cloud-upload}This is the code for the zen-cloud-upload{/zen-cloud-upload}<br />{zen-user-md}This is the code for the zen-user-md{/zen-user-md}<br />{zen-stethoscope}This is the code for the zen-stethoscope{/zen-stethoscope}<br />{zen-suitcase}This is the code for the zen-suitcase{/zen-suitcase}<br />{zen-bell-o}This is the code for the zen-bell-o{/zen-bell-o}<br />{zen-coffee}This is the code for the zen-coffee{/zen-coffee}<br />{zen-cutlery}This is the code for the zen-cutlery{/zen-cutlery}<br />{zen-file-text-o}This is the code for the zen-file-text-o{/zen-file-text-o}<br />{zen-building-o}This is the code for the zen-building-o{/zen-building-o}<br />{zen-hospital-o}This is the code for the zen-hospital-o{/zen-hospital-o}<br />{zen-ambulance}This is the code for the zen-ambulance{/zen-ambulance}<br />{zen-medkit}This is the code for the zen-medkit{/zen-medkit}<br />{zen-fighter-jet}This is the code for the zen-fighter-jet{/zen-fighter-jet}<br />{zen-beer}This is the code for the zen-beer{/zen-beer}<br />{zen-h-square}This is the code for the zen-h-square{/zen-h-square}<br />{zen-plus-square}This is the code for the zen-plus-square{/zen-plus-square}<br />{zen-angle-double-left}This is the code for the zen-angle-double-left{/zen-angle-double-left}<br />{zen-angle-double-right}This is the code for the zen-angle-double-right{/zen-angle-double-right}<br />{zen-angle-double-up}This is the code for the zen-angle-double-up{/zen-angle-double-up}<br />{zen-angle-double-down}This is the code for the zen-angle-double-down{/zen-angle-double-down}<br />{zen-angle-left}This is the code for the zen-angle-left{/zen-angle-left}<br />{zen-angle-right}This is the code for the zen-angle-right{/zen-angle-right}<br />{zen-angle-up}This is the code for the zen-angle-up{/zen-angle-up}<br />{zen-angle-down}This is the code for the zen-angle-down{/zen-angle-down}<br />{zen-desktop}This is the code for the zen-desktop{/zen-desktop}<br />{zen-laptop}This is the code for the zen-laptop{/zen-laptop}<br />{zen-tablet}This is the code for the zen-tablet{/zen-tablet}<br />{zen-mobile-phone}This is the code for the zen-mobile-phone{/zen-mobile-phone}<br />{zen-mobile}This is the code for the zen-mobile{/zen-mobile}<br />{zen-circle-o}This is the code for the zen-circle-o{/zen-circle-o}<br />{zen-quote-left}This is the code for the zen-quote-left{/zen-quote-left}<br />{zen-quote-right}This is the code for the zen-quote-right{/zen-quote-right}<br />{zen-spinner}This is the code for the zen-spinner{/zen-spinner}<br />{zen-circle}This is the code for the zen-circle{/zen-circle}<br />{zen-mail-reply}This is the code for the zen-mail-reply{/zen-mail-reply}<br />{zen-reply}This is the code for the zen-reply{/zen-reply}<br />{zen-github-alt}This is the code for the zen-github-alt{/zen-github-alt}<br />{zen-folder-o}This is the code for the zen-folder-o{/zen-folder-o}<br />{zen-folder-open-o}This is the code for the zen-folder-open-o{/zen-folder-open-o}<br />{zen-smile-o}This is the code for the zen-smile-o{/zen-smile-o}<br />{zen-frown-o}This is the code for the zen-frown-o{/zen-frown-o}<br />{zen-meh-o}This is the code for the zen-meh-o{/zen-meh-o}<br />{zen-gamepad}This is the code for the zen-gamepad{/zen-gamepad}<br />{zen-keyboard-o}This is the code for the zen-keyboard-o{/zen-keyboard-o}<br />{zen-flag-o}This is the code for the zen-flag-o{/zen-flag-o}<br />{zen-flag-checkered}This is the code for the zen-flag-checkered{/zen-flag-checkered}<br />{zen-terminal}This is the code for the zen-terminal{/zen-terminal}<br />{zen-code}This is the code for the zen-code{/zen-code}<br />{zen-mail-reply-all}This is the code for the zen-mail-reply-all{/zen-mail-reply-all}<br />{zen-reply-all}This is the code for the zen-reply-all{/zen-reply-all}<br />{zen-star-half-empty}This is the code for the zen-star-half-empty{/zen-star-half-empty}<br />{zen-star-half-full}This is the code for the zen-star-half-full{/zen-star-half-full}<br />{zen-star-half-o}This is the code for the zen-star-half-o{/zen-star-half-o}<br />{zen-location-arrow}This is the code for the zen-location-arrow{/zen-location-arrow}<br />{zen-crop}This is the code for the zen-crop{/zen-crop}<br />{zen-code-fork}This is the code for the zen-code-fork{/zen-code-fork}<br />{zen-unlink}This is the code for the zen-unlink{/zen-unlink}<br />{zen-chain-broken}This is the code for the zen-chain-broken{/zen-chain-broken}<br />{zen-question}This is the code for the zen-question{/zen-question}<br />{zen-info}This is the code for the zen-info{/zen-info}<br />{zen-exclamation}This is the code for the zen-exclamation{/zen-exclamation}<br />{zen-superscript}This is the code for the zen-superscript{/zen-superscript}<br />{zen-subscript}This is the code for the zen-subscript{/zen-subscript}<br />{zen-eraser}This is the code for the zen-eraser{/zen-eraser}<br />{zen-puzzle-piece}This is the code for the zen-puzzle-piece{/zen-puzzle-piece}<br />{zen-microphone}This is the code for the zen-microphone{/zen-microphone}<br />{zen-microphone-slash}This is the code for the zen-microphone-slash{/zen-microphone-slash}<br />{zen-shield}This is the code for the zen-shield{/zen-shield}<br />{zen-calendar-o}This is the code for the zen-calendar-o{/zen-calendar-o}<br />{zen-fire-extinguisher}This is the code for the zen-fire-extinguisher{/zen-fire-extinguisher}<br />{zen-rocket}This is the code for the zen-rocket{/zen-rocket}<br />{zen-maxcdn}This is the code for the zen-maxcdn{/zen-maxcdn}<br />{zen-chevron-circle-left}This is the code for the zen-chevron-circle-left{/zen-chevron-circle-left}<br />{zen-chevron-circle-right}This is the code for the zen-chevron-circle-right{/zen-chevron-circle-right}<br />{zen-chevron-circle-up}This is the code for the zen-chevron-circle-up{/zen-chevron-circle-up}<br />{zen-chevron-circle-down}This is the code for the zen-chevron-circle-down{/zen-chevron-circle-down}<br />{zen-html5}This is the code for the zen-html5{/zen-html5}<br />{zen-css3}This is the code for the zen-css3{/zen-css3}<br />{zen-anchor}This is the code for the zen-anchor{/zen-anchor}<br />{zen-unlock-alt}This is the code for the zen-unlock-alt{/zen-unlock-alt}<br />{zen-bullseye}This is the code for the zen-bullseye{/zen-bullseye}<br />{zen-ellipsis-h}This is the code for the zen-ellipsis-h{/zen-ellipsis-h}<br />{zen-ellipsis-v}This is the code for the zen-ellipsis-v{/zen-ellipsis-v}<br />{zen-rss-square}This is the code for the zen-rss-square{/zen-rss-square}<br />{zen-play-circle}This is the code for the zen-play-circle{/zen-play-circle}<br />{zen-ticket}This is the code for the zen-ticket{/zen-ticket}<br />{zen-minus-square}This is the code for the zen-minus-square{/zen-minus-square}<br />{zen-minus-square-o}This is the code for the zen-minus-square-o{/zen-minus-square-o}<br />{zen-level-up}This is the code for the zen-level-up{/zen-level-up}<br />{zen-level-down}This is the code for the zen-level-down{/zen-level-down}<br />{zen-check-square}This is the code for the zen-check-square{/zen-check-square}<br />{zen-pencil-square}This is the code for the zen-pencil-square{/zen-pencil-square}<br />{zen-external-link-square}This is the code for the zen-external-link-square{/zen-external-link-square}<br />{zen-share-square}This is the code for the zen-share-square{/zen-share-square}<br />{zen-compass}This is the code for the zen-compass{/zen-compass}<br />{zen-toggle-down}This is the code for the zen-toggle-down{/zen-toggle-down}<br />{zen-caret-square-o-down}This is the code for the zen-caret-square-o-down{/zen-caret-square-o-down}<br />{zen-toggle-up}This is the code for the zen-toggle-up{/zen-toggle-up}<br />{zen-caret-square-o-up}This is the code for the zen-caret-square-o-up{/zen-caret-square-o-up}<br />{zen-toggle-right}This is the code for the zen-toggle-right{/zen-toggle-right}<br />{zen-caret-square-o-right}This is the code for the zen-caret-square-o-right{/zen-caret-square-o-right}{/zen-6}{zen-6}<br />{zen-euro}This is the code for the zen-euro{/zen-euro}<br />{zen-eur}This is the code for the zen-eur{/zen-eur}<br />{zen-gbp}This is the code for the zen-gbp{/zen-gbp}<br />{zen-dollar}This is the code for the zen-dollar{/zen-dollar}<br />{zen-usd}This is the code for the zen-usd{/zen-usd}<br />{zen-rupee}This is the code for the zen-rupee{/zen-rupee}<br />{zen-inr}This is the code for the zen-inr{/zen-inr}<br />{zen-cny}This is the code for the zen-cny{/zen-cny}<br />{zen-rmb}This is the code for the zen-rmb{/zen-rmb}<br />{zen-yen}This is the code for the zen-yen{/zen-yen}<br />{zen-jpy}This is the code for the zen-jpy{/zen-jpy}<br />{zen-ruble}This is the code for the zen-ruble{/zen-ruble}<br />{zen-rouble}This is the code for the zen-rouble{/zen-rouble}<br />{zen-rub}This is the code for the zen-rub{/zen-rub}<br />{zen-won}This is the code for the zen-won{/zen-won}<br />{zen-krw}This is the code for the zen-krw{/zen-krw}<br />{zen-bitcoin}This is the code for the zen-bitcoin{/zen-bitcoin}<br />{zen-btc}This is the code for the zen-btc{/zen-btc}<br />{zen-file}This is the code for the zen-file{/zen-file}<br />{zen-file-text}This is the code for the zen-file-text{/zen-file-text}<br />{zen-sort-alpha-asc}This is the code for the zen-sort-alpha-asc{/zen-sort-alpha-asc}<br />{zen-sort-alpha-desc}This is the code for the zen-sort-alpha-desc{/zen-sort-alpha-desc}<br />{zen-sort-amount-asc}This is the code for the zen-sort-amount-asc{/zen-sort-amount-asc}<br />{zen-sort-amount-desc}This is the code for the zen-sort-amount-desc{/zen-sort-amount-desc}<br />{zen-sort-numeric-asc}This is the code for the zen-sort-numeric-asc{/zen-sort-numeric-asc}<br />{zen-sort-numeric-desc}This is the code for the zen-sort-numeric-desc{/zen-sort-numeric-desc}<br />{zen-thumbs-up}This is the code for the zen-thumbs-up{/zen-thumbs-up}<br />{zen-thumbs-down}This is the code for the zen-thumbs-down{/zen-thumbs-down}<br />{zen-youtube-square}This is the code for the zen-youtube-square{/zen-youtube-square}<br />{zen-youtube}This is the code for the zen-youtube{/zen-youtube}<br />{zen-xing}This is the code for the zen-xing{/zen-xing}<br />{zen-xing-square}This is the code for the zen-xing-square{/zen-xing-square}<br />{zen-youtube-play}This is the code for the zen-youtube-play{/zen-youtube-play}<br />{zen-dropbox}This is the code for the zen-dropbox{/zen-dropbox}<br />{zen-stack-overflow}This is the code for the zen-stack-overflow{/zen-stack-overflow}<br />{zen-instagram}This is the code for the zen-instagram{/zen-instagram}<br />{zen-flickr}This is the code for the zen-flickr{/zen-flickr}<br />{zen-adn}This is the code for the zen-adn{/zen-adn}<br />{zen-bitbucket}This is the code for the zen-bitbucket{/zen-bitbucket}<br />{zen-bitbucket-square}This is the code for the zen-bitbucket-square{/zen-bitbucket-square}<br />{zen-tumblr}This is the code for the zen-tumblr{/zen-tumblr}<br />{zen-tumblr-square}This is the code for the zen-tumblr-square{/zen-tumblr-square}<br />{zen-long-arrow-down}This is the code for the zen-long-arrow-down{/zen-long-arrow-down}<br />{zen-long-arrow-up}This is the code for the zen-long-arrow-up{/zen-long-arrow-up}<br />{zen-long-arrow-left}This is the code for the zen-long-arrow-left{/zen-long-arrow-left}<br />{zen-long-arrow-right}This is the code for the zen-long-arrow-right{/zen-long-arrow-right}<br />{zen-apple}This is the code for the zen-apple{/zen-apple}<br />{zen-windows}This is the code for the zen-windows{/zen-windows}<br />{zen-android}This is the code for the zen-android{/zen-android}<br />{zen-linux}This is the code for the zen-linux{/zen-linux}<br />{zen-dribbble}This is the code for the zen-dribbble{/zen-dribbble}<br />{zen-skype}This is the code for the zen-skype{/zen-skype}<br />{zen-foursquare}This is the code for the zen-foursquare{/zen-foursquare}<br />{zen-trello}This is the code for the zen-trello{/zen-trello}<br />{zen-female}This is the code for the zen-female{/zen-female}<br />{zen-male}This is the code for the zen-male{/zen-male}<br />{zen-gittip}This is the code for the zen-gittip{/zen-gittip}<br />{zen-sun-o}This is the code for the zen-sun-o{/zen-sun-o}<br />{zen-moon-o}This is the code for the zen-moon-o{/zen-moon-o}<br />{zen-archive}This is the code for the zen-archive{/zen-archive}<br />{zen-bug}This is the code for the zen-bug{/zen-bug}<br />{zen-vk}This is the code for the zen-vk{/zen-vk}<br />{zen-weibo}This is the code for the zen-weibo{/zen-weibo}<br />{zen-renren}This is the code for the zen-renren{/zen-renren}<br />{zen-pagelines}This is the code for the zen-pagelines{/zen-pagelines}<br />{zen-stack-exchange}This is the code for the zen-stack-exchange{/zen-stack-exchange}<br />{zen-arrow-circle-o-right}This is the code for the zen-arrow-circle-o-right{/zen-arrow-circle-o-right}<br />{zen-arrow-circle-o-left}This is the code for the zen-arrow-circle-o-left{/zen-arrow-circle-o-left}<br />{zen-toggle-left}This is the code for the zen-toggle-left{/zen-toggle-left}<br />{zen-caret-square-o-left}This is the code for the zen-caret-square-o-left{/zen-caret-square-o-left}<br />{zen-dot-circle-o}This is the code for the zen-dot-circle-o{/zen-dot-circle-o}<br />{zen-wheelchair}This is the code for the zen-wheelchair{/zen-wheelchair}<br />{zen-vimeo-square}This is the code for the zen-vimeo-square{/zen-vimeo-square}<br />{zen-turkish-lira}This is the code for the zen-turkish-lira{/zen-turkish-lira}<br />{zen-try}This is the code for the zen-try{/zen-try}<br />{zen-plus-square-o}This is the code for the zen-plus-square-o{/zen-plus-square-o}<br />{zen-space-shuttle}This is the code for the zen-space-shuttle{/zen-space-shuttle}<br />{zen-slack}This is the code for the zen-slack{/zen-slack}<br />{zen-envelope-square}This is the code for the zen-envelope-square{/zen-envelope-square}<br />{zen-wordpress}This is the code for the zen-wordpress{/zen-wordpress}<br />{zen-openid}This is the code for the zen-openid{/zen-openid}<br />{zen-institution}This is the code for the zen-institution{/zen-institution}<br />{zen-bank}This is the code for the zen-bank{/zen-bank}<br />{zen-university}This is the code for the zen-university{/zen-university}<br />{zen-mortar-board}This is the code for the zen-mortar-board{/zen-mortar-board}<br />{zen-graduation-cap}This is the code for the zen-graduation-cap{/zen-graduation-cap}<br />{zen-yahoo}This is the code for the zen-yahoo{/zen-yahoo}<br />{zen-google}This is the code for the zen-google{/zen-google}<br />{zen-reddit}This is the code for the zen-reddit{/zen-reddit}<br />{zen-reddit-square}This is the code for the zen-reddit-square{/zen-reddit-square}<br />{zen-stumbleupon-circle}This is the code for the zen-stumbleupon-circle{/zen-stumbleupon-circle}<br />{zen-stumbleupon}This is the code for the zen-stumbleupon{/zen-stumbleupon}<br />{zen-delicious}This is the code for the zen-delicious{/zen-delicious}<br />{zen-digg}This is the code for the zen-digg{/zen-digg}<br />{zen-pied-piper}This is the code for the zen-pied-piper{/zen-pied-piper}<br />{zen-pied-piper-alt}This is the code for the zen-pied-piper-alt{/zen-pied-piper-alt}<br />{zen-drupal}This is the code for the zen-drupal{/zen-drupal}<br />{zen-joomla}This is the code for the zen-joomla{/zen-joomla}<br />{zen-language}This is the code for the zen-language{/zen-language}<br />{zen-fax}This is the code for the zen-fax{/zen-fax}<br />{zen-building}This is the code for the zen-building{/zen-building}<br />{zen-child}This is the code for the zen-child{/zen-child}</p>\r\n<p>{zen-paw}This is the code for the zen-paw{/zen-paw}<br />{zen-spoon}This is the code for the zen-spoon{/zen-spoon}<br />{zen-cube}This is the code for the zen-cube{/zen-cube}<br />{zen-cubes}This is the code for the zen-cubes{/zen-cubes}<br />{zen-behance}This is the code for the zen-behance{/zen-behance}<br />{zen-behance-square}This is the code for the zen-behance-square{/zen-behance-square}<br />{zen-steam}This is the code for the zen-steam{/zen-steam}<br />{zen-steam-square}This is the code for the zen-steam-square{/zen-steam-square}<br />{zen-recycle}This is the code for the zen-recycle{/zen-recycle}<br />{zen-automobile}This is the code for the zen-automobile{/zen-automobile}<br />{zen-car}This is the code for the zen-car{/zen-car}<br />{zen-cab}This is the code for the zen-cab{/zen-cab}<br />{zen-taxi}This is the code for the zen-taxi{/zen-taxi}<br />{zen-tree}This is the code for the zen-tree{/zen-tree}<br />{zen-spotify}This is the code for the zen-spotify{/zen-spotify}<br />{zen-deviantart}This is the code for the zen-deviantart{/zen-deviantart}<br />{zen-soundcloud}This is the code for the zen-soundcloud{/zen-soundcloud}<br />{zen-database}This is the code for the zen-database{/zen-database}<br />{zen-file-pdf-o}This is the code for the zen-file-pdf-o{/zen-file-pdf-o}<br />{zen-file-word-o}This is the code for the zen-file-word-o{/zen-file-word-o}<br />{zen-file-excel-o}This is the code for the zen-file-excel-o{/zen-file-excel-o}<br />{zen-file-powerpoint-o}This is the code for the zen-file-powerpoint-o{/zen-file-powerpoint-o}<br />{zen-file-photo-o}This is the code for the zen-file-photo-o{/zen-file-photo-o}<br />{zen-file-picture-o}This is the code for the zen-file-picture-o{/zen-file-picture-o}<br />{zen-file-image-o}This is the code for the zen-file-image-o{/zen-file-image-o}<br />{zen-file-zip-o}This is the code for the zen-file-zip-o{/zen-file-zip-o}<br />{zen-file-archive-o}This is the code for the zen-file-archive-o{/zen-file-archive-o}<br />{zen-file-sound-o}This is the code for the zen-file-sound-o{/zen-file-sound-o}<br />{zen-file-audio-o}This is the code for the zen-file-audio-o{/zen-file-audio-o}<br />{zen-file-movie-o}This is the code for the zen-file-movie-o{/zen-file-movie-o}<br />{zen-file-video-o}This is the code for the zen-file-video-o{/zen-file-video-o}<br />{zen-file-code-o}This is the code for the zen-file-code-o{/zen-file-code-o}<br />{zen-vine}This is the code for the zen-vine{/zen-vine}<br />{zen-codepen}This is the code for the zen-codepen{/zen-codepen}<br />{zen-jsfiddle}This is the code for the zen-jsfiddle{/zen-jsfiddle}<br />{zen-life-bouy}This is the code for the zen-life-bouy{/zen-life-bouy}<br />{zen-life-buoy}This is the code for the zen-life-buoy{/zen-life-buoy}<br />{zen-life-saver}This is the code for the zen-life-saver{/zen-life-saver}<br />{zen-support}This is the code for the zen-support{/zen-support}<br />{zen-life-ring}This is the code for the zen-life-ring{/zen-life-ring}<br />{zen-circle-o-notch}This is the code for the zen-circle-o-notch{/zen-circle-o-notch}<br />{zen-ra}This is the code for the zen-ra{/zen-ra}<br />{zen-rebel}This is the code for the zen-rebel{/zen-rebel}<br />{zen-ge}This is the code for the zen-ge{/zen-ge}<br />{zen-empire}This is the code for the zen-empire{/zen-empire}<br />{zen-git-square}This is the code for the zen-git-square{/zen-git-square}<br />{zen-git}This is the code for the zen-git{/zen-git}<br />{zen-hacker-news}This is the code for the zen-hacker-news{/zen-hacker-news}<br />{zen-tencent-weibo}This is the code for the zen-tencent-weibo{/zen-tencent-weibo}<br />{zen-qq}This is the code for the zen-qq{/zen-qq}<br />{zen-wechat}This is the code for the zen-wechat{/zen-wechat}<br />{zen-weixin}This is the code for the zen-weixin{/zen-weixin}<br />{zen-send}This is the code for the zen-send{/zen-send}<br />{zen-paper-plane}This is the code for the zen-paper-plane{/zen-paper-plane}<br />{zen-send-o}This is the code for the zen-send-o{/zen-send-o}<br />{zen-paper-plane-o}This is the code for the zen-paper-plane-o{/zen-paper-plane-o}<br />{zen-history}This is the code for the zen-history{/zen-history}<br />{zen-circle-thin}This is the code for the zen-circle-thin{/zen-circle-thin}<br />{zen-header}This is the code for the zen-header{/zen-header}<br />{zen-paragraph}This is the code for the zen-paragraph{/zen-paragraph}<br />{zen-sliders}This is the code for the zen-sliders{/zen-sliders}<br />{zen-share-alt}This is the code for the zen-share-alt{/zen-share-alt}<br />{zen-share-alt-square}This is the code for the zen-share-alt-square{/zen-share-alt-square}<br />{zen-bomb}This is the code for the zen-bomb{/zen-bomb}<br />{zen-soccer-ball-o}This is the code for the zen-soccer-ball-o{/zen-soccer-ball-o}<br />{zen-futbol-o}This is the code for the zen-futbol-o{/zen-futbol-o}<br />{zen-tty}This is the code for the zen-tty{/zen-tty}<br />{zen-binoculars}This is the code for the zen-binoculars{/zen-binoculars}<br />{zen-plug}This is the code for the zen-plug{/zen-plug}<br />{zen-slideshare}This is the code for the zen-slideshare{/zen-slideshare}<br />{zen-twitch}This is the code for the zen-twitch{/zen-twitch}<br />{zen-yelp}This is the code for the zen-yelp{/zen-yelp}<br />{zen-newspaper-o}This is the code for the zen-newspaper-o{/zen-newspaper-o}<br />{zen-wifi}This is the code for the zen-wifi{/zen-wifi}<br />{zen-calculator}This is the code for the zen-calculator{/zen-calculator}<br />{zen-paypal}This is the code for the zen-paypal{/zen-paypal}<br />{zen-google-wallet}This is the code for the zen-google-wallet{/zen-google-wallet}<br />{zen-cc-visa}This is the code for the zen-cc-visa{/zen-cc-visa}<br />{zen-cc-mastercard}This is the code for the zen-cc-mastercard{/zen-cc-mastercard}<br />{zen-cc-discover}This is the code for the zen-cc-discover{/zen-cc-discover}<br />{zen-cc-amex}This is the code for the zen-cc-amex{/zen-cc-amex}<br />{zen-cc-paypal}This is the code for the zen-cc-paypal{/zen-cc-paypal}<br />{zen-cc-stripe}This is the code for the zen-cc-stripe{/zen-cc-stripe}<br />{zen-bell-slash}This is the code for the zen-bell-slash{/zen-bell-slash}<br />{zen-bell-slash-o}This is the code for the zen-bell-slash-o{/zen-bell-slash-o}<br />{zen-trash}This is the code for the zen-trash{/zen-trash}<br />{zen-copyright}This is the code for the zen-copyright{/zen-copyright}<br />{zen-at}This is the code for the zen-at{/zen-at}<br />{zen-eyedropper}This is the code for the zen-eyedropper{/zen-eyedropper}<br />{zen-paint-brush}This is the code for the zen-paint-brush{/zen-paint-brush}<br />{zen-birthday-cake}This is the code for the zen-birthday-cake{/zen-birthday-cake}<br />{zen-area-chart}This is the code for the zen-area-chart{/zen-area-chart}<br />{zen-pie-chart}This is the code for the zen-pie-chart{/zen-pie-chart}<br />{zen-line-chart}This is the code for the zen-line-chart{/zen-line-chart}<br />{zen-lastfm}This is the code for the zen-lastfm{/zen-lastfm}<br />{zen-lastfm-square}This is the code for the zen-lastfm-square{/zen-lastfm-square}<br />{zen-toggle-off}This is the code for the zen-toggle-off{/zen-toggle-off}<br />{zen-toggle-on}This is the code for the zen-toggle-on{/zen-toggle-on}<br />{zen-bicycle}This is the code for the zen-bicycle{/zen-bicycle}<br />{zen-bus}This is the code for the zen-bus{/zen-bus}<br />{zen-ioxhost}This is the code for the zen-ioxhost{/zen-ioxhost}<br />{zen-angellist}This is the code for the zen-angellist{/zen-angellist}<br />{zen-cc}This is the code for the zen-cc{/zen-cc}<br />{zen-shekel}This is the code for the zen-shekel{/zen-shekel}<br />{zen-sheqel}This is the code for the zen-sheqel{/zen-sheqel}<br />{zen-ils}This is the code for the zen-ils{/zen-ils}<br />{zen-meanpath}This is the code for the zen-meanpath{/zen-meanpath}<span style=\"line-height: 15.8079996109009px;\">{/zen-6}{/zen-row}</span></p>',1,19,'2014-11-06 06:59:03',214,'','2014-11-26 23:32:18',921,0,'0000-00-00 00:00:00','2014-11-06 06:59:03','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',58,15,'','',1,236,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(83,1531,'Zenmenu',X'7A656E6D656E75','<p>Zen Grid Framework v4 (ZGF4) themes come with a simple Joomla plugin to replicate some key Mega Menu functionality in your Joomla site. The Zen Menu plugin can be downloaded <a href=\"http://joomlabamboo.com/index.php?option=com_docman&amp;task=doc_download&amp;gid=694&amp;Itemid=\">here</a> - please note that the plugin will only work with the html overrides found in ZGF4 based themes.</p>\r\n','\r\n<p> </p>\r\n<h2>Subtitles and Font Awesome icons</h2>\r\n<p>The Zen Menu plugin gives you the ability add icons and subtitles to any menu on your site using the core Joomla menu module. </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/subtitle.jpg\" alt=\"\" /></p>\r\n<h2>Add a module positions to your menu</h2>\r\n<p>The plugin also make it possible to load a module position in any menu item.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/module-positions-in-menu.jpg\" alt=\"\" /></p>\r\n<h2>Add multiple columns and group items</h2>\r\n<p>It is also possible to create multi-column and grouped menu items.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/mutliple-columns.jpg\" alt=\"\" /></p>',1,21,'2014-11-06 06:59:35',214,'','2014-11-26 23:28:44',921,0,'0000-00-00 00:00:00','2014-11-06 06:59:35','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,14,'','',1,57,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(85,1533,'Built in Effects',X'6275696C742D696E2D65666665637473','<p>Zen Grid Framework 4 (ZGF4) based themes feature an array of built in effects to add a little dazzle to your Joomla website. Some of these effects add key functionality to your site\'s user interaction while others are just there for the fun of it.</p>\r\n','\r\n<p> </p>\r\n<h2>CSS3 Animations</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/css3-animations.jpg\" alt=\"\" /></p>\r\n<p>ZGF4 based themes integrate the <a href=\"https://github.com/machito/animate.less\">animate.less</a> library combined with the <a href=\"http://mynameismatthieu.com/WOW/\">wowjs</a> script to provide some fun fading, sliding and scrolling effects to entire rows of your content.Effects are easily assigned to specific rows in the template settings and allow you to determine how the content loads on the page when the content becomes visible. Used in conjunction with the one page mode this can help to create a lively experience for your visitors.</p>\r\n<h2>Lazyload</h2>\r\n<p>Lazy Load delays the loading of images on the page until your visitor scrolls to the point at which it is required. Using Lazy Load on long web pages will make the page load faster, given that assets are not loaded on the page if the user does not view that content. This can save seconds of your page load time on pages that have a significant number of images.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/lazyload.jpg\" alt=\"\" /></p>\r\n<h2>Back to top</h2>\r\n<p>When back to top is enabled a link is displayed in the bottom of the window when a user scrolls down the page. When the link is clicked the viewport is smoothly scrolled back to the top of the page.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/back-to-top.jpg\" alt=\"\" /></p>\r\n<h2>Sticky Nav</h2>\r\n<p>When this option is enabled the top navigation bar will \"stick\" to the top of the browser window and remain there until the user scrolls back up past it\'s initial position.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/sticky.jpg\" alt=\"\" /></p>',1,21,'2014-11-06 07:00:57',214,'','2014-11-26 23:28:34',921,0,'0000-00-00 00:00:00','2014-11-06 07:00:57','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,12,'','',1,12,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(86,1601,'Layout builder',X'6C61796F75742D6275696C646572','<p><img class=\"border\" src=\"images/democontent/documentation/layout/layout.jpg\" alt=\"\" /></p>\r\n<p>Zen Grid Framework V4 (ZGF4) themes come with a dedicated layout tool that lets you use a draggable interface to control the widths used for various modules in your template.</p>\r\n','\r\n<p> </p>\r\n<h2>The Layout Panel</h2>\r\n<p>The layout tool is a single panel that control all of the layout rules across all screen sizes. You can easily determine the default behaviour for given rows across the various screen sizes available via the responsive breakpoints specified in your template settings.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/widths.jpg\" alt=\"\" /></p>\r\n<p>The layout tool is inspired by the T3 Framework\'s layout tool with some key modifications in workflow. We have simplified the behaviour for the template across different screen sizes by adding simple toggles for either hiding or stacking modules at various screen sizes.</p>\r\n<h2>Mobile Detect Library</h2>\r\n<p>The template also features the possibility to use the Mobile Detect PHP library which is a blazingly fast library for determining whether or not to display content on a given tablet or mobile device. The Mobile detect library checks your layout tool settings and uses them to determine whether or not to load a row of content. Using the mobile detect library can significantly speed up your site\'s performance for mobile devices.</p>',1,21,'2014-11-06 07:01:47',214,'','2014-12-22 23:50:45',214,214,'2014-12-23 01:06:54','2014-11-06 07:01:47','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,11,'','',1,240,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(87,1535,'Zen Shortcode layouts',X'7A656E2D73686F7274636F64652D6C61796F757473','<p>Zen Shortcode is a plugin that can render specific icons, styling and layout markup in your content items.</p>\r\n<p>The syntax shown below is automatically changed in your content items to render the specific markup for grids based on the grid used in the Zen Grid Framework v4. </p>\r\n','\r\n<p> </p>\r\n<h2>New syntax</h2>\r\n<p>For users that are used to using the JB Type plugin please note that the syntax used for rendering grids in your content has changed. Each row needs to be wrapped in a specific zen-row tag. This is used in order to avoid needing to add the _last tag used in the JB Type plugin.</p>\r\n<p><strong>Example:</strong></p>\r\n<p><code>[zen-row][zen-6]This is a block of content that will take up half of the width of the page.[/zen-6][zen-6]This is a block of content that will take up half of the width of the page.[/zen-6][zen-row]</code></p>\r\n<p><em>Please note that the above example uses square brackets as opposed to curly brackets to avoid the text rendering on the page.</em></p>\r\n<p><strong>List of available grids:</strong></p>\r\n<ul class=\"simple\">\r\n<li>zen-1</li>\r\n<li>zen-2</li>\r\n<li>zen-3</li>\r\n<li>zen-4</li>\r\n<li>zen-5</li>\r\n<li>zen-6</li>\r\n<li>zen-7</li>\r\n<li>zen-8</li>\r\n<li>zen-9</li>\r\n<li>zen-10</li>\r\n<li>zen-11</li>\r\n<li>zen-12</li>\r\n</ul>\r\n<p>Here are examples:</p>\r\n<p>{zen-row}{zen-12}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-12</div>\r\n<p>{/zen-12}{/zen-row}{zen-row}{zen-6}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-6</div>\r\n<p>{/zen-6}{zen-6}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-6</div>\r\n<p>{/zen-6}{/zen-row}{zen-row}{zen-4}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-4</div>\r\n<p>{/zen-4}{zen-4}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-4</div>\r\n<p>{/zen-4}{zen-4}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-4</div>\r\n<p>{/zen-4}{/zen-row}{zen-row}{zen-3}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-3</div>\r\n<p>{/zen-3}{zen-3}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-3</div>\r\n<p>{/zen-3}{zen-3}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-3</div>\r\n<p>{/zen-3}{zen-3}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-3</div>\r\n<p>{/zen-3}{/zen-row}{zen-row}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{zen-2}</p>\r\n<div style=\"background-color: #eee; width: 100%; margin-bottom: 10px;\">zen-2</div>\r\n<p>{/zen-2}{/zen-row}</p>',1,19,'2014-11-08 00:29:31',214,'','2014-11-26 23:28:20',921,0,'0000-00-00 00:00:00','2014-11-08 00:29:31','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,2,'','',1,18,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(88,1603,'Beautiful Interface',X'62656175746966756C2D696E74657266616365','<p>Zen Grid Framework v4 (ZGF4) based themes feature a simple and easy to use user interface. There are a lot of features under the hood and at your fingertips, but the ZGF4 interface keeps things organised with helpful hints, headings and menus to make sure you stay on the path.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/interface.jpg\" alt=\"\" /></p>\r\n<p>The ZGF4 interface aims to both site builders and developers, to make a control panel that is both feature rich and not visually overwhelming. Zen Grid Framework 4 themes have a number of options that aim to improve your user experience regardless of your skill level and experience.</p>\r\n<h2>Basic Mode</h2>\r\n<p>Basic mode is aimed at users who are happy to use the default advanced settings in the template and make simple changes to layout, theme selector, fonts etc. When basic mode is enabled the advanced options are hidden from view making the interface more focussed and easier to navigate.</p>\r\n<p>Basic and advanced mode are toggled on specific panels with a Hide Advanced / Show Advanced toggle button. The button toggles the setting for all panels and the basic / advanced state is saved when the user saves their settings.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/display/basic-mode.jpg\" alt=\"\" /></p>\r\n<p>Users can click on the Advanced setting toggle while editing the template settings in order to hide or display.</p>\r\n<h2>Example of layout settings with advanced options enabled.</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/display/advanced-mode.jpg\" alt=\"\" /></p>\r\n<h2>Advanced Mode</h2>\r\n<p>Advanced mode displays all of the features available in the template making it possible to change almost any aspect of the theme. </p>\r\n<p>The settings panel holds most of the advanced features and will allow you to make the most out of the powerful optimisation tools we have added to ZGF4 themes.</p>\r\n<h2>Hiding descriptions and information</h2>\r\n<p>In addition to the above advanced / basic toggle we have also added the option to hide the descriptive / information elements all together. This mode is aimed at the power user who has already understood what specific features do and are comfortable operating the template without the added benefit of the descriptions.</p>\r\n<p>To hide the template descriptions go to the settings panel and toggle the Hide Template description on.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/display/disable-descriptions.jpg\" alt=\"\" /></p>\r\n<p>This is an example of the css page with the information enabled.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/display/with-descriptions.jpg\" alt=\"\" /></p>\r\n<h2>Settings with information disabled</h2>\r\n<p>And as you can see from the following screenshot disabling the information significantly tightens up the display.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/display/without-descriptions.jpg\" alt=\"\" /></p>\r\n<p> </p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:28:14',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,10,'','',1,41,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(89,1604,'Font Control',X'666F6E742D636F6E74726F6C','<p>Flexible font control has always been a part of the Zen Grid Framework based themes. </p>\r\n<p>That tradition continues in Zen Grid Framework 4 (ZGF4) themes by making it super simple to use standard web native fonts or any of the hundreds of fonts available on the google webfont directory.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/fonts/headingfont.jpg\" alt=\"\" /></p>\r\n<p>Font families and their weights are easily specified in the font panel in the template settings.</p>\r\n<p> </p>\r\n<h2>Use Javascript Loader or not ...</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/fonts/font-loader.jpg\" alt=\"\" /></p>\r\n<p>A new feature to ZGF4 themes is the ability to specify whether or not to use the javascript loader to load fonts. The javascript loader ensures that the site loads faster as the font assets are loaded after the site loads. Using the font loader however can cause what is known as a FOUT or Flash of unstyled content where there is a slight flash on the page as the new font is applied to your content.</p>\r\n<p>By default the font loader is turned off and the google fonts are loaded in a single css asset. </p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:28:06',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,9,'','',1,9,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(90,1605,'Responsive Control',X'726573706F6E736976652D636F6E74726F6C','<p>Zen Grid Framework v4 (ZGF4) based themes have a number of options for adapting your website design to suit the device or screen size your visitor is viewing your site with. Responsive design is more than just making sure that the design doesn\'t break. It\'s about providing an optimum experience for your user regardless of the medium they are using to view your site with.</p>\r\n','\r\n<p> <img style=\"line-height: 1.3em;\" src=\"images/democontent/documentation/responsive/responsive.jpg\" alt=\"\" /></p>\r\n<p>Firstly though if your project doesn\'t require a responsive design we have added the option to disable it with a single button. By disabling responsive layouts in the responsive settings panel it is possible to remove all responsive elements from the site - the theme will serve a desktop version regardless of the screen that the user is using to view the site.</p>\r\n<h2>Allow pinch and Zoom</h2>\r\n<p>Another option available in the template administrator is to enable the pinch and zoom feature for touch devices. Being able to change the scale of the presentation of the design can cause issues when the screen is rotated but if you want to your users ot be able to zoom into your content then it\'s super easy to add this.</p>\r\n<h2>Breakpoints</h2>\r\n<p>The breakpoint section is an important part of the responsive control and it sets the points int he browser where you can affect change to the design. The device names (tablet and phone) are really just guides as breakpoints should really be viewed literally as the point in which the design breaks, rather than as a way to target a specific device eg ipad3, iphone 6 etc.</p>\r\n<p><img src=\"images/democontent/documentation/responsive/breakpoints.jpg\" alt=\"\" /></p>\r\n<p>The max-widths specified for phone and tablets link into the phone and tablet icons in the layout tool. That is, if you want to hide a row at the tablet width, you would do this by clicking on the tablet icon for that specific row in the layout tool. The actual pixel width that that row is subsequently hidden is determined by the value set in the tablet max width value above. You can easily adjust the width that the row is hidden by adjusting the value and then recompiling your less to css.</p>\r\n<p>The grid and nav collapse values refer to the points at which the grid layout and the main navigation collapse. Setting these options to 0 will effectively mean that they never collapse and setting them to an extraordinarily high number - say 100000px - will mean that the grids and navigation always remain in their collapsed state.</p>\r\n<h2>Responsive Classes</h2>\r\n<p>The values set in the breakpoint section also determine the widths that the following responsive classes apply to your design. These responsive classes are specified in the zen/libs/zen/less/_responsive.less file.</p>\r\n<ul>\r\n<li>.hidden-desktop</li>\r\n<li>.visible-desktop</li>\r\n<li>.visible-tablets</li>\r\n<li>.hidden-tablets</li>\r\n<li>.stack-tablets</li>\r\n<li>.stack-phones</li>\r\n<li>.hidden-phones</li>\r\n<li>.visible-phone</li>\r\n<li>.visible-navcollapse</li>\r\n<li>.hidden-navcollapse</li>\r\n<li>.visible-gridcollapse</li>\r\n<li>.hidden-gridcollapse</li>\r\n</ul>\r\n<p>These classes are available to use in your content items, module classes or in any custom template layout you create.</p>\r\n<h2>Collapsed Menu Behaviour</h2>\r\n<p>There are 5 options available for determining how your menu behaves when it is below the nav collapse value.</p>\r\n<p><img src=\"images/democontent/documentation/responsive/collapsemenu.jpg\" alt=\"\" /></p>\r\n<p>Those options are:</p>\r\n<ul>\r\n<li>toggle menu</li>\r\n<li>off canvas menu</li>\r\n<li>select menu</li>\r\n<li>stacked</li>\r\n<li>no change</li>\r\n</ul>\r\n<p>Multi-level menus for toggle and offcanvas menu types are automatically transformed into accordion menus to make long and complex menus more usable for small screens.</p>\r\n<h2>Mobile Detect</h2>\r\n<p>A related option in the Zen Grid Framework 4 themes is the ability to use a server side script to target phone or tablet devices. This setting can be found in the settings &gt; mobile detect area of the template settings.</p>\r\n<p>This option uses a light weight PHP implementation for detecting your visitors device. The Mobile Detect library as implemented in ZGF4 themes specifically target devices that are tablet, phones or desktops.</p>\r\n<p>The layout tool settings for hide or stack on phones or tablets triggers uses the mobile detect settings if this option is enabled. This means that breakpoints settings are ignored on those devices and if a device tests as a tablet, for instance, then it inherits the settings for tablets set in the tool, regardless of whether the device is held in landscape or portrait mode.</p>\r\n<p>The benefit to using the mobile detect library is that it can significantly reduce the load time for tablet and phone devices.</p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-27 08:47:55',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',18,8,'','',1,13,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(91,1606,'Accordion Menu',X'6163636F7264696F6E2D6D656E75','<p>The accordion menu has long been a feature of Zen Grid Framework themes. A simple piece of javascript transformed your standard Joomla menu module into an accordion menu that allows the user to navigate through multi-level vertical menus in your site\'s sidebar. You can see an example of the mega menu infused accordion menu in the sidebar on this page.</p>\r\n','\r\n<p> </p>\r\n<h2>Accordion menu is now integrated into the toggle and offcanvas menu</h2>\r\n<p>The accordion menu however is now a part of the responsive toggle and off canvas menus. Long multi-levelled menus always performed poorly on small screens or mobile devices however the accordion menu makes it easy to navigate through your website. The display is uncluttered and intuitive and a far superior for navigating long menus on mobile devices.</p>\r\n<h2>Toggle Menu example</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/menu/toggle-menu.jpg\" alt=\"\" /></p>\r\n<h2>Offcanvas Accordion example</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/menu/offcanvas-menu.jpg\" alt=\"\" /></p>\r\n<h2>Zen Menu adds mega menu functionality to your accordion menu</h2>\r\n<p>The Zen Menu plugin also makes it possible to add key mega menu features such as using icons, sub titles as well as displaying modules in the menu. This adds a tonne of flexibility when it comes to creating elegant and yet complex menu structures for your site.</p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:35:18',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',9,7,'','',1,198,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(92,1607,'Offcanvas Panel and Menu',X'6F666663616E7661732D70616E656C2D616E642D6D656E75','<p>Zen Grid Framework V4 (zgf4) themes use a flexible approach to adding an offcanvas module to your website. </p>\r\n<p>The offcanvas panel can be used to display any module content. It can also be used to display the responsive menu content for screen sizes smaller than the nav collapse value specified in your template settings. This makes the offcanvas panel a powerful tool to use for displaying information /fucntionality on your site that may not be important enough to be displayed on the canvas but your users need access to regardless.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/menu/offcanvas-menu.jpg\" alt=\"\" /></p>\r\n<h2>Set the position, width and breakpoint for the offcanvas menu easily</h2>\r\n<p>The offcanvas position can be set to be displayed to the left or the right of the page. The template settings also provide the ability to specify the minimum breakpoint the off canvas menu should be visible on.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/menu/offcanvas.jpg\" alt=\"\" /> </p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:27:51',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,6,'','',1,19,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(93,1565,'One Page Mode',X'6F6E652D706167652D6D6F6465','<p>Zen Framework v4 (ZGF4) themes also have built in support for creating a one page site.</p>\r\n','\r\n<p>One page sites (as the name suggests) use a menu at the top of the page to smooth scroll to various anchor points on the page. </p>\r\n<p>The page is divided into rows of grids that can be viewed on the layout tab in the template settings - eg grid1 refers to grid1 to grid4, grid2 refers to grid5 and grid8.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/menu/onepage.jpg\" alt=\"\" /></p>',1,21,'2014-11-12 11:28:53',214,'','2014-12-11 00:07:42',501,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,5,'','',1,141,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(94,1609,'Hidden Panel ',X'68696464656E2D70616E656C','<p>Zen Grid Framework v4 (ZGF4) based themes also include a useful hidden panel for displaying content in a floating panel above the page.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/hidden-panel.jpg\" alt=\"\" /></p>\r\n<p>The panel trigger is automatically displayed on the page when any module is published to the panel position. After clicking the panel trigger, a floating panel appears above the page displaying your panel content.</p>\r\n<p>Colours and other settings for the hidden panel are easily configured int he template settings.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/effects/hiddenpanel.jpg\" alt=\"\" /></p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:27:35',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,4,'','',1,14,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(95,1610,'Development Mode and live reload ',X'646576656C6F706D656E742D6D6F64652D616E642D6C6976652D72656C6F6164','<p>If you are working on a live server though and wish to work directly with less files there is a development mode found in the settings panel which can be enabled for this use.</p>\r\n<p>When development mode is enabled all less files loaded by the template are loaded in the browser. So rather than loading the css/theme.my-theme-name.css file you will see template.less, menu.less etc loading if you were to view the page with the web inspector.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/css.jpg\" alt=\"\" /></p>\r\n<p>This option requires no compiling so after a change is made to one of these files and then the browser is refreshed you will see the changes on your website.</p>\r\n<p>This option is meant to be used purely for development purposes and should be disabled after making the changes required for your theme. After making these changes and disabling the development feature you will then need to compile less to css in your template admin.</p>\r\n<h2>Using watch mode to live reload changes to less files.</h2>\r\n<p>There is a somewhat experimental option called watch mode for times when the development mode is enabled. Watch mode is capable of refreshing the page when changes are made to less files without refreshing the browser. When a change is made to any of the template less file the less javascript listens for those changes and then renders the changes on the page.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/less-live-watch.jpg\" alt=\"\" /></p>\r\n<p>This mode is marked as experimental because in some cases this can lead to high cpu usage on your computer. It is advised that if you wish to use this option to use it sparingly - ie turn it off when not directly making changes to the less files.</p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:35:11',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,3,'','',1,13,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(96,1569,'Performance and Asset control',X'706572666F726D616E63652D616E642D61737365742D636F6E74726F6C','<p>A key feature of all Zen Grid Framework v4 themes is their focus on performance. Out of the box this theme can score in the 90s using google page speed tests with some additions to your htaccess file. </p>\r\n<p>We have spent a lot of time fine tuning the way assets load in the template as well as to create some flexible options for users to tweak the way that their template performs.</p>\r\n','\r\n<p> </p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/framework/speed-report.jpg\" alt=\"\" /></p>\r\n<h2>Asset Management</h2>\r\n<p>At it\'s core, the Zen Grid Framework v4 offers a flexible approach to controlling the loading of javascript and css files. In production ready sites it is possible to<strong> streamline </strong>the javascript and css files loading in the template into two compressed files. As you probably already know, the fewer files a template loads the faster it loads.</p>\r\n<p>The template determines the content of your css or javascript files based on settings in your template settings. There is little to no dynamic processing on your site\'s front end. This reduces any lag in page loading because there are no additional overhead from php processes used to concatenate or compress files in real time on page load.</p>\r\n<h2>Loading extra css or javascript files</h2>\r\n<p>Extra less, css or javascript files can be added to the template in a number of ways. </p>\r\n<p>1. From the template settings you can add the path to extra less, css or js files on your server that you want to include in your site. These files can then be compressed into the single css or javascript file on your site. </p>\r\n<p>2. In the template settings/assets.xml file you can also specify files that you wish to add to your css or js files. This is a more developer orientated option but is an equally valid way of adding additional assets to your theme.</p>\r\n<p>3. Script and style tags and links to javascript and css files can also be added to the four different areas in the template ie after the start of the head tag, before the close of the head tag, after the start of the body tag, before the close of the body tag. Please note though that any files or references added here do not get added to the built in compiler or compressor. This option is akin to placing manual edits to the template code itself.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/javascript-compressor.jpg\" alt=\"\" /></p>\r\n<p>Please note: When the option to load a single css or javascript file is disabled any extra files (added by either of the two methods above) will also be displayed. This makes it very easy to troubleshoot your css and js files in production or development. </p>\r\n<h2>Reusable theme css files or a css file for each template theme. </h2>\r\n<p>As with most Joomla templates it is possible to use different layouts and colour combinations on different pages of your Joomla site. Doing so requires duplicating a template using the Joomla copy or save as copy function in the template admin. Each template has the option to load a default css or javascript or load a file that is specific to that template style.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/theme/theme-options.jpg\" alt=\"\" /></p>\r\n<p>Theme files created in the template admin can be assigned to other instances of the template using a different configuration. This means that even though the second template instance may be using different settings it\'s main css file becomes a cacheable object because it is not load anew for each page.</p>\r\n<h2>Always load the default css</h2>\r\n<p>It is possible however to override this behaviour and always load the default (css/template.css) file. This setting is applicable for users who want to bypass the builtin theme options and compiler and either use a 3rd party compilation program (like <a href=\"https://incident57.com/codekit/\">codekit</a>) or write their css using a different preprocessor language or using good old fashioned css.</p>\r\n<p>In order to make this change for the template you need to navigate to the settings panel in your template and enable the Load template.css file in the debug settings.</p>\r\n<h2>GZIP css or javascript</h2>\r\n<p>Gzip is a technique that can be used to provide compression to your js or css files. Gzipped files are served in the browser via php files and then de-compressed in the browser. Gzipping assets can lead to a performance boost depending on other server settings and the number of assets loading on a page. Gzip is recommended on sites that do not already use gzip compression in their htaccess file.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/javascript.jpg\" alt=\"\" /></p>\r\n<h2>Use a cdn for the core files</h2>\r\n<p>A Content Distribution Network or a CDN can be used to improve your site\'s performance for two main reasons. Assets loaded on a site from a separate domain are able to load asynchronously (eg while other files are also loading) in the browser. This means depending on the server and users internet connection the site will generally load faster. CDN\'s also offer location specific loading of files so that the user downloads a copy of the files from a server that is physically the closest to them within the network. This can also help to cut down on valuable seconds or micro seconds when considering the site load.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/cdn.jpg\" alt=\"\" /></p>\r\n<p>Zen Grid Framework V4 based themes make it possible to specify a url to load core template assets with. This means that the CSS and javascript files referenced by the template can be loaded via another server location in your CDN. The process for moving files to your CDN at this stage is a manual process however doing so will shave time off your sites load time. Please review our documentation for more detailed information on how to implement the CDN feature.</p>\r\n<h2>Use a cdn version of jQuery</h2>\r\n<p>ZGFv4 based themes also have the option of replacing the core Joomla version of jQuery with a different version specified by url in the template settings. This feature makes it possible to use any of the hosted jQuery versions from Google, jQuery etc and therefore take advantage of previously cached instances of the library in the users browser as well as utilise the same CDN principle outlined above.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/performance/remove-joomla-gen.jpg\" alt=\"\" /></p>\r\n<h3> </h3>',1,21,'2014-11-12 11:28:53',214,'','2014-12-16 00:11:52',501,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',23,2,'','',1,37,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(97,1612,'Flexible Bootstrap implementation',X'666C657869626C652D626F6F7473747261702D696D706C656D656E746174696F6E','<p>Zen Grid Framework v4 (ZGF4) themes use an intelligent approach to providing Bootstrap support.</p>\r\n<p>Bootstrap as you are probably aware is the default Joomla 3+ framework. Bootstrap provides a standardised structure for integrating components and extensions into your website - but at a cost. The full bootstrap library add at least 120kb extra to your site - most of which you will not use in standard Joomla installation.</p>\r\n','\r\n<p> </p>\r\n<h2>Bootstrap test pages</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/bootstrap/bootstrap3.jpg\" alt=\"\" /></p>\r\n<p>As a guide we created two bootstrap test pages. You can see the html elements for <a href=\"index.php/template-features/bootstrap2-tests\">bootstrap2</a> and <a href=\"index.php/template-features/bootstrap3-tests\">bootstrap3</a> on this demo. The default package comes with two presets which highlight how to include bootstrap in your site.</p>\r\n<h2>The framework does not require bootstrap</h2>\r\n<p>ZGF4 based themes do not require bootstrap css or javascript for any of it\'s core functionality nor does it need bootstrap for any of it\'s html overrides. If you are using standard Joomla content or a 3rd party extension that does not use bootstrap then you do not need to include bootstrap in your theme.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/bootstrap/enable-bootstrap.jpg\" alt=\"\" /></p>\r\n<h2>A flexible approach to bootstrap</h2>\r\n<p>If however you do require bootstrap (either bootstrap 2 or bootstrap 3) you can selectively include the bootstrap elements that you need. The theme panel provides a simple checklist of bootstrap elements as well as a dropdown list specifying the version of bootstrap to use.</p>\r\n<h2>Select the version of bootstrap to use</h2>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/bootstrap/select-version.jpg\" alt=\"\" /></p>\r\n<p> </p>\r\n<h2>Select the elements to use</h2>\r\n<p>After selecting the version of bootstrap required go through the list of items required in your bootstrap stack.</p>\r\n<p><img class=\"border\" src=\"images/democontent/documentation/bootstrap/select-elements.jpg\" alt=\"\" /></p>\r\n<h2>Compile your less to css</h2>\r\n<p>After making the changes required scroll back up to the top of the page and save your theme. After doing so bootstrap will be added to your themes css file and available for use on the front end of your site.</p>\r\n<p> </p>',1,21,'2014-11-12 11:28:53',214,'','2014-11-26 23:35:06',921,0,'0000-00-00 00:00:00','2014-11-12 11:28:53','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,1,'','',1,14,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(98,1540,'Using Module Classes',X'6D6F64756C652D636C61737365732D32','<p>This template comes with a wide variety of ways in which to style your module content. There are a tonne of options to choose from and you can even combine them.</p>\r\n','<hr title=\"Functional\" class=\"system-pagebreak\" />\r\n<h2 class=\"headline\">Functional module styles</h2>\r\n<p class=\"subheading\">The following module types are invoked on your site when you select the module chrome from the drop down list in the module settings of the module that you are trying to target.</p>\r\n<h3>Zentabs</h3>\r\n<p>This module chrome allows you to display multiple modules in a tabbed format. This chrome requires at least two modules published to the same position using the same module chrome in order to function. <span style=\"line-height: 1.3em;\">In order to control the order of the tabs simply change the ordering of the items in the Joomla administrator.</span></p>\r\n<p>{loadposition zentabs}</p>\r\n<h3>Zenslider</h3>\r\n<p>This module chrome uses the title of the module to trigger the opening or closing of a slider which slides up and down to show and hide the content of the module. Click on the title of the item below in order to hide or show the content in the module.</p>\r\n<p>{loadposition slider}</p>\r\n<hr title=\"Structural Classes\" class=\"system-pagebreak\" />\r\n<h2 class=\"headline\">Structural module classes</h2>\r\n<p class=\"subheading\">These module classes are used to adjust the positioning of a module. eg if you want to move your module 225px down then you would use the top225 module class.</p>\r\n<ul>\r\n<li>top25 {margin-top: 25px}</li>\r\n<li>top50 {margin-top: 50px}</li>\r\n<li>top75 {margin-top: 75px}</li>\r\n<li>top100 {margin-top: 100px}</li>\r\n<li>top125 {margin-top: 125px}</li>\r\n<li>top150 {margin-top: 150px}</li>\r\n<li>top175 {margin-top: 175px}</li>\r\n<li>top200 {margin-top: 200px}</li>\r\n<li>top225 {margin-top: 225px}</li>\r\n<li>top250 {margin-top: 250px}</li>\r\n<li>top275 {margin-top: 275px}</li>\r\n<li>top300 {margin-top: 300px}</li>\r\n<li>top325 {margin-top: 325px}</li>\r\n<li>top350 {margin-top: 350px}</li>\r\n<li>top375 {margin-top: 375px}</li>\r\n<li>top400 {margin-top: 400px}</li>\r\n<li>top425 {margin-top: 425px} </li>\r\n<li>top450\" {margin-top: 450px}</li>\r\n<li>top475 {margin-top: 475px}</li>\r\n<li>top500 {margin-top: 500px}</li>\r\n</ul>\r\n<hr title=\"Appearance\" class=\"system-pagebreak\" />\r\n<h2 class=\"headline\">Appearance module classes</h2>\r\n<p class=\"subheading\">Appearance classes are used to change the way a module looks. The primary and secondary class suffixes use colours that are defined in your template settings or via the variables.less associated with the primary and secondary variables.</p>\r\n<ul>\r\n<li>primary1</li>\r\n<li>primary2</li>\r\n<li>primary3</li>\r\n<li>secondary1</li>\r\n<li>secondary2</li>\r\n<li>secondary3</li>\r\n<li>inset</li>\r\n<li>border</li>\r\n<li>shadow</li>\r\n<li>shadow2</li>\r\n<li>hot - adds the word hot to the .moduletable h3 span:after</li>\r\n<li>new - adds the word new to the .moduletable h3 span:after</li>\r\n</ul>\r\n<p>The appearance module classes can be used in combination with each other to create more compel xmoduel styles. To use multiple styles together please ensure that each module class suffix is separated by a space as per the following example. Also please note that there needs to be a space before the start of the first class in order to render the class output properly:</p>\r\n<p><span style=\"line-height: 15.8079996109009px;\">{zen-pre}example class suffix|primary1 inset border{/zen-pre}</span></p>\r\n<hr title=\"Font Icon Classes\" class=\"system-pagebreak\" />\r\n<h2 class=\"headline\">Font Icon Module classes</h2>\r\n<p class=\"subheading\">Using a combination of module classes, it is possible to create a wide range of module styles using the font awesome font icons. The icons that are available for use are referenced from the font awesome font library, however you need to ensure that the template has included the Fotn Awesome Library in it\'s css file. This is done in the settings tab in the template settings and will be available after you enable the option, select all icons and then compile the less to css.</p>\r\n<p>A typical module class suffix using the font icons looks like this:</p>\r\n<p>{zen-pre}example class suffix|icon icon-comments large bottom secondary1{/zen-pre}</p>\r\n<ul>\r\n<li>zen-icon - initiates the font icon display</li>\r\n<li>zen-icon-comments - selects the icon to display. You can see a full list of icons available on the <a href=\"index.php/typography\">typography page</a>.</li>\r\n<li>large - (optional) You can choose between tiny, medium or large which set the font-size of the icon as follows: 1em, 2em (default), 4em and 8em.</li>\r\n<li>bottom - (optional) Displays the icon at the bottom of the module. By default the icon is set to display at the top.</li>\r\n<li>secondary1 - as per the examples on this page this refers to the built in colour control in the template.</li>\r\n</ul>\r\n<p>You can scroll down to the bottom of this page to see a very small selection of the styles in action.</p>',1,21,'2012-12-20 23:27:47',214,'','2014-12-24 03:49:36',214,0,'0000-00-00 00:00:00','2012-12-20 23:27:47','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',11,0,'','',1,88,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(99,1670,'Bootstrap3 Test page',X'626F6F7473747261702D746573742D70616765','<p>This is the test page for the template when using Bootstrap 3. The markup below is taken from the official bootstrap 3 markup page.</p>','\r\n<div class=\"container\">\r\n<div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-8 col-md-7 col-sm-6\"> </div>\r\n<div class=\"col-lg-4 col-md-5 col-sm-6\">\r\n<div class=\"sponsor\"> </div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Navbar\r\n      ================================================== -->\r\n<div class=\"bs-docs-section clearfix\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"navbar\">Navbar</h1>\r\n</div>\r\n<div class=\"bs-component\">\r\n<div class=\"navbar navbar-default\">\r\n<div class=\"navbar-header\"><button class=\"navbar-toggle\" type=\"button\" data-toggle=\"collapse\" data-target=\".navbar-responsive-collapse\"> </button> <a class=\"navbar-brand\" href=\"#\">Brand</a></div>\r\n<div class=\"navbar-collapse collapse navbar-responsive-collapse\">\r\n<ul class=\"nav navbar-nav\">\r\n<li class=\"active\"><a href=\"#\">Active</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li class=\"dropdown-header\">Dropdown header</li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n<li><a href=\"#\">One more separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<form class=\"navbar-form navbar-left\"><input class=\"form-control col-lg-8\" type=\"text\" placeholder=\"Search\" /></form>\r\n<ul class=\"nav navbar-nav navbar-right\">\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"bs-component\">\r\n<div class=\"navbar navbar-inverse\">\r\n<div class=\"navbar-header\"><button class=\"navbar-toggle\" type=\"button\" data-toggle=\"collapse\" data-target=\".navbar-inverse-collapse\"> </button> <a class=\"navbar-brand\" href=\"#\">Brand</a></div>\r\n<div class=\"navbar-collapse collapse navbar-inverse-collapse\">\r\n<ul class=\"nav navbar-nav\">\r\n<li class=\"active\"><a href=\"#\">Active</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li class=\"dropdown-header\">Dropdown header</li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n<li><a href=\"#\">One more separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<form class=\"navbar-form navbar-left\"><input class=\"form-control col-lg-8\" type=\"text\" placeholder=\"Search\" /></form>\r\n<ul class=\"nav navbar-nav navbar-right\">\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- /example --></div>\r\n</div>\r\n</div>\r\n<!-- Buttons\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"page-header\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h1 id=\"buttons\">Buttons</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-6\">\r\n<p class=\"bs-component\"><a class=\"btn btn-default\" href=\"#\">Default</a> <a class=\"btn btn-primary\" href=\"#\">Primary</a> <a class=\"btn btn-success\" href=\"#\">Success</a> <a class=\"btn btn-info\" href=\"#\">Info</a> <a class=\"btn btn-warning\" href=\"#\">Warning</a> <a class=\"btn btn-danger\" href=\"#\">Danger</a> <a class=\"btn btn-link\" href=\"#\">Link</a></p>\r\n<p class=\"bs-component\"><a class=\"btn btn-default disabled\" href=\"#\">Default</a> <a class=\"btn btn-primary disabled\" href=\"#\">Primary</a> <a class=\"btn btn-success disabled\" href=\"#\">Success</a> <a class=\"btn btn-info disabled\" href=\"#\">Info</a> <a class=\"btn btn-warning disabled\" href=\"#\">Warning</a> <a class=\"btn btn-danger disabled\" href=\"#\">Danger</a> <a class=\"btn btn-link disabled\" href=\"#\">Link</a></p>\r\n<div style=\"margin-bottom: 15px;\">\r\n<div class=\"btn-toolbar bs-component\" style=\"margin: 0;\">\r\n<div class=\"btn-group\"><a class=\"btn btn-default\" href=\"#\">Default</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"btn-group\"><a class=\"btn btn-primary\" href=\"#\">Primary</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"btn-group\"><a class=\"btn btn-success\" href=\"#\">Success</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"btn-group\"><a class=\"btn btn-info\" href=\"#\">Info</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"btn-group\"><a class=\"btn btn-warning\" href=\"#\">Warning</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<p class=\"bs-component\"><a class=\"btn btn-primary btn-lg\" href=\"#\">Large button</a> <a class=\"btn btn-primary\" href=\"#\">Default button</a> <a class=\"btn btn-primary btn-sm\" href=\"#\">Small button</a> <a class=\"btn btn-primary btn-xs\" href=\"#\">Mini button</a></p>\r\n</div>\r\n<div class=\"col-lg-6\">\r\n<p class=\"bs-component\"><a class=\"btn btn-default btn-lg btn-block\" href=\"#\">Block level button</a></p>\r\n<div class=\"bs-component\" style=\"margin-bottom: 15px;\">\r\n<div class=\"btn-group btn-group-justified\"><a class=\"btn btn-default\" href=\"#\">Left</a> <a class=\"btn btn-default\" href=\"#\">Middle</a> <a class=\"btn btn-default\" href=\"#\">Right</a></div>\r\n</div>\r\n<div class=\"bs-component\" style=\"margin-bottom: 15px;\">\r\n<div class=\"btn-toolbar\">\r\n<div class=\"btn-group\"><a class=\"btn btn-default\" href=\"#\">1</a> <a class=\"btn btn-default\" href=\"#\">2</a> <a class=\"btn btn-default\" href=\"#\">3</a> <a class=\"btn btn-default\" href=\"#\">4</a></div>\r\n<div class=\"btn-group\"><a class=\"btn btn-default\" href=\"#\">5</a> <a class=\"btn btn-default\" href=\"#\">6</a> <a class=\"btn btn-default\" href=\"#\">7</a></div>\r\n<div class=\"btn-group\"><a class=\"btn btn-default\" href=\"#\">8</a>\r\n<div class=\"btn-group\"><a class=\"btn btn-default dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\"> Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Dropdown link</a></li>\r\n<li><a href=\"#\">Dropdown link</a></li>\r\n<li><a href=\"#\">Dropdown link</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"bs-component\">\r\n<div class=\"btn-group-vertical\"><a class=\"btn btn-default\" href=\"#\">Button</a> <a class=\"btn btn-default\" href=\"#\">Button</a> <a class=\"btn btn-default\" href=\"#\">Button</a> <a class=\"btn btn-default\" href=\"#\">Button</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Typography\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"type\">Typography</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Headings -->\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<h1>Heading 1</h1>\r\n<h2>Heading 2</h2>\r\n<h3>Heading 3</h3>\r\n<h4>Heading 4</h4>\r\n<h5>Heading 5</h5>\r\n<h6>Heading 6</h6>\r\n<p class=\"lead\">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<h2>Example body text</h2>\r\n<p>Nullam quis risus eget <a href=\"#\">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p><small>This line of text is meant to be treated as fine print.</small></p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title=\"attribute\">attr</abbr>.</p>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<h2>Emphasis classes</h2>\r\n<p class=\"text-muted\">Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.</p>\r\n<p class=\"text-primary\">Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n<p class=\"text-warning\">Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p class=\"text-danger\">Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p class=\"text-success\">Duis mollis, est non commodo luctus, nisi erat porttitor ligula.</p>\r\n<p class=\"text-info\">Maecenas sed diam eget risus varius blandit sit amet non magna.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Blockquotes -->\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h2 id=\"type-blockquotes\">Blockquotes</h2>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-6\">\r\n<div class=\"bs-component\">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-6\">\r\n<div class=\"bs-component\">\r\n<blockquote class=\"pull-right\">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Tables\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"tables\">Tables</h1>\r\n</div>\r\n<div class=\"bs-component\">\r\n<table class=\"table table-striped table-hover \">\r\n<thead>\r\n<tr><th>#</th><th>Column heading</th><th>Column heading</th><th>Column heading</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>1</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class=\"info\">\r\n<td>3</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class=\"success\">\r\n<td>4</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class=\"danger\">\r\n<td>5</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class=\"warning\">\r\n<td>6</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class=\"active\">\r\n<td>7</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n<!-- /example --></div>\r\n</div>\r\n</div>\r\n<!-- Forms\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"forms\">Forms</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-6\">\r\n<div class=\"well bs-component\"><form class=\"form-horizontal\"><fieldset><legend>Legend</legend>\r\n<div class=\"form-group\"><label class=\"col-lg-2 control-label\" for=\"inputEmail\">Email</label>\r\n<div class=\"col-lg-10\"><input id=\"inputEmail\" class=\"form-control\" type=\"text\" placeholder=\"Email\" /></div>\r\n</div>\r\n<div class=\"form-group\"><label class=\"col-lg-2 control-label\" for=\"inputPassword\">Password</label>\r\n<div class=\"col-lg-10\"><input id=\"inputPassword\" class=\"form-control\" type=\"password\" placeholder=\"Password\" />\r\n<div class=\"checkbox\"><label> <input type=\"checkbox\" /> Checkbox </label></div>\r\n</div>\r\n</div>\r\n<div class=\"form-group\"><label class=\"col-lg-2 control-label\" for=\"textArea\">Textarea</label>\r\n<div class=\"col-lg-10\"><textarea id=\"textArea\" class=\"form-control\" rows=\"3\"></textarea> <span class=\"help-block\">A longer block of help text that breaks onto a new line and may extend beyond one line.</span></div>\r\n</div>\r\n<div class=\"form-group\"><label class=\"col-lg-2 control-label\">Radios</label>\r\n<div class=\"col-lg-10\">\r\n<div class=\"radio\"><label> <input id=\"optionsRadios1\" checked=\"checked\" name=\"optionsRadios\" type=\"radio\" value=\"option1\" /> Option one is this </label></div>\r\n<div class=\"radio\"><label> <input id=\"optionsRadios2\" name=\"optionsRadios\" type=\"radio\" value=\"option2\" /> Option two can be something else </label></div>\r\n</div>\r\n</div>\r\n<div class=\"form-group\"><label class=\"col-lg-2 control-label\" for=\"select\">Selects</label>\r\n<div class=\"col-lg-10\"><select id=\"select\" class=\"form-control\">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select><br /><select class=\"form-control\" multiple=\"multiple\">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select></div>\r\n</div>\r\n<div class=\"form-group\">\r\n<div class=\"col-lg-10 col-lg-offset-2\"><button class=\"btn btn-default\">Cancel</button> <button class=\"btn btn-primary\" type=\"submit\">Submit</button></div>\r\n</div>\r\n</fieldset></form></div>\r\n</div>\r\n<div class=\"col-lg-4 col-lg-offset-1\"><form class=\"bs-component\">\r\n<div class=\"form-group\"><label class=\"control-label\" for=\"focusedInput\">Focused input</label> <input id=\"focusedInput\" class=\"form-control\" type=\"text\" value=\"This is focused...\" /></div>\r\n<div class=\"form-group\"><label class=\"control-label\" for=\"disabledInput\">Disabled input</label> <input id=\"disabledInput\" class=\"form-control\" disabled=\"disabled\" type=\"text\" placeholder=\"Disabled input here...\" /></div>\r\n<div class=\"form-group has-warning\"><label class=\"control-label\" for=\"inputWarning\">Input warning</label> <input id=\"inputWarning\" class=\"form-control\" type=\"text\" /></div>\r\n<div class=\"form-group has-error\"><label class=\"control-label\" for=\"inputError\">Input error</label> <input id=\"inputError\" class=\"form-control\" type=\"text\" /></div>\r\n<div class=\"form-group has-success\"><label class=\"control-label\" for=\"inputSuccess\">Input success</label> <input id=\"inputSuccess\" class=\"form-control\" type=\"text\" /></div>\r\n<div class=\"form-group\"><label class=\"control-label\" for=\"inputLarge\">Large input</label> <input id=\"inputLarge\" class=\"form-control input-lg\" type=\"text\" /></div>\r\n<div class=\"form-group\"><label class=\"control-label\" for=\"inputDefault\">Default input</label> <input id=\"inputDefault\" class=\"form-control\" type=\"text\" /></div>\r\n<div class=\"form-group\"><label class=\"control-label\" for=\"inputSmall\">Small input</label> <input id=\"inputSmall\" class=\"form-control input-sm\" type=\"text\" /></div>\r\n<div class=\"form-group\"><label class=\"control-label\">Input addons</label>\r\n<div class=\"input-group\"><span class=\"input-group-addon\">$</span> <input class=\"form-control\" type=\"text\" /> <span class=\"input-group-btn\"> <button class=\"btn btn-default\" type=\"button\">Button</button> </span></div>\r\n</div>\r\n</form></div>\r\n</div>\r\n</div>\r\n<!-- Navs\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"nav\">Navs</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<h2 id=\"nav-tabs\">Tabs</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"nav nav-tabs\">\r\n<li class=\"active\"><a href=\"#home\" data-toggle=\"tab\">Home</a></li>\r\n<li><a href=\"#profile\" data-toggle=\"tab\">Profile</a></li>\r\n<li class=\"disabled\"><a>Disabled</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\"> Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#dropdown1\" data-toggle=\"tab\">Action</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#dropdown2\" data-toggle=\"tab\">Another action</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<div id=\"myTabContent\" class=\"tab-content\">\r\n<div id=\"home\" class=\"tab-pane fade active in\">\r\n<p>Raw denim you probably haven\'t heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.</p>\r\n</div>\r\n<div id=\"profile\" class=\"tab-pane fade\">\r\n<p>Food truck fixie locavore, accusamus mcsweeney\'s marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit.</p>\r\n</div>\r\n<div id=\"dropdown1\" class=\"tab-pane fade\">\r\n<p>Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney\'s organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork.</p>\r\n</div>\r\n<div id=\"dropdown2\" class=\"tab-pane fade\">\r\n<p>Trust fund seitan letterpress, keytar raw denim keffiyeh etsy art party before they sold out master cleanse gluten-free squid scenester freegan cosby sweater. Fanny pack portland seitan DIY, art party locavore wolf cliche high life echo park Austin. Cred vinyl keffiyeh DIY salvia PBR, banh mi before they sold out farm-to-table VHS viral locavore cosby sweater.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<h2 id=\"nav-pills\">Pills</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"nav nav-pills\">\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Profile</a></li>\r\n<li class=\"disabled\"><a href=\"#\">Disabled</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\"> Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<br />\r\n<div class=\"bs-component\">\r\n<ul class=\"nav nav-pills nav-stacked\">\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Profile</a></li>\r\n<li class=\"disabled\"><a href=\"#\">Disabled</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\"> Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<h2 id=\"nav-breadcrumbs\">Breadcrumbs</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"breadcrumb\">\r\n<li class=\"active\">Home</li>\r\n</ul>\r\n<ul class=\"breadcrumb\">\r\n<li><a href=\"#\">Home</a></li>\r\n<li class=\"active\">Library</li>\r\n</ul>\r\n<ul class=\"breadcrumb\">\r\n<li><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Library</a></li>\r\n<li class=\"active\">Data</li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<h2 id=\"pagination\">Pagination</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"pagination\">\r\n<li class=\"disabled\"><a href=\"#\">«</a></li>\r\n<li class=\"active\"><a href=\"#\">1</a></li>\r\n<li><a href=\"#\">2</a></li>\r\n<li><a href=\"#\">3</a></li>\r\n<li><a href=\"#\">4</a></li>\r\n<li><a href=\"#\">5</a></li>\r\n<li><a href=\"#\">»</a></li>\r\n</ul>\r\n<ul class=\"pagination pagination-lg\">\r\n<li class=\"disabled\"><a href=\"#\">«</a></li>\r\n<li class=\"active\"><a href=\"#\">1</a></li>\r\n<li><a href=\"#\">2</a></li>\r\n<li><a href=\"#\">3</a></li>\r\n<li><a href=\"#\">»</a></li>\r\n</ul>\r\n<ul class=\"pagination pagination-sm\">\r\n<li class=\"disabled\"><a href=\"#\">«</a></li>\r\n<li class=\"active\"><a href=\"#\">1</a></li>\r\n<li><a href=\"#\">2</a></li>\r\n<li><a href=\"#\">3</a></li>\r\n<li><a href=\"#\">4</a></li>\r\n<li><a href=\"#\">5</a></li>\r\n<li><a href=\"#\">»</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<h2 id=\"pager\">Pager</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"pager\">\r\n<li><a href=\"#\">Previous</a></li>\r\n<li><a href=\"#\">Next</a></li>\r\n</ul>\r\n<ul class=\"pager\">\r\n<li class=\"previous disabled\"><a href=\"#\">← Older</a></li>\r\n<li class=\"next\"><a href=\"#\">Newer →</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\"> </div>\r\n</div>\r\n</div>\r\n<!-- Indicators\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"indicators\">Indicators</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h2>Alerts</h2>\r\n<div class=\"bs-component\">\r\n<div class=\"alert alert-dismissable alert-warning\"><button class=\"close\" type=\"button\" data-dismiss=\"alert\">×</button>\r\n<h4>Warning!</h4>\r\n<p>Best check yo self, you\'re not looking too good. Nulla vitae elit libero, a pharetra augue. Praesent commodo cursus magna, <a class=\"alert-link\" href=\"#\">vel scelerisque nisl consectetur et</a>.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"alert alert-dismissable alert-danger\"><button class=\"close\" type=\"button\" data-dismiss=\"alert\">×</button> <strong>Oh snap!</strong> <a class=\"alert-link\" href=\"#\">Change a few things up</a> and try submitting again.</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"alert alert-dismissable alert-success\"><button class=\"close\" type=\"button\" data-dismiss=\"alert\">×</button> <strong>Well done!</strong> You successfully read <a class=\"alert-link\" href=\"#\">this important alert message</a>.</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"alert alert-dismissable alert-info\"><button class=\"close\" type=\"button\" data-dismiss=\"alert\">×</button> <strong>Heads up!</strong> This <a class=\"alert-link\" href=\"#\">alert needs your attention</a>, but it\'s not super important.</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<h2>Labels</h2>\r\n<div class=\"bs-component\" style=\"margin-bottom: 40px;\"><span class=\"label label-default\">Default</span> <span class=\"label label-primary\">Primary</span> <span class=\"label label-success\">Success</span> <span class=\"label label-warning\">Warning</span> <span class=\"label label-danger\">Danger</span> <span class=\"label label-info\">Info</span></div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<h2>Badges</h2>\r\n<div class=\"bs-component\">\r\n<ul class=\"nav nav-pills\">\r\n<li class=\"active\"><a href=\"#\">Home <span class=\"badge\">42</span></a></li>\r\n<li><a href=\"#\">Profile </a></li>\r\n<li><a href=\"#\">Messages <span class=\"badge\">3</span></a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Progress bars\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"progress\">Progress bars</h1>\r\n</div>\r\n<h3 id=\"progress-basic\">Basic</h3>\r\n<div class=\"bs-component\"> </div>\r\n<h3 id=\"progress-alternatives\">Contextual alternatives</h3>\r\n<div class=\"bs-component\"> </div>\r\n<h3 id=\"progress-striped\">Striped</h3>\r\n<div class=\"bs-component\"> </div>\r\n<h3 id=\"progress-animated\">Animated</h3>\r\n<div class=\"bs-component\"> </div>\r\n<h3 id=\"progress-stacked\">Stacked</h3>\r\n<div class=\"bs-component\"> </div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Containers\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"container\">Containers</h1>\r\n</div>\r\n<div class=\"bs-component\">\r\n<div class=\"jumbotron\">\r\n<h1>Jumbotron</h1>\r\n<p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n<p><a class=\"btn btn-primary btn-lg\">Learn more</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h2>List groups</h2>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<ul class=\"list-group\">\r\n<li class=\"list-group-item\"><span class=\"badge\">14</span> Cras justo odio</li>\r\n<li class=\"list-group-item\"><span class=\"badge\">2</span> Dapibus ac facilisis in</li>\r\n<li class=\"list-group-item\"><span class=\"badge\">1</span> Morbi leo risus</li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"list-group\"><a class=\"list-group-item active\" href=\"#\"> Cras justo odio </a> <a class=\"list-group-item\" href=\"#\">Dapibus ac facilisis in </a> <a class=\"list-group-item\" href=\"#\">Morbi leo risus </a></div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"list-group\">\r\n<h4 class=\"list-group-item-heading\">List group item heading</h4>\r\n<p class=\"list-group-item-text\">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>\r\n<h4 class=\"list-group-item-heading\">List group item heading</h4>\r\n<p class=\"list-group-item-text\">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h2>Panels</h2>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"panel panel-default\">\r\n<div class=\"panel-body\">Basic panel</div>\r\n</div>\r\n<div class=\"panel panel-default\">\r\n<div class=\"panel-heading\">Panel heading</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n<div class=\"panel panel-default\">\r\n<div class=\"panel-body\">Panel content</div>\r\n<div class=\"panel-footer\">Panel footer</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"panel panel-primary\">\r\n<div class=\"panel-heading\">\r\n<h3 class=\"panel-title\">Panel primary</h3>\r\n</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n<div class=\"panel panel-success\">\r\n<div class=\"panel-heading\">\r\n<h3 class=\"panel-title\">Panel success</h3>\r\n</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n<div class=\"panel panel-warning\">\r\n<div class=\"panel-heading\">\r\n<h3 class=\"panel-title\">Panel warning</h3>\r\n</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"panel panel-danger\">\r\n<div class=\"panel-heading\">\r\n<h3 class=\"panel-title\">Panel danger</h3>\r\n</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n<div class=\"panel panel-info\">\r\n<div class=\"panel-heading\">\r\n<h3 class=\"panel-title\">Panel info</h3>\r\n</div>\r\n<div class=\"panel-body\">Panel content</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<h2>Wells</h2>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"well\">Look, I\'m in a well!</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"well well-sm\">Look, I\'m in a small well!</div>\r\n</div>\r\n</div>\r\n<div class=\"col-lg-4\">\r\n<div class=\"bs-component\">\r\n<div class=\"well well-lg\">Look, I\'m in a large well!</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Dialogs\r\n      ================================================== -->\r\n<div class=\"bs-docs-section\">\r\n<div class=\"row\">\r\n<div class=\"col-lg-12\">\r\n<div class=\"page-header\">\r\n<h1 id=\"tables\">Dialogs</h1>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row\">\r\n<div class=\"col-lg-6\">\r\n<h2>Modals</h2>\r\n<div class=\"bs-component\">\r\n<div class=\"modal\">\r\n<div class=\"modal-dialog\">\r\n<div class=\"modal-content\">\r\n<div class=\"modal-header\"><button class=\"close\" type=\"button\" data-dismiss=\"modal\">×</button>\r\n<h4 class=\"modal-title\">Modal title</h4>\r\n</div>\r\n<div class=\"modal-body\">\r\n<p>One fine body…</p>\r\n</div>\r\n<div class=\"modal-footer\"><button class=\"btn btn-default\" type=\"button\" data-dismiss=\"modal\">Close</button> <button class=\"btn btn-primary\" type=\"button\">Save changes</button></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>',1,8,'2014-11-24 21:35:03',214,'','2014-12-30 07:33:55',214,0,'0000-00-00 00:00:00','2014-11-24 21:35:03','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,2,'','',1,103,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','');

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`)
VALUES
	(100,1669,'Bootstrap2 Test page',X'626F6F747374726170322D746573742D70616765','<p>This is the test page for the template when using Bootstrap 2. The markup below is taken from the official bootstrap 2 markup page.</p>\r\n','\r\n<div class=\"container\"><!-- Typography\r\n================================================== -->\r\n<section id=\"typography\">\r\n<div class=\"page-header\">\r\n<p> </p>\r\n<h1>Typography</h1>\r\n</div>\r\n<!-- Headings & Paragraph Copy -->\r\n<div class=\"row-fluid\">\r\n<div class=\"span4\">\r\n<div class=\"well\">\r\n<h1>h1. Heading 1</h1>\r\n<h2>h2. Heading 2</h2>\r\n<h3>h3. Heading 3</h3>\r\n<h4>h4. Heading 4</h4>\r\n<h5>h5. Heading 5</h5>\r\n<h6>h6. Heading 6</h6>\r\n</div>\r\n</div>\r\n<div class=\"span4\">\r\n<h3>Example body text</h3>\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n<p>Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec sed odio dui.</p>\r\n</div>\r\n<div class=\"span4\">\r\n<h3>Example addresses</h3>\r\n<address><strong>Twitter, Inc.</strong><br /> 795 Folsom Ave, Suite 600<br /> San Francisco, CA 94107<br /> <abbr title=\"Phone\">P:</abbr> (123) 456-7890</address><address><strong>Full Name</strong><br /> <a href=\"mailto:\">first.last@gmail.com</a></address></div>\r\n</div>\r\n<div class=\"row-fluid\">\r\n<div class=\"span6\">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class=\"span6\">\r\n<blockquote class=\"pull-right\">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n</section>\r\n<!-- Navbar\r\n================================================== -->\r\n<section id=\"navbar\">\r\n<div class=\"page-header\">\r\n<h1>Navbars</h1>\r\n</div>\r\n<div class=\"navbar\">\r\n<div class=\"navbar-inner\">\r\n<div class=\"container\" style=\"width: auto;\"><a class=\"brand\" href=\"#\">Project name</a>\r\n<div class=\"nav-collapse\">\r\n<ul class=\"nav\">\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<form class=\"navbar-search pull-left\" action=\"\"><input class=\"search-query span2\" type=\"text\" placeholder=\"Search\" /></form>\r\n<ul class=\"nav pull-right\">\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"divider-vertical\"></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<!-- /.nav-collapse --></div>\r\n</div>\r\n<!-- /navbar-inner --></div>\r\n<!-- /navbar -->\r\n<div class=\"navbar navbar-inverse\">\r\n<div class=\"navbar-inner\">\r\n<div class=\"container\" style=\"width: auto;\"><a class=\"brand\" href=\"#\">Project name</a>\r\n<div class=\"nav-collapse\">\r\n<ul class=\"nav\">\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<form class=\"navbar-search pull-left\" action=\"\"><input class=\"search-query span2\" type=\"text\" placeholder=\"Search\" /></form>\r\n<ul class=\"nav pull-right\">\r\n<li><a href=\"#\">Link</a></li>\r\n<li class=\"divider-vertical\"></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<!-- /.nav-collapse --></div>\r\n</div>\r\n<!-- /navbar-inner --></div>\r\n<!-- /navbar --></section>\r\n<!-- Buttons\r\n================================================== -->\r\n<section id=\"buttons\">\r\n<div class=\"page-header\">\r\n<h1>Buttons</h1>\r\n</div>\r\n<table class=\"table table-bordered table-striped\">\r\n<thead>\r\n<tr><th>Button</th><th>Large Button</th><th>Small Button</th><th>Disabled Button</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td><a class=\"btn\" href=\"#\">Default</a></td>\r\n<td><a class=\"btn btn-large\" href=\"#\">Default</a></td>\r\n<td><a class=\"btn btn-small\" href=\"#\">Default</a></td>\r\n<td><a class=\"btn disabled\" href=\"#\">Default</a></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-primary\" href=\"#\">Primary</a></td>\r\n<td><a class=\"btn btn-primary btn-large\" href=\"#\">Primary</a></td>\r\n<td><a class=\"btn btn-primary btn-small\" href=\"#\">Primary</a></td>\r\n<td>\r\n<div class=\"btn-group\"><a class=\"btn btn-primary\" href=\"#\">Primary</a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</div>\r\n<!-- /btn-group --></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-info\" href=\"#\">Info</a></td>\r\n<td><a class=\"btn btn-info btn-large\" href=\"#\">Info</a></td>\r\n<td><a class=\"btn btn-info btn-small\" href=\"#\">Info</a></td>\r\n<td><a class=\"btn btn-info disabled\" href=\"#\">Info</a></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-success\" href=\"#\">Success</a></td>\r\n<td><a class=\"btn btn-success btn-large\" href=\"#\">Success</a></td>\r\n<td><a class=\"btn btn-success btn-small\" href=\"#\">Success</a></td>\r\n<td><a class=\"btn btn-success disabled\" href=\"#\">Success</a></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-warning\" href=\"#\">Warning</a></td>\r\n<td><a class=\"btn btn-warning btn-large\" href=\"#\">Warning</a></td>\r\n<td><a class=\"btn btn-warning btn-small\" href=\"#\">Warning</a></td>\r\n<td><a class=\"btn btn-warning disabled\" href=\"#\">Warning</a></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-danger\" href=\"#\">Danger</a></td>\r\n<td><a class=\"btn btn-danger btn-large\" href=\"#\">Danger</a></td>\r\n<td><a class=\"btn btn-danger btn-small\" href=\"#\">Danger</a></td>\r\n<td><a class=\"btn btn-danger disabled\" href=\"#\">Danger</a></td>\r\n</tr>\r\n<tr>\r\n<td><a class=\"btn btn-inverse\" href=\"#\">Inverse</a></td>\r\n<td><a class=\"btn btn-inverse btn-large\" href=\"#\">Inverse</a></td>\r\n<td><a class=\"btn btn-inverse btn-small\" href=\"#\">Inverse</a></td>\r\n<td><a class=\"btn btn-inverse disabled\" href=\"#\">Inverse</a></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</section>\r\n<!-- Forms\r\n================================================== -->\r\n<section id=\"forms\">\r\n<div class=\"page-header\">\r\n<h1>Forms</h1>\r\n</div>\r\n<div class=\"row-fluid\">\r\n<div class=\"span10 offset1\"><form class=\"well form-search\"><input class=\"input-medium search-query\" type=\"text\" /> <button class=\"btn\" type=\"submit\">Search</button></form><form class=\"well form-search\"><input class=\"input-medium\" type=\"text\" placeholder=\"Email\" /> <input class=\"input-medium\" type=\"password\" placeholder=\"Password\" /> <button class=\"btn\" type=\"submit\">Go</button></form><form class=\"form-horizontal well\"><fieldset><legend>Controls Bootstrap supports</legend>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"input01\">Text input</label>\r\n<div class=\"controls\"><input id=\"input01\" class=\"input-xlarge\" type=\"text\" />\r\n<p class=\"help-block\">In addition to freeform text, any HTML5 text-based input appears like so.</p>\r\n</div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"optionsCheckbox\">Checkbox</label>\r\n<div class=\"controls\"><label class=\"checkbox\"> <input id=\"optionsCheckbox\" type=\"checkbox\" value=\"option1\" /> Option one is this and that—be sure to include why it\'s great </label></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"select01\">Select list</label>\r\n<div class=\"controls\"><select id=\"select01\">\r\n<option>something</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"multiSelect\">Multicon-select</label>\r\n<div class=\"controls\"><select id=\"multiSelect\" multiple=\"multiple\">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"fileInput\">File input</label>\r\n<div class=\"controls\"><input id=\"fileInput\" class=\"input-file\" type=\"file\" /></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"textarea\">Textarea</label>\r\n<div class=\"controls\"> </div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"focusedInput\">Focused input</label>\r\n<div class=\"controls\"><input id=\"focusedInput\" class=\"input-xlarge focused\" type=\"text\" value=\"This is focused…\" /></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\">Uneditable input</label>\r\n<div class=\"controls\"><span class=\"input-xlarge uneditable-input\">Some value here</span></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"disabledInput\">Disabled input</label>\r\n<div class=\"controls\"><input id=\"disabledInput\" class=\"input-xlarge disabled\" disabled=\"disabled\" type=\"text\" placeholder=\"Disabled input here…\" /></div>\r\n</div>\r\n<div class=\"control-group\"><label class=\"control-label\" for=\"optionsCheckbox2\">Disabled checkbox</label>\r\n<div class=\"controls\"><label class=\"checkbox\"> <input id=\"optionsCheckbox2\" disabled=\"disabled\" type=\"checkbox\" value=\"option1\" /> This is a disabled checkbox </label></div>\r\n</div>\r\n<div class=\"control-group warning\"><label class=\"control-label\" for=\"inputWarning\">Input with warning</label>\r\n<div class=\"controls\"><input id=\"inputWarning\" type=\"text\" /> <span class=\"help-inline\">Something may have gone wrong</span></div>\r\n</div>\r\n<div class=\"control-group error\"><label class=\"control-label\" for=\"inputError\">Input with error</label>\r\n<div class=\"controls\"><input id=\"inputError\" type=\"text\" /> <span class=\"help-inline\">Please correct the error</span></div>\r\n</div>\r\n<div class=\"control-group success\"><label class=\"control-label\" for=\"inputSuccess\">Input with success</label>\r\n<div class=\"controls\"><input id=\"inputSuccess\" type=\"text\" /> <span class=\"help-inline\">Woohoo!</span></div>\r\n</div>\r\n<div class=\"control-group info\"><label class=\"control-label\" for=\"selectError\">Select with info</label>\r\n<div class=\"controls\"><select id=\"selectError\">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select><span class=\"help-inline\">Woohoo!</span></div>\r\n</div>\r\n<div class=\"form-actions\"><button class=\"btn btn-primary\" type=\"submit\">Save changes</button> <button class=\"btn\" type=\"reset\">Cancel</button></div>\r\n</fieldset></form></div>\r\n</div>\r\n</section>\r\n<!-- Tables\r\n================================================== -->\r\n<section id=\"tables\">\r\n<div class=\"page-header\">\r\n<h1>Tables</h1>\r\n</div>\r\n<table class=\"table table-bordered table-striped table-hover\">\r\n<thead>\r\n<tr><th>#</th><th>First Name</th><th>Last Name</th><th>Username</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>1</td>\r\n<td>Mark</td>\r\n<td>Otto</td>\r\n<td>@mdo</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Jacob</td>\r\n<td>Thornton</td>\r\n<td>@fat</td>\r\n</tr>\r\n<tr>\r\n<td>3</td>\r\n<td>Larry</td>\r\n<td>the Bird</td>\r\n<td>@twitter</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</section>\r\n<!-- Miscellaneous\r\n================================================== -->\r\n<section id=\"miscellaneous\">\r\n<div class=\"page-header\">\r\n<h1>Miscellaneous</h1>\r\n</div>\r\n<div class=\"row-fluid\">\r\n<div class=\"span4\">\r\n<h3 id=\"breadcrumbs\">Breadcrumbs</h3>\r\n<ul class=\"breadcrumb\">\r\n<li class=\"active\">Home</li>\r\n</ul>\r\n<ul class=\"breadcrumb\">\r\n<li><a href=\"#\">Home</a> <span class=\"divider\">/</span></li>\r\n<li><a href=\"#\">Library</a> <span class=\"divider\">/</span></li>\r\n<li class=\"active\">Data</li>\r\n</ul>\r\n</div>\r\n<div class=\"span4\">\r\n<h3 id=\"pagination\">Pagination</h3>\r\n<div class=\"pagination\">\r\n<ul>\r\n<li><a href=\"#\">←</a></li>\r\n<li class=\"active\"><a href=\"#\">10</a></li>\r\n<li class=\"disabled\"><a href=\"#\">...</a></li>\r\n<li><a href=\"#\">20</a></li>\r\n<li><a href=\"#\">→</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"pagination pagination-centered\">\r\n<ul>\r\n<li class=\"active\"><a href=\"#\">1</a></li>\r\n<li><a href=\"#\">2</a></li>\r\n<li><a href=\"#\">3</a></li>\r\n<li><a href=\"#\">4</a></li>\r\n<li><a href=\"#\">5</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"span4\">\r\n<h3 id=\"pager\">Pagers</h3>\r\n<ul class=\"pager\">\r\n<li><a href=\"#\">Previous</a></li>\r\n<li><a href=\"#\">Next</a></li>\r\n</ul>\r\n<ul class=\"pager\">\r\n<li class=\"previous disabled\"><a href=\"#\">← Older</a></li>\r\n<li class=\"next\"><a href=\"#\">Newer →</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<!-- Navs\r\n  ================================================== -->\r\n<div class=\"row-fluid\">\r\n<div class=\"span4\">\r\n<h3 id=\"tabs\">Tabs</h3>\r\n<ul class=\"nav nav-tabs\">\r\n<li class=\"active\"><a href=\"#A\" data-toggle=\"tab\">Section 1</a></li>\r\n<li><a href=\"#B\" data-toggle=\"tab\">Section 2</a></li>\r\n<li class=\"disabled\"><a href=\"#\" data-toggle=\"tab\">Section 3</a></li>\r\n</ul>\r\n<div class=\"tabbable\">\r\n<div class=\"tab-content\">\r\n<div id=\"A\" class=\"tab-pane active\">\r\n<p>I\'m in Section A.</p>\r\n</div>\r\n<div id=\"B\" class=\"tab-pane\">\r\n<p>Howdy, I\'m in Section B.</p>\r\n</div>\r\n<div id=\"C\" class=\"tab-pane\">\r\n<p>What up girl, this is Section C.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- /tabbable --></div>\r\n<div class=\"span4\">\r\n<h3 id=\"pills\">Pills</h3>\r\n<ul class=\"nav nav-pills\">\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Profile</a></li>\r\n<li class=\"dropdown\"><a class=\"dropdown-toggle\" href=\"#\" data-toggle=\"dropdown\">Dropdown </a>\r\n<ul class=\"dropdown-menu\">\r\n<li><a href=\"#\">Action</a></li>\r\n<li><a href=\"#\">Another action</a></li>\r\n<li><a href=\"#\">Something else here</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Separated link</a></li>\r\n</ul>\r\n</li>\r\n<li class=\"disabled\"><a href=\"#\">Disabled link</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"span4\">\r\n<h3 id=\"list\">Lists</h3>\r\n<div class=\"well\" style=\"padding: 8px 0;\">\r\n<ul class=\"nav nav-list\">\r\n<li class=\"nav-header\">List header</li>\r\n<li class=\"active\"><a href=\"#\">Home</a></li>\r\n<li><a href=\"#\">Library</a></li>\r\n<li><a href=\"#\">Applications</a></li>\r\n<li class=\"nav-header\">Another list header</li>\r\n<li><a href=\"#\">Profile</a></li>\r\n<li><a href=\"#\">Settings</a></li>\r\n<li class=\"divider\"></li>\r\n<li><a href=\"#\">Help</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Labels\r\n================================================== -->\r\n<div class=\"row-fluid\">\r\n<div class=\"span6\">\r\n<h3 id=\"labels\">Labels</h3>\r\n<span class=\"label\">Default</span> <span class=\"label label-success\">Success</span> <span class=\"label label-warning\">Warning</span> <span class=\"label label-important\">Important</span> <span class=\"label label-info\">Info</span> <span class=\"label label-inverse\">Inverse</span></div>\r\n<div class=\"span6\">\r\n<h3 id=\"badges\">Badges</h3>\r\n<span class=\"badge\">Default</span> <span class=\"badge badge-success\">Success</span> <span class=\"badge badge-warning\">Warning</span> <span class=\"badge badge-important\">Important</span> <span class=\"badge badge-info\">Info</span> <span class=\"badge badge-inverse\">Inverse</span></div>\r\n</div>\r\n<br /> <!-- Progress bars\r\n================================================== -->\r\n<h3 id=\"progressbars\">Progress bars</h3>\r\n<div class=\"row-fluid\"> </div>\r\n<br /> <!-- Alerts & Messages\r\n================================================== -->\r\n<h3 id=\"alerts\">Alerts</h3>\r\n<div class=\"row-fluid\">\r\n<div class=\"span12\">\r\n<div class=\"alert alert-block\"><a class=\"close\">×</a>\r\n<h4 class=\"alert-heading\">Alert block</h4>\r\n<p>Best check yo self, you\'re not looking too good. Nulla vitae elit libero, a pharetra augue. Praesent commodo cursus magna, vel scelerisque nisl consectetur et.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class=\"row-fluid\">\r\n<div class=\"span4\">\r\n<div class=\"alert alert-error\"><a class=\"close\">×</a> <strong>Error</strong> Change a few things up and try submitting again.</div>\r\n</div>\r\n<div class=\"span4\">\r\n<div class=\"alert alert-success\"><a class=\"close\">×</a> <strong>Success</strong> You successfully read this important alert message.</div>\r\n</div>\r\n<div class=\"span4\">\r\n<div class=\"alert alert-info\"><a class=\"close\">×</a> <strong>Information</strong> This alert needs your attention, but it\'s not super important.</div>\r\n</div>\r\n</div>\r\n</section>\r\n</div>',1,8,'2014-11-24 21:35:03',214,'','2014-12-30 07:33:44',214,0,'0000-00-00 00:00:00','2014-11-24 21:35:03','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',14,0,'','',1,94,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(101,1584,'Paul Strand',X'656469736F6E2D32','<blockquote>\r\n<p style=\"text-align: center;\">Your photography is a record of your living, for anyone who really sees.</p>\r\n</blockquote>','',1,17,'2012-12-20 08:45:35',214,'','2014-12-20 02:46:26',214,0,'0000-00-00 00:00:00','2012-12-20 08:45:35','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(102,1586,'Martin Parr',X'656469736F6E2D33','<blockquote>\r\n<p style=\"text-align: center;\">Photography is the simplest thing in the world, but it is incredibly complicated to make it really work.</p>\r\n</blockquote>','',1,17,'2012-12-20 08:45:35',214,'','2014-12-20 02:47:22',214,0,'0000-00-00 00:00:00','2012-12-20 08:45:35','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(103,1594,'Melbourne Austalian Photography Exhibition',X'6D656C626F75726E652D61757374616C69616E2D70686F746F6772617068792D65786869626974696F6E','<p>14th Dec, 2014.</p>\r\n<p>Group exhibition featuring black and white cross tranlations of city scapes and memories.</p>','',1,22,'2014-12-21 23:28:55',214,'','2014-12-21 23:29:54',214,0,'0000-00-00 00:00:00','2014-12-21 23:28:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(104,1595,'Berlin Street photography expo',X'6D656C626F75726E652D61757374616C69616E2D70686F746F6772617068792D65786869626974696F6E2D32','<p>14th Sept, 2013.</p>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>','',1,22,'2014-12-21 23:28:55',214,'','2014-12-21 23:31:07',214,0,'0000-00-00 00:00:00','2014-12-21 23:28:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(105,1596,'Underground Tunnel Collective',X'6D656C626F75726E652D61757374616C69616E2D70686F746F6772617068792D65786869626974696F6E2D33','<p>30 Oct Sept, 2012.</p>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>','',1,22,'2014-12-21 23:28:55',214,'','2014-12-21 23:31:35',214,0,'0000-00-00 00:00:00','2014-12-21 23:28:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(106,1597,'SXSW Inaugural Foot photos',X'6D656C626F75726E652D61757374616C69616E2D70686F746F6772617068792D65786869626974696F6E2D34','<p>20 Sept, 2011.</p>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>','',1,22,'2014-12-21 23:28:55',214,'','2014-12-21 23:33:25',214,0,'0000-00-00 00:00:00','2014-12-21 23:28:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(107,1598,'Pole vs Pole',X'6D656C626F75726E652D61757374616C69616E2D70686F746F6772617068792D65786869626974696F6E2D35','<p>14 Jan, 2010.</p>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>','',1,22,'2014-12-21 23:28:55',214,'','2014-12-21 23:33:14',214,0,'0000-00-00 00:00:00','2014-12-21 23:28:55','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','');

/*!40000 ALTER TABLE `#__content` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content_frontpage
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content_frontpage`;

CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__content_frontpage` WRITE;
/*!40000 ALTER TABLE `#__content_frontpage` DISABLE KEYS */;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`)
VALUES
	(7,4),
	(8,1),
	(10,2),
	(13,3);

/*!40000 ALTER TABLE `#__content_frontpage` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content_rating
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content_rating`;

CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__content_rating` WRITE;
/*!40000 ALTER TABLE `#__content_rating` DISABLE KEYS */;

INSERT INTO `#__content_rating` (`content_id`, `rating_sum`, `rating_count`, `lastip`)
VALUES
	(10,3,1,'::1'),
	(12,5,1,'::1');

/*!40000 ALTER TABLE `#__content_rating` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content_types
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content_types`;

CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__content_types` WRITE;
/*!40000 ALTER TABLE `#__content_types` DISABLE KEYS */;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`)
VALUES
	(1,'Article','com_content.article','{\"special\":{\"dbtable\":\"#__content\",\"key\":\"id\",\"type\":\"Content\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"introtext\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"attribs\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"asset_id\"}], \"special\": [{\"fulltext\":\"fulltext\"}]}','ContentHelperRoute::getArticleRoute',''),
	(2,'Weblink','com_weblinks.weblink','{\"special\":{\"dbtable\":\"#__weblinks\",\"key\":\"id\",\"type\":\"Weblink\",\"prefix\":\"WeblinksTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}], \"special\": []}','WeblinksHelperRoute::getWeblinkRoute',''),
	(3,'Contact','com_contact.contact','{\"special\":{\"dbtable\":\"#__contact_details\",\"key\":\"id\",\"type\":\"Contact\",\"prefix\":\"ContactTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"address\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"image\", \"core_urls\":\"webpage\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}], \"special\": [{\"con_position\":\"con_position\",\"suburb\":\"suburb\",\"state\":\"state\",\"country\":\"country\",\"postcode\":\"postcode\",\"telephone\":\"telephone\",\"fax\":\"fax\",\"misc\":\"misc\",\"email_to\":\"email_to\",\"default_con\":\"default_con\",\"user_id\":\"user_id\",\"mobile\":\"mobile\",\"sortname1\":\"sortname1\",\"sortname2\":\"sortname2\",\"sortname3\":\"sortname3\"}]}','ContactHelperRoute::getContactRoute',''),
	(4,'Newsfeed','com_newsfeeds.newsfeed','{\"special\":{\"dbtable\":\"#__newsfeeds\",\"key\":\"id\",\"type\":\"Newsfeed\",\"prefix\":\"NewsfeedsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}], \"special\": [{\"numarticles\":\"numarticles\",\"cache_time\":\"cache_time\",\"rtl\":\"rtl\"}]}','NewsfeedsHelperRoute::getNewsfeedRoute',''),
	(5,'User','com_users.user','{\"special\":{\"dbtable\":\"#__users\",\"key\":\"id\",\"type\":\"User\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"null\",\"core_alias\":\"username\",\"core_created_time\":\"registerdate\",\"core_modified_time\":\"lastvisitDate\",\"core_body\":\"null\", \"core_hits\":\"null\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"access\":\"null\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"null\", \"core_language\":\"null\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"null\", \"core_ordering\":\"null\", \"core_metakey\":\"null\", \"core_metadesc\":\"null\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}], \"special\": [{}]}','UsersHelperRoute::getUserRoute',''),
	(6,'Article Category','com_content.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}], \"special\": [{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}]}','ContentHelperRoute::getCategoryRoute',''),
	(7,'Contact Category','com_contact.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}], \"special\": [{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}]}','ContactHelperRoute::getCategoryRoute',''),
	(8,'Newsfeeds Category','com_newsfeeds.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}], \"special\": [{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}]}','NewsfeedsHelperRoute::getCategoryRoute',''),
	(9,'Weblinks Category','com_weblinks.category','{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}], \"special\": [{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}]}','WeblinksHelperRoute::getCategoryRoute',''),
	(10,'Tag','com_tags.tag','{\"special\":{\"dbtable\":\"#__tags\",\"key\":\"tag_id\",\"type\":\"Tag\",\"prefix\":\"TagsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__core_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}','','{\"common\":[{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}], \"special\": [{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\"}]}','TagsHelperRoute::getTagRoute','');

/*!40000 ALTER TABLE `#__content_types` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__contentitem_tag_map
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__contentitem_tag_map`;

CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

LOCK TABLES `#__contentitem_tag_map` WRITE;
/*!40000 ALTER TABLE `#__contentitem_tag_map` DISABLE KEYS */;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`)
VALUES
	('com_content.article',23,7,2,'2014-12-21 09:15:28',1),
	('com_content.article',23,7,3,'2014-12-21 09:15:28',1),
	('com_content.article',22,8,5,'2014-12-19 23:09:41',1),
	('com_content.article',21,10,3,'2015-01-07 16:29:22',1),
	('com_content.article',11,12,4,'2014-10-31 19:19:45',1),
	('com_content.article',20,15,7,'2014-02-08 19:43:29',1),
	('com_content.article',1,19,4,'2014-02-27 12:10:37',1),
	('com_content.article',1,19,5,'2014-02-27 12:10:37',1),
	('com_content.article',6,20,3,'2014-03-20 14:26:23',1),
	('com_content.article',12,21,5,'2014-03-20 14:27:44',1),
	('com_content.article',7,38,5,'2014-12-20 09:58:12',1),
	('com_content.article',13,39,4,'2014-12-20 09:58:04',1),
	('com_content.article',17,53,4,'2014-02-27 12:11:37',1),
	('com_content.article',17,53,5,'2014-02-27 12:11:37',1),
	('com_content.article',19,54,10,'2014-01-29 14:53:31',1),
	('com_content.article',19,54,12,'2014-01-29 14:53:31',1),
	('com_content.article',8,79,2,'2014-02-27 12:11:08',1),
	('com_content.article',8,79,4,'2014-02-27 12:11:08',1),
	('com_content.article',26,101,5,'2014-12-20 13:46:26',1),
	('com_content.article',27,102,5,'2014-12-20 13:47:22',1);

/*!40000 ALTER TABLE `#__contentitem_tag_map` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__core_log_searches
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__core_log_searches`;

CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__extensions
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__extensions`;

CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__extensions` WRITE;
/*!40000 ALTER TABLE `#__extensions` DISABLE KEYS */;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`)
VALUES
	(1,'com_mailto','component','com_mailto','',0,1,1,1,'{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(3,'com_admin','component','com_admin','',1,1,1,1,'{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(4,'com_banners','component','com_banners','',1,1,1,0,'{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(5,'com_cache','component','com_cache','',1,1,1,1,'{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(6,'com_categories','component','com_categories','',1,1,1,1,'{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(7,'com_checkin','component','com_checkin','',1,1,1,1,'{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(8,'com_contact','component','com_contact','',1,1,1,0,'{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}','{\"contact_layout\":\"_:default\",\"show_contact_category\":\"hide\",\"save_history\":\"0\",\"history_limit\":5,\"show_contact_list\":\"0\",\"presentation_style\":\"tabs\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_tags\":\"1\",\"contact_icons\":\"2\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"initial_sort\":\"ordering\",\"captcha\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_feed_link\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10,'com_installer','component','com_installer','',1,1,1,1,'{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(11,'com_languages','component','com_languages','',1,1,1,1,'{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),
	(12,'com_login','component','com_login','',1,1,1,1,'{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(13,'com_media','component','com_media','',1,1,0,1,'{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(14,'com_menus','component','com_menus','',1,1,1,1,'{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(15,'com_messages','component','com_messages','',1,1,1,1,'{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(16,'com_modules','component','com_modules','',1,1,1,1,'{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(18,'com_plugins','component','com_plugins','',1,1,1,1,'{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(19,'com_search','component','com_search','',1,1,1,0,'{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(20,'com_templates','component','com_templates','',1,1,1,1,'{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(21,'com_weblinks','component','com_weblinks','',1,1,1,0,'{\"name\":\"com_weblinks\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_comp_description\":\"1\",\"comp_description\":\"\",\"show_link_hits\":\"1\",\"show_link_description\":\"1\",\"show_other_cats\":\"0\",\"show_headings\":\"0\",\"show_numbers\":\"0\",\"show_report\":\"1\",\"count_clicks\":\"1\",\"target\":\"0\",\"link_icons\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(22,'com_content','component','com_content','',1,1,0,1,'{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"info_block_position\":\"0\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"1\",\"link_parent_category\":\"1\",\"show_author\":\"1\",\"link_author\":\"1\",\"show_create_date\":\"1\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"1\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"readmore_limit\":\"100\",\"show_tags\":\"1\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"urls_position\":\"0\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"save_history\":\"0\",\"history_limit\":10,\"show_urls_images_frontend\":\"1\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"none\",\"float_fulltext\":\"none\",\"category_layout\":\"_:blog\",\"show_category_heading_title_text\":\"1\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(23,'com_config','component','com_config','',1,1,0,1,'{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"9\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),
	(24,'com_redirect','component','com_redirect','',1,1,0,1,'{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(25,'com_users','component','com_users','',1,1,0,1,'{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"9\",\"sendpassword\":\"1\",\"useractivation\":\"1\",\"mail_to_admin\":\"0\",\"captcha\":\"\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(27,'com_finder','component','com_finder','',1,1,0,0,'{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}','','',0,'0000-00-00 00:00:00',0,0),
	(28,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(100,'PHPMailer','library','phpmailer','',0,1,1,1,'{\"name\":\"PHPMailer\",\"type\":\"library\",\"creationDate\":\"2001\",\"author\":\"PHPMailer\",\"copyright\":\"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.\",\"authorEmail\":\"jimjag@gmail.com\",\"authorUrl\":\"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer\",\"version\":\"5.2.6\",\"description\":\"LIB_PHPMAILER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(101,'SimplePie','library','simplepie','',0,1,1,1,'{\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.2\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(102,'phputf8','library','phputf8','',0,1,1,1,'{\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(103,'Joomla! Platform','library','joomla','',0,1,1,1,'{\"name\":\"Joomla! Platform\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{\"mediaversion\":\"63041d9ec807954c7873cef4b1d0c93d\"}','','',0,'0000-00-00 00:00:00',0,0),
	(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,0,'{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters.\\n\\t\\tAll rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,0,'{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(203,'mod_banners','module','mod_banners','',0,1,1,0,'{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(205,'mod_custom','module','mod_custom','',0,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(206,'mod_feed','module','mod_feed','',0,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(207,'mod_footer','module','mod_footer','',0,1,1,0,'{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(208,'mod_login','module','mod_login','',0,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(209,'mod_menu','module','mod_menu','',0,1,1,1,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(213,'mod_search','module','mod_search','',0,1,1,0,'{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(214,'mod_stats','module','mod_stats','',0,1,1,0,'{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(216,'mod_users_latest','module','mod_users_latest','',0,1,1,0,'{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(217,'mod_weblinks','module','mod_weblinks','',0,1,1,0,'{\"name\":\"mod_weblinks\",\"type\":\"module\",\"creationDate\":\"July 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(220,'mod_articles_category','module','mod_articles_category','',0,1,1,0,'{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,0,'{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(222,'mod_languages','module','mod_languages','',0,1,1,1,'{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(223,'mod_finder','module','mod_finder','',0,1,0,0,'{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(300,'mod_custom','module','mod_custom','',1,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(301,'mod_feed','module','mod_feed','',1,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(302,'mod_latest','module','mod_latest','',1,1,1,0,'{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(303,'mod_logged','module','mod_logged','',1,1,1,0,'{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(304,'mod_login','module','mod_login','',1,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(305,'mod_menu','module','mod_menu','',1,1,1,0,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(307,'mod_popular','module','mod_popular','',1,1,1,0,'{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(309,'mod_status','module','mod_status','',1,1,1,0,'{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(311,'mod_title','module','mod_title','',1,1,1,0,'{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(314,'mod_version','module','mod_version','',1,1,1,0,'{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(315,'mod_stats_admin','module','mod_stats_admin','',1,1,1,0,'{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}','{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),
	(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),
	(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),
	(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),
	(405,'plg_content_geshi','plugin','geshi','content',0,0,1,0,'{\"name\":\"plg_content_geshi\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"qbnz.com\\/highlighter\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_GESHI_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\"}','{\"style\":\"xhtml\"}','','',0,'0000-00-00 00:00:00',0,0),
	(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,0,'{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"title\":\"1\",\"article_index\":\"1\",\"article_index_text\":\"\",\"multipage_toc\":\"1\",\"showall\":\"1\",\"style\":\"tabs\"}','','',0,'0000-00-00 00:00:00',4,0),
	(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,0,'{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),
	(409,'plg_content_vote','plugin','vote','content',0,1,1,0,'{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),
	(410,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"3.15\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\"}','{\"linenumbers\":\"0\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),
	(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,0,'{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2014\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\",\"version\":\"4.1.2\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\",\"skin\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),
	(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,1,'{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),
	(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),
	(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(419,'plg_search_content','plugin','content','search',0,1,1,0,'{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(421,'plg_search_weblinks','plugin','weblinks','search',0,1,1,0,'{\"name\":\"plg_search_weblinks\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(423,'plg_system_p3p','plugin','p3p','system',0,1,1,0,'{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),
	(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),
	(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',4,0),
	(426,'plg_system_log','plugin','log','system',0,1,1,1,'{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',5,0),
	(427,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),
	(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),
	(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',8,0),
	(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),
	(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,0,'{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),
	(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2009 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),
	(433,'plg_user_profile','plugin','profile','user',0,0,1,0,'{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(436,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',10,0),
	(437,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(438,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(439,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,1,1,0,'{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),
	(440,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',7,0),
	(441,'plg_content_finder','plugin','finder','content',0,0,1,0,'{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(442,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(443,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(444,'plg_finder_content','plugin','content','finder',0,1,1,0,'{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),
	(445,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),
	(446,'plg_finder_weblinks','plugin','weblinks','finder',0,1,1,0,'{\"name\":\"plg_finder_weblinks\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',5,0),
	(503,'beez3','template','beez3','',0,1,1,0,'{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),
	(504,'hathor','template','hathor','',1,1,1,0,'{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(506,'protostar','template','protostar','',0,1,1,0,'{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\"}','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(507,'isis','template','isis','',1,1,1,0,'{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\"}','{\"templateColor\":\"\",\"logoFile\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(600,'English (United Kingdom)','language','en-GB','',0,1,1,1,'{\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.1\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(601,'English (United Kingdom)','language','en-GB','',1,1,1,1,'{\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.1\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(700,'files_joomla','file','joomla','',0,1,1,1,'{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"July 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.3\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10000,'Zen Tools','module','mod_zentools','',0,1,0,0,'{\"name\":\"Zen Tools\",\"type\":\"module\",\"creationDate\":\"September 01, 2014\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (c) 2014 Joomla Bamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.13.4\",\"description\":\"Zen Tools makes creating image and content galleries for Joomla simple.<p style=\\\"line-height:180%;font-size:1.2em\\\"><a href=\\\"http:\\/\\/www.joomlabamboo.com\\\"><img src=\\\"http:\\/\\/www.joomlabamboo.com\\/images\\/zentoolsSmall.jpg\\\" alt=\\\"joomla Bamboo\\\" style=\\\"float:left;margin:0 20px 20px 0px;padding:4px;border:1px solid #ddd\\\"\\/><\\/a><br style=\\\"clear:both\\\" \\/><\\/p><p  style=\\\"color:#555\\\">The module features the following layouts:<\\/p>\\n\\t<ul style=\\\"color:#777\\\">\\n\\t\\t<li>Grid galleries<\\/li>\\n\\t\\t<li>Responsive Slideshows<\\/li>\\n\\t\\t<li>Responsive Carousels<\\/li>\\n\\t\\t<li>Masonry Layouts<\\/li>\\n\\t\\t<li>Accordions<\\/li>\\n\\t\\t<li>Simple Lists and more<\\/li>\\n\\t<\\/ul>\\n\\t<div style=\\\"color:#555\\\">\\n\\t\\t<p>You can use this module to display your Joomla content, your k2 items or even images from a folder.<\\/p>\\n\\t\\t<p>Please ensure you read the documentation contained within the module or via the <a href=\\\"http:\\/\\/zentools.joomlabamboo.com\\\">Zentools<\\/a> demo site.<\\/p>\\n\\t\\t<p>Version:1.13.4<\\/p>\\n\\t<\\/div>\\n\\t\\n\\t\\t\",\"group\":\"\"}','{\"layout\":\"1\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"items\":\"1\",\"useditems\":\"\",\"unuseditems\":\"\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":\"\",\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":\"\",\"getChildren\":\"0\",\"itemid\":\"\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"1\",\"image_width\":\"245\",\"image_height\":\"100\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"1\",\"imageFade\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"fonticons\":\"0\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"documentation\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10042,'com_tags','component','com_tags','',1,1,1,0,'{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10043,'mod_tags_popular','module','mod_tags_popular','',0,1,1,0,'{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10044,'mod_tags_similar','module','mod_tags_similar','',0,1,1,0,'{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\"}','{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10045,'plg_finder_tags','plugin','tags','finder',0,0,1,0,'{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10049,'Zen Social','module','mod_zensocial','',0,1,0,0,'{\"name\":\"Zen Social\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (c) 2013 Joomla Bamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.0\",\"description\":\"ZenSocial is a simple module used to display social image and font icons in a module.\",\"group\":\"\"}','{\"socialalign\":\"zenright\",\"socialfonticons\":\"0\",\"iconsize\":\"1.4em\",\"iconcolor\":\"000\",\"iconcss\":\"\",\"iconcssbreakpoint\":\"620px\",\"iconcssmedia\":\"#socialicons.fixedright,#socialicons.fixedleft {position: absolute;width: auto;right: 2%;top: 4px;margin-top: 8px;}#socialicons.fixedright i,#socialicons.fixedleft i {color: #eee;font-size: 1.2em;}\",\"icon1Font\":\"-1\",\"icon1FontLink\":\"#\",\"icon2Font\":\"-1\",\"icon2FontLink\":\"#\",\"icon3Font\":\"-1\",\"icon3FontLink\":\"#\",\"icon4Font\":\"-1\",\"icon4FontLink\":\"#\",\"icon5Font\":\"-1\",\"icon5FontLink\":\"#\",\"icon6Font\":\"-1\",\"icon6FontLink\":\"#\",\"icon1Image\":\"-1\",\"icon1Link\":\"#\",\"icon2Image\":\"-1\",\"icon2Link\":\"#\",\"icon3Image\":\"-1\",\"icon3Link\":\"#\",\"icon4Image\":\"-1\",\"icon4Link\":\"#\",\"icon5Image\":\"-1\",\"icon5Link\":\"#\",\"icon6Image\":\"-1\",\"icon6Link\":\"#\",\"moduleclass_sfx\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10052,'T3','package','pkg_T3','',0,1,1,0,'{\"name\":\"T3 Framework Package\",\"type\":\"package\",\"creationDate\":\"24 Jan 2013\",\"author\":\"t3-framework.org\",\"copyright\":\"(C) 2012 - 2013. All rights reserved.\",\"authorEmail\":\"support@t3-framework.org\",\"authorUrl\":\"www.t3-framework.org\",\"version\":\"2.1.0\",\"description\":\"\\t\\n\\t\\n\\t<div align=\\\"center\\\">\\n\\t\\t<div class=\\\"alert alert-success\\\" style=\\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\\">\\n\\t\\t\\t\\t<a href=\\\"http:\\/\\/t3-framework.org\\/\\\"><img src=\\\"http:\\/\\/joomlart.s3.amazonaws.com\\/images\\/jat3v3-documents\\/message-installation\\/logo.png\\\" alt=\\\"some_text\\\" width=\\\"300\\\" height=\\\"99\\\"><\\/a>\\n\\t\\t\\t\\t<h4><a href=\\\"http:\\/\\/t3-framework.org\\/\\\" title=\\\"\\\">Home<\\/a> | <a href=\\\"http:\\/\\/demo.t3-framework.org\\/\\\" title=\\\"\\\">Demo<\\/a> | <a href=\\\"http:\\/\\/t3-framework.org\\/documentation\\\" title=\\\"\\\">Document<\\/a> | <a href=\\\"https:\\/\\/github.com\\/t3framework\\/t3\\/blob\\/master\\/CHANGELOG.md\\\" title=\\\"\\\">Changelog<\\/a><\\/h4>\\n\\t\\t<p> <\\/p>\\n\\t\\t<p>Copyright 2004 - 2013 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n     <style>table.adminform{width: 100%;}<\\/style>\\n\\t <\\/div>\\n\\t\\t\\n\\t\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10328,'com_ajax','component','com_ajax','',1,1,1,0,'{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10329,'com_contenthistory','component','com_contenthistory','',1,1,1,0,'{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10330,'com_postinstall','component','com_postinstall','',1,1,1,0,'{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10331,'FOF','library','fof','',0,1,1,0,'{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2014-03-09 12:54:48\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2014 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.2.1\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10332,'plg_authentication_cookie','plugin','cookie','authentication',0,0,1,0,'{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10333,'plg_twofactorauth_totp','plugin','totp','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\"}','{\"section\":\"3\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10334,'plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\"}','{\"section\":\"3\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10338,'JB Maps','module','mod_jbmaps','',0,1,0,0,'{\"name\":\"JB Maps\",\"type\":\"module\",\"creationDate\":\"September 10, 2013\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (c) 2013 Joomla Bamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.2.5\",\"description\":\"This module will display upto 3 markers on a google map on your Joomla site.\",\"group\":\"\"}','{\"height\":\"400\",\"width\":\"400\",\"zoom\":\"5\",\"lat\":\"\",\"long\":\"\",\"@spacer\":\"\",\"mapType\":\"ROADMAP\",\"pub1\":\"no\",\"lat1\":\"\",\"long1\":\"\",\"title1\":\"\",\"html1\":\"\",\"pub2\":\"no\",\"lat2\":\"\",\"long2\":\"\",\"title2\":\"\",\"html2\":\"\",\"pub3\":\"no\",\"lat3\":\"\",\"long3\":\"\",\"title3\":\"\",\"html3\":\"\",\"moduleclass_sfx\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10506,'PHPass','library','phpass','',0,1,1,0,'{\"name\":\"PHPass\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10507,'plg_content_contact','plugin','contact','content',0,0,1,0,'{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10560,'System - Zen Shortcodes','plugin','zenshortcodes','system',0,1,1,0,'{\"name\":\"System - Zen Shortcodes\",\"type\":\"plugin\",\"creationDate\":\"Feb 2010\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright 2009 - joomlabamboo.com\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com.com\",\"version\":\"1.0\",\"description\":\"\\n\\t\\t<p style=\\\"line-height:180%;font-size:1.2em\\\">\\n\\t\\t\\tZen Shortcodes is a plugin built for Zen Grid Framework v4 compatible themes. Use it to render icons, layouts within content and buttons compatible with your template.<\\/p>\",\"group\":\"\"}','{\"icon_select\":\"1\",\"fa_css\":\"0\",\"custom_icons\":\"\",\"custom_prefix\":\"zen-icon zen-icon-\",\"custom_syntax\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10561,'plg_installer_webinstaller','plugin','webinstaller','installer',0,1,1,0,'{\"name\":\"plg_installer_webinstaller\",\"type\":\"plugin\",\"creationDate\":\"18 December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2013 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.0.5\",\"description\":\"PLG_INSTALLER_WEBINSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{\"tab_position\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10563,'F0F (NEW) DO NOT REMOVE','library','lib_f0f','',0,1,1,0,'{\"name\":\"F0F (NEW) DO NOT REMOVE\",\"type\":\"library\",\"creationDate\":\"2014-09-11 16:58:22\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2014 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"rev844F136-1410443902\",\"description\":\"Framework-on-Framework (FOF) newer version - DO NOT REMOVE - The rapid component development framework for Joomla!. This package is the newer version of FOF, not the one shipped with Joomla! as the official Joomla! RAD Layer. The Joomla! RAD Layer has ceased development in March 2014. DO NOT UNINSTALL THIS PACKAGE, IT IS *** N O T *** A DUPLICATE OF THE \'FOF\' PACKAGE. REMOVING EITHER FOF PACKAGE WILL BREAK YOUR SITE.\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10575,'Zen Menu','plugin','zenmenu','system',0,1,1,0,'{\"name\":\"Zen Menu\",\"type\":\"plugin\",\"creationDate\":\"Novemeber 2014\",\"author\":\"Joomlabamboo\",\"copyright\":\"Copyright (C) 2014. Joomlabamboo All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"http:\\/\\/www.joomlabamboo.com\",\"version\":\"1.0\",\"description\":\"PLG_ZENMENU_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10576,'JB Maps2','module','mod_jbmaps2','',0,1,0,0,'{\"name\":\"JB Maps2\",\"type\":\"module\",\"creationDate\":\"February 27, 2014\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (c) 2014 Joomla Bamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.0.3\",\"description\":\"MOD_JBMAPS2_DESC\",\"group\":\"\"}','{\"mappresets\":\"\",\"mapsearch\":\"\",\"mapwidth\":\"600px\",\"mapheight\":\"300px\",\"mapzoom\":\"5\",\"maptilt\":\"0\",\"mapheading\":\"0\",\"mapcentlat\":\"54.525961\",\"mapcentlon\":\"15.255119\",\"maptype\":\"ROADMAP\",\"mapdraggable\":\"1\",\"markerinfobehaviour\":\"click\",\"mapweatherlayer\":\"0\",\"mapweatherunits\":\"google.maps.weather.TemperatureUnit.CELSIUS\",\"mapwindunits\":\"google.maps.weather.WindSpeedUnit.METERS_PER_SECOND\",\"mapweatherlabels\":\"0\",\"mapcloudlayer\":\"0\",\"maptrafficlayer\":\"0\",\"maptransitlayer\":\"0\",\"mapbicyclinglayer\":\"0\",\"mappanoramiolayer\":\"0\",\"mappanoramiotag\":\"\",\"mapkmllayer\":\"\",\"mapcustomstyletext\":\"\",\"mapcustomstyle\":\"\",\"mapapitext\":\"\",\"loadmapsapi\":\"1\",\"maptriggerstext\":\"\",\"trigger\":\"\",\"triggerdelay\":\"\",\"dnsprefetch\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10665,'Mijoshop Fallback Redirect plugin','plugin','mijo_redirect','system',0,0,1,0,'','','','',0,'0000-00-00 00:00:00',0,0),
	(10667,'Redshop Fallback Redirect plugin','plugin','reds_redirect','system',0,0,1,0,'','','','',0,'0000-00-00 00:00:00',0,0),
	(10668,'VirtueMart Fallback Redirect plugin','plugin','vm_redirect','system',0,0,1,0,'','','','',0,'0000-00-00 00:00:00',0,0),
	(10672,'Skillset','module','mod_skillset','',0,1,0,0,'{\"name\":\"Skillset\",\"type\":\"module\",\"creationDate\":\"March 19, 2014\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (c) 2014 Copyright (C), Joomlabamboo. All Rights Reserved.. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"v1.2.0\",\"description\":\"\\n\\t\\n\\n\\t\\t<h3>A css3 and jQuery animated skillset graph.<\\/h3>\\n\\t\\t<p style=\\\"color:#555; margin-bottom:60px\\\">Based on the script by <a href=\\\"http:\\/\\/w3lessons.info\\/2013\\/06\\/04\\/skill-bar-with-jquery-css3\\/\\\">W3 LEssons<\\/a> and brought to you by <a href=\\\"http:\\/\\/www.joomlabamboo.com\\\">Joomlabamboo<\\/a>.<\\/p>\\n\\t\\n\\t\",\"group\":\"\"}','{\"display\":\"1\",\"skills\":\"\",\"jquery-load\":\"1\",\"css-load\":\"1\",\"moduleclass_sfx\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10675,'Focus2','template','focus2','',0,1,1,0,'{\"name\":\"Focus2\",\"type\":\"template\",\"creationDate\":\"20\\/08\\/2013\",\"author\":\"Anthony Olsen\",\"copyright\":\"Copyright (C) 2013 Joomlabamboo. All rights reserved.\",\"authorEmail\":\"esign@joomlabamboo.com\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"\\n\\t\\t\\t<div id=\\\"hide-intro\\\"><p><a href=\\\"http:\\/\\/www.joomlabamboo.com\\\"><img src=\\\"http:\\/\\/joomlabamboo.com\\/images\\/new\\/rasa2\\/rasa-preview.jpg\\\" alt=\\\"Rasa Template\\\" \\/><\\/a><\\/p>\\n\\t\\t\\t<h3>Rasa2 is a clean and minimal magazine and ecommerce template<\\/h3>\\n\\t\\t\\t<p>Rasa2 extends the original Rasa template that was released back in August 2011 and brings it into the responsive new world with a plethora of cutting edge design and performance features. Rasa2 is built on our brand new Joomla3 template framework which offers fast performance right out of the box, flexible theming tools, extensive responsive features, dynamic and intuitive interface and more.<\\/p><\\/div>\\n\\t\\t\",\"group\":\"\"}','[]','','',0,'0000-00-00 00:00:00',0,0),
	(10676,'PLG_SYSTEM_NNFRAMEWORK','plugin','nnframework','system',0,1,1,0,'{\"name\":\"PLG_SYSTEM_NNFRAMEWORK\",\"type\":\"plugin\",\"creationDate\":\"December 2014\",\"author\":\"NoNumber (Peter van Westen)\",\"copyright\":\"Copyright \\u00a9 2014 NoNumber All Rights Reserved\",\"authorEmail\":\"peter@nonumber.nl\",\"authorUrl\":\"http:\\/\\/www.nonumber.nl\",\"version\":\"14.12.3\",\"description\":\"PLG_SYSTEM_NNFRAMEWORK_DESC\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10677,'COM_CONTENTTEMPLATER','component','com_contenttemplater','',1,1,0,0,'{\"name\":\"COM_CONTENTTEMPLATER\",\"type\":\"component\",\"creationDate\":\"December 2014\",\"author\":\"NoNumber (Peter van Westen)\",\"copyright\":\"Copyright \\u00a9 2014 NoNumber All Rights Reserved\",\"authorEmail\":\"peter@nonumber.nl\",\"authorUrl\":\"http:\\/\\/www.nonumber.nl\",\"version\":\"4.10.5FREE\",\"description\":\"COM_CONTENTTEMPLATER_DESC\",\"group\":\"\"}','{\"enable_frontend\":\"1\",\"button_text\":\"Insert Template\",\"button_icon\":\"1\",\"show_confirm\":\"0\",\"orderby\":\"\",\"open_in_modal\":\"2\",\"switch_to_modal\":\"5\",\"show_list_below\":\"1\",\"contact_table\":\"contact_details\",\"show_update_notification\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10678,'PLG_SYSTEM_CONTENTTEMPLATER','plugin','contenttemplater','system',0,1,1,0,'{\"name\":\"PLG_SYSTEM_CONTENTTEMPLATER\",\"type\":\"plugin\",\"creationDate\":\"December 2014\",\"author\":\"NoNumber (Peter van Westen)\",\"copyright\":\"Copyright \\u00a9 2014 NoNumber All Rights Reserved\",\"authorEmail\":\"peter@nonumber.nl\",\"authorUrl\":\"http:\\/\\/www.nonumber.nl\",\"version\":\"4.10.5FREE\",\"description\":\"PLG_SYSTEM_CONTENTTEMPLATER_DESC\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10679,'PLG_EDITORS-XTD_CONTENTTEMPLATER','plugin','contenttemplater','editors-xtd',0,1,1,0,'{\"name\":\"PLG_EDITORS-XTD_CONTENTTEMPLATER\",\"type\":\"plugin\",\"creationDate\":\"December 2014\",\"author\":\"NoNumber (Peter van Westen)\",\"copyright\":\"Copyright \\u00a9 2014 NoNumber All Rights Reserved\",\"authorEmail\":\"peter@nonumber.nl\",\"authorUrl\":\"http:\\/\\/www.nonumber.nl\",\"version\":\"4.10.5FREE\",\"description\":\"PLG_EDITORS-XTD_CONTENTTEMPLATER_DESC\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10680,'SP Quick Contact','module','mod_sp_quickcontact','',0,1,0,0,'{\"name\":\"SP Quick Contact\",\"type\":\"module\",\"creationDate\":\"Aug 2011\",\"author\":\"JoomShaper.com\",\"copyright\":\"Copyright (C) 2010 - 2012 JoomShaper.com. All rights reserved.\",\"authorEmail\":\"support@joomshaper.com\",\"authorUrl\":\"www.joomshaper.com\",\"version\":\"1.4\",\"description\":\"SP Quick Contact - Ajax based Quick Contact Module for Joomla!\",\"group\":\"\"}','{\"email\":\"\",\"success\":\"Email was sent successfully.\",\"failed\":\"Email could not be sent.\",\"formcaptcha\":\"1\",\"captcha_question\":\"3 + 4 = ?\",\"captcha_answer\":\"7\",\"failed_captcha\":\"You have entered wrong captcha. Please try again.\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10683,'idna_convert','library','idna_convert','',0,1,1,0,'{\"name\":\"IDNA Convert\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,-1),
	(10684,'tags','plugin','tags','search',0,1,1,0,'{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,-1);

/*!40000 ALTER TABLE `#__extensions` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__menu
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__menu`;

CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__menu` WRITE;
/*!40000 ALTER TABLE `#__menu` DISABLE KEYS */;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`)
VALUES
	(1,'','Menu_Item_Root',X'726F6F74','','','','',1,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,255,0,'*',0),
	(2,'menu','com_banners',X'42616E6E657273','','Banners','index.php?option=com_banners','component',0,1,1,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',121,130,0,'*',1),
	(3,'menu','com_banners',X'42616E6E657273','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',122,123,0,'*',1),
	(4,'menu','com_banners_categories',X'43617465676F72696573','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',124,125,0,'*',1),
	(5,'menu','com_banners_clients',X'436C69656E7473','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',126,127,0,'*',1),
	(6,'menu','com_banners_tracks',X'547261636B73','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',128,129,0,'*',1),
	(7,'menu','com_contact',X'436F6E7461637473','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',153,158,0,'*',1),
	(8,'menu','com_contact',X'436F6E7461637473','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',154,155,0,'*',1),
	(9,'menu','com_contact_categories',X'43617465676F72696573','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',156,157,0,'*',1),
	(10,'menu','com_messages',X'4D6573736167696E67','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',159,164,0,'*',1),
	(11,'menu','com_messages_add',X'4E65772050726976617465204D657373616765','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',160,161,0,'*',1),
	(12,'menu','com_messages_read',X'526561642050726976617465204D657373616765','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',162,163,0,'*',1),
	(13,'menu','com_newsfeeds',X'4E657773204665656473','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',165,170,0,'*',1),
	(14,'menu','com_newsfeeds_feeds',X'4665656473','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',166,167,0,'*',1),
	(15,'menu','com_newsfeeds_categories',X'43617465676F72696573','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',168,169,0,'*',1),
	(16,'menu','com_redirect',X'5265646972656374','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',183,184,0,'*',1),
	(17,'menu','com_search',X'426173696320536561726368','','Basic Search','index.php?option=com_search','component',0,1,1,19,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',173,174,0,'*',1),
	(18,'menu','com_weblinks',X'5765626C696E6B73','','Weblinks','index.php?option=com_weblinks','component',0,1,1,21,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',175,180,0,'*',1),
	(19,'menu','com_weblinks_links',X'4C696E6B73','','Weblinks/Links','index.php?option=com_weblinks','component',0,18,2,21,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',176,177,0,'*',1),
	(20,'menu','com_weblinks_categories',X'43617465676F72696573','','Weblinks/Categories','index.php?option=com_categories&extension=com_weblinks','component',0,18,2,6,0,'0000-00-00 00:00:00',0,0,'class:weblinks-cat',0,'',178,179,0,'*',1),
	(21,'menu','com_finder',X'536D61727420536561726368','','Smart Search','index.php?option=com_finder','component',0,1,1,27,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',171,172,0,'*',1),
	(22,'menu','com_joomlaupdate',X'4A6F6F6D6C612120557064617465','','Joomla! Update','index.php?option=com_joomlaupdate','component',0,1,1,28,0,'0000-00-00 00:00:00',0,0,'class:joomlaupdate',0,'',181,182,0,'*',1),
	(101,'mainmenu','Home',X'686F6D65','','home','index.php?option=com_content&view=featured','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',82,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"0\",\"num_columns\":\"1\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Home\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"Back to basic\",\"zenmenu_icon\":\"home\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"3\",\"zenmenu_fullwidth\":\"0\"}',1,2,1,'*',0),
	(102,'footermenu','About Us',X'61626F75742D7573','','about-us','index.php?option=com_content&view=category&layout=blog&id=12','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',215,220,0,'*',0),
	(103,'footermenu','Meet the team',X'6D6565742D7468652D7465616D','','about-us/meet-the-team','index.php?option=com_content&view=category&layout=blog&id=14','component',-2,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',216,217,0,'*',0),
	(104,'footermenu','Our Company',X'6F75722D636F6D70616E79','','our-company','index.php?option=com_content&view=article&id=19','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',221,222,0,'*',0),
	(105,'footermenu','Customer Testimonials',X'637573746F6D65722D74657374696D6F6E69616C73','','about-us/customer-testimonials','index.php?option=com_content&view=category&layout=blog&id=15','component',-2,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"1\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"6\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',218,219,0,'*',0),
	(111,'footermenu','Projects',X'70726F6A65637473','','projects','index.php?option=com_content&view=category&layout=blog&id=10','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',223,232,0,'*',0),
	(112,'footermenu','Project #1',X'70726F6A6563742D31','','projects/project-1','index.php?option=com_content&view=article&id=11','component',-2,111,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',224,225,0,'*',0),
	(113,'footermenu','Project #2',X'70726F6A6563742D32','','projects/project-2','index.php?option=com_content&view=article&id=12','component',-2,111,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',226,227,0,'*',0),
	(114,'footermenu','Project #3',X'70726F6A6563742D33','','projects/project-3','index.php?option=com_content&view=article&id=13','component',-2,111,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',228,229,0,'*',0),
	(115,'footermenu','Project #4',X'70726F6A6563742D34','','projects/project-4','index.php?option=com_content&view=article&id=14','component',-2,111,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',230,231,0,'*',0),
	(116,'footermenu','News',X'6E657773','','articles/news','index.php?option=com_content&view=category&layout=blog&id=11','component',-2,200,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',212,213,0,'*',0),
	(117,'template-features','Features',X'6665617475726573','','features','','heading',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"Whats under the hood\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',131,150,0,'*',0),
	(126,'template-features','Typography',X'7479706F677261706879','','typography','index.php?option=com_content&view=article&id=51','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"home\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',151,152,0,'*',0),
	(129,'template-features','Module Positions',X'6D6F64756C652D6F76657276696577','','module-overview/module-overview','index.php?option=com_content&view=article&id=54','component',1,152,2,22,0,'0000-00-00 00:00:00',0,1,'',84,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',196,197,0,'*',0),
	(130,'template-features','Module Classes',X'6D6F64756C652D636C6173736573','','module-overview/module-classes','index.php?option=com_content&view=article&id=53','component',1,152,2,22,0,'0000-00-00 00:00:00',0,1,'',75,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',194,195,0,'*',0),
	(132,'footermenu','FAQ',X'666171','','faq','index.php?option=com_content&view=category&layout=blog&id=16','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"20\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',185,186,0,'*',0),
	(133,'very-top-menu','Login',X'6C6F67696E','','login','index.php?option=com_users&view=login','component',1,1,1,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',187,188,0,'*',0),
	(134,'very-top-menu','Contact',X'636F6E74616374','','contact','index.php?option=com_contact&view=contact&id=1','component',1,1,1,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"plain\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_tags\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',189,190,0,'*',0),
	(135,'main','COM_JAEXTMANAGER',X'636F6D2D6A616578746D616E61676572','','com-jaextmanager','index.php?option=com_jaextmanager','component',0,1,1,10018,0,'0000-00-00 00:00:00',0,1,'components/com_jaextmanager/assets/images/jauc.png',0,'',191,192,0,'',1),
	(142,'template-features','Solid template framework',X'736F6C69642D74656D706C6174652D6672616D65776F726B','','features/solid-template-framework','index.php?option=com_content&view=article&id=57','component',-2,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',132,133,0,'*',0),
	(143,'template-features','Responsive Layouts',X'726573706F6E736976652D6C61796F757473','','features/responsive-layouts','index.php?option=com_content&view=article&id=58','component',-2,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',134,135,0,'*',0),
	(144,'template-features','Theme Magic',X'7468656D652D6D61676963','','features/theme-magic','index.php?option=com_content&view=article&id=59','component',-2,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',136,137,0,'*',0),
	(145,'template-features','Module Styles',X'6D6F64756C652D6368726F6D65','','module-overview/module-chrome','index.php?option=com_content&view=article&id=98','component',1,152,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',198,205,0,'*',0),
	(146,'template-features','Tabs',X'74616273','','module-overview/module-chrome/tabs','index.php?option=com_content&view=article&id=65','component',-2,145,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',199,200,0,'*',0),
	(147,'template-features','Module Slider',X'6D6F64756C652D736C69646572','','module-overview/module-chrome/module-slider','index.php?option=com_content&view=article&id=67','component',-2,145,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',201,202,0,'*',0),
	(149,'template-features','Popover Style',X'706F706F7665722D7374796C65','','module-overview/module-chrome/popover-style','index.php?option=com_content&view=article&id=68','component',-2,145,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',203,204,0,'*',0),
	(152,'template-features','Module Overview',X'6D6F64756C652D6F76657276696577','','module-overview','','heading',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',193,206,0,'*',0),
	(154,'main','com_tags',X'636F6D2D74616773','','com-tags','index.php?option=com_tags','component',0,1,1,10042,0,'0000-00-00 00:00:00',0,1,'class:tags',0,'',207,208,0,'',1),
	(163,'main','K2_TAGS',X'6B322D74616773','','com-k2/k2-tags','index.php?option=com_k2&view=tags','component',0,160,1,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',121,122,0,'',1),
	(164,'main','K2_COMMENTS',X'6B322D636F6D6D656E7473','','com-k2/k2-comments','index.php?option=com_k2&view=comments','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',122,123,0,'',1),
	(165,'main','K2_USERS',X'6B322D7573657273','','com-k2/k2-users','index.php?option=com_k2&view=users','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',124,125,0,'',1),
	(166,'main','K2_USER_GROUPS',X'6B322D757365722D67726F757073','','com-k2/k2-user-groups','index.php?option=com_k2&view=usergroups','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',126,127,0,'',1),
	(167,'main','K2_EXTRA_FIELDS',X'6B322D65787472612D6669656C6473','','com-k2/k2-extra-fields','index.php?option=com_k2&view=extrafields','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',128,129,0,'',1),
	(168,'main','K2_EXTRA_FIELD_GROUPS',X'6B322D65787472612D6669656C642D67726F757073','','com-k2/k2-extra-field-groups','index.php?option=com_k2&view=extrafieldsgroups','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',130,131,0,'',1),
	(169,'main','K2_MEDIA_MANAGER',X'6B322D6D656469612D6D616E61676572','','com-k2/k2-media-manager','index.php?option=com_k2&view=media','component',0,160,1,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',131,132,0,'',1),
	(170,'main','K2_INFORMATION',X'6B322D696E666F726D6174696F6E','','com-k2/k2-information','index.php?option=com_k2&view=info','component',0,160,2,10053,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',132,133,0,'',1),
	(187,'footermenu','Search',X'736561726368','','search','index.php?option=com_search&view=search&searchword=','component',-2,1,1,19,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',209,210,0,'*',0),
	(188,'mainmenu','Zentools',X'7A656E746F6F6C73','','extensions-overview/zentools','','heading',1,396,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',66,79,0,'*',0),
	(189,'mainmenu','Zentools Accordion',X'7A656E746F6F6C732D6163636F7264696F6E','','extensions-overview/zentools/zentools-accordion','index.php?option=com_content&view=article&id=70','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',69,70,0,'*',0),
	(190,'mainmenu','Zentools Carousel',X'7A656E746F6F6C732D6361726F7573656C','','extensions-overview/zentools/zentools-carousel','index.php?option=com_content&view=article&id=71','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',71,72,0,'*',0),
	(191,'mainmenu','Zentools Grid',X'7A656E746F6F6C732D67726964','','extensions-overview/zentools/zentools-grid','index.php?option=com_content&view=article&id=75','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',73,74,0,'*',0),
	(192,'mainmenu','Zentools List',X'7A656E746F6F6C732D6C697374','','extensions-overview/zentools/zentools-list','index.php?option=com_content&view=article&id=72','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',75,76,0,'*',0),
	(194,'mainmenu','Zentools Slideshow',X'7A656E746F6F6C732D736C69646573686F77','','extensions-overview/zentools/zentools-slideshow','index.php?option=com_content&view=article&id=74','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',77,78,0,'*',0),
	(195,'mainmenu','Zentools Filter',X'7A656E746F6F6C732D66696C746572','','extensions-overview/zentools/zentools-filter','index.php?option=com_content&view=article&id=76','component',1,188,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',67,68,0,'*',0),
	(196,'mainmenu','Features',X'74656D706C6174652D6665617475726573','','template-features','index.php?option=com_content&view=category&layout=blog&id=8','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Template Features\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"3\",\"zenmenu_fullwidth\":\"1\"}',3,64,0,'*',0),
	(200,'footermenu','Articles',X'61727469636C6573','','articles','','heading',-2,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'',211,214,0,'*',0),
	(202,'mainmenu','Joomla',X'6A6F6F6D6C61','','joomla','','heading',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"3\",\"zenmenu_fullwidth\":\"1\"}',81,116,0,'*',0),
	(209,'mainmenu','Typography',X'7479706F677261706879','','template-features/module-overview/typography','index.php?option=com_content&view=article&id=51','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',33,34,0,'*',0),
	(210,'mainmenu','Tools',X'6D6F64756C652D6F76657276696577','','template-features/module-overview','','separator',1,196,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1,\"zenmenu_subtitle\":\"Powerful functionality to make stuff with\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',22,43,0,'*',0),
	(211,'mainmenu','Module Classes',X'6D6F64756C652D636C6173736573','','template-features/module-overview/module-classes','index.php?option=com_content&view=article&id=53','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',88,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',23,24,0,'*',0),
	(212,'mainmenu','Module Positions',X'6D6F64756C652D6F76657276696577','','template-features/module-overview/module-overview','index.php?option=com_content&view=article&id=54','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',84,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',25,26,0,'*',0),
	(218,'mainmenu','Category Blog',X'63617465676F72792D626C6F67','','joomla/category-blog','index.php?option=com_content&view=category&layout=blog&id=11','component',1,202,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"10\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"1\"}',82,91,0,'*',0),
	(219,'mainmenu','Category List',X'63617465676F72792D6C697374','','joomla/category-list','index.php?option=com_content&view=category&id=11','component',1,202,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_category_heading_title\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"\",\"filter_field\":\"\",\"show_headings\":\"\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',102,103,0,'*',0),
	(220,'mainmenu','Single Article',X'73696E676C652D61727469636C65','','joomla/single-article','index.php?option=com_content&view=article&id=15','component',1,202,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',104,105,0,'*',0),
	(221,'mainmenu','List Contacts in Category',X'6C6973742D636F6E74616374732D696E2D63617465676F7279','','joomla/list-contacts-in-category','index.php?option=com_contact&view=category&id=4','component',1,202,2,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"filter_field\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"initial_sort\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',106,107,0,'*',0),
	(222,'mainmenu','Single Contact',X'73696E676C652D636F6E74616374','','joomla/single-contact','index.php?option=com_contact&view=contact&id=1','component',1,202,2,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_tags\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',108,109,0,'*',0),
	(223,'mainmenu','Search Form',X'7365617263682D666F726D','','joomla/search-form','index.php?option=com_search&view=search','component',1,202,2,19,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"\",\"show_date\":\"\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',110,111,0,'*',0),
	(224,'mainmenu','LIst of All Tags',X'6C6973742D6F662D616C6C2D74616773','','joomla/list-of-all-tags','index.php?option=com_tags&view=tags&parent_id=&tag_list_language_filter=','component',1,202,2,10042,0,'0000-00-00 00:00:00',0,1,'',0,'{\"tag_columns\":4,\"all_tags_description\":\"\",\"all_tags_show_description_image\":\"\",\"all_tags_description_image\":\"\",\"all_tags_orderby\":\"\",\"all_tags_orderby_direction\":\"\",\"all_tags_show_tag_image\":\"\",\"all_tags_show_tag_description\":\"\",\"all_tags_tag_maximum_characters\":0,\"all_tags_show_tag_hits\":\"\",\"maximum\":200,\"filter_field\":\"\",\"show_pagination_limit\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',112,113,0,'*',0),
	(225,'mainmenu','List Weblinks',X'6C6973742D7765626C696E6B73','','joomla/list-weblinks','index.php?option=com_weblinks&view=category&id=6','component',1,202,2,21,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_links\":\"\",\"filter_field\":\"hide\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_link_description\":\"\",\"show_link_hits\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_feed_link\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',114,115,0,'*',0),
	(241,'main','Users',X'7573657273','','acymailing/users','index.php?option=com_acymailing&ctrl=subscriber','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-users.png',0,'',318,319,0,'',1),
	(242,'main','Lists',X'6C69737473','','acymailing/lists','index.php?option=com_acymailing&ctrl=list','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-acylist.png',0,'',320,321,0,'',1),
	(243,'main','Newsletters',X'6E6577736C657474657273','','acymailing/newsletters','index.php?option=com_acymailing&ctrl=newsletter','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-newsletter.png',0,'',322,323,0,'',1),
	(244,'main','Templates',X'74656D706C61746573','','acymailing/templates','index.php?option=com_acymailing&ctrl=template','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-acytemplate.png',0,'',324,325,0,'',1),
	(245,'main','Queue',X'7175657565','','acymailing/queue','index.php?option=com_acymailing&ctrl=queue','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-process.png',0,'',326,327,0,'',1),
	(246,'main','Statistics',X'73746174697374696373','','acymailing/statistics','index.php?option=com_acymailing&ctrl=stats','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-stats.png',0,'',328,329,0,'',1),
	(247,'main','Configuration',X'636F6E66696775726174696F6E','','acymailing/configuration','index.php?option=com_acymailing&ctrl=cpanel','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-acyconfig.png',0,'',330,331,0,'',1),
	(248,'main','Update_About',X'7570646174652D61626F7574','','acymailing/update-about','index.php?option=com_acymailing&ctrl=update','component',0,240,2,10265,0,'0000-00-00 00:00:00',0,1,'../media/com_acymailing/images/icons/icon-16-update.png',0,'',332,333,0,'',1),
	(272,'mainmenu','Template Features',X'74656D706C6174652D6665617475726573','','template-features/template-features','','heading',1,196,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"Powerful tools for content creation\",\"zenmenu_icon\":\"pencil\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"3\",\"zenmenu_fullwidth\":\"0\"}',4,21,0,'*',0),
	(282,'main','com_ajax',X'636F6D2D616A6178','','com-ajax','index.php?option=com_ajax','component',0,1,1,10326,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',233,234,0,'',1),
	(283,'main','com_contenthistory',X'636F6D2D636F6E74656E74686973746F7279','','com-contenthistory','index.php?option=com_contenthistory','component',0,1,1,10327,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',235,236,0,'',1),
	(284,'main','com_postinstall',X'636F6D2D706F7374696E7374616C6C','','com-postinstall','index.php?option=com_postinstall','component',0,1,1,10328,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',237,238,0,'',1),
	(296,'mainmenu','Layouts',X'6C61796F757473','','template-features/layouts','','heading',1,196,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"Flexible three column arrangements\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',44,57,0,'*',0),
	(297,'mainmenu','Right Sidebar',X'72696768742D73696465626172','','template-features/layouts/right-sidebar','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',86,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',45,46,0,'*',0),
	(298,'mainmenu','Two right sidebars',X'74776F2D72696768742D7369646562617273','','template-features/layouts/two-right-sidebars','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',86,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',47,48,0,'*',0),
	(299,'mainmenu','Left Sidebar',X'6C6566742D73696465626172','','template-features/layouts/left-sidebar','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',85,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',49,50,0,'*',0),
	(300,'mainmenu','Two Left Sidebars',X'74776F2D6C6566742D7369646562617273','','template-features/layouts/two-left-sidebars','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',85,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',51,52,0,'*',0),
	(301,'mainmenu','Left main right',X'6C6566742D6D61696E2D7269676874','','template-features/layouts/left-main-right','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',87,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',53,54,0,'*',0),
	(302,'mainmenu','Full Width',X'66756C6C2D7769647468','','template-features/layouts/full-width','index.php?option=com_content&view=article&id=19','component',1,296,3,22,0,'0000-00-00 00:00:00',0,1,'',68,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_tags\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',55,56,0,'*',0),
	(339,'very-top-menu','Services',X'7365727669636573','','services','index.php?option=com_content&view=category&layout=blog&id=9','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',239,240,0,'*',0),
	(340,'very-top-menu','Work',X'776F726B','','work','index.php?option=com_content&view=category&layout=blog&id=10','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',241,242,0,'*',0),
	(341,'footermenu','News',X'6E657773','','news','index.php?option=com_content&view=category&layout=blog&id=11','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',243,244,0,'*',0),
	(342,'very-top-menu','About Us',X'61626F75747573','','aboutus','index.php?option=com_content&view=category&layout=blog&id=2','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"masshead-title\":\"\",\"masshead-slogan\":\"\"}',249,250,0,'*',0),
	(346,'mainmenu','Shortcode Layouts',X'7479706F6772617068792D32','','template-features/module-overview/typography-2','index.php?option=com_content&view=article&id=87','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',35,36,0,'*',0),
	(347,'mainmenu','2 columns',X'63617465676F72792D626C6F672D32','','joomla/category-blog/category-blog-2','index.php?option=com_content&view=category&layout=blog&id=11','component',1,218,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"10\",\"num_columns\":\"2\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',85,86,0,'*',0),
	(348,'mainmenu','3 columns',X'63617465676F72792D626C6F672D33','','joomla/category-blog/category-blog-3','index.php?option=com_content&view=category&layout=blog&id=11','component',1,218,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',87,88,0,'*',0),
	(349,'mainmenu','4 columns',X'63617465676F72792D626C6F672D34','','joomla/category-blog/category-blog-4','index.php?option=com_content&view=category&layout=blog&id=11','component',1,218,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"4\",\"num_columns\":\"4\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',89,90,0,'*',0),
	(350,'mainmenu','1 column',X'63617465676F72792D312D636F6C756D6E','','joomla/category-blog/category-1-column','index.php?option=com_content&view=category&layout=blog&id=11','component',1,218,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"10\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',83,84,0,'*',0),
	(351,'mainmenu','Featured',X'63617465676F72792D312D636F6C756D6E2D32','','joomla/category-1-column-2','index.php?option=com_content&view=featured','component',1,202,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"10\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',92,101,0,'*',0),
	(352,'mainmenu','1 column',X'63617465676F72792D312D636F6C756D6E2D33','','joomla/category-1-column-2/category-1-column-3','index.php?option=com_content&view=featured','component',1,351,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"1\",\"num_columns\":\"1\",\"num_links\":\"2\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',93,94,0,'*',0),
	(353,'mainmenu','2 columns',X'63617465676F72792D312D636F6C756D6E2D34','','joomla/category-1-column-2/category-1-column-4','index.php?option=com_content&view=featured','component',1,351,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"10\",\"num_columns\":\"2\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',95,96,0,'*',0),
	(354,'mainmenu','3 columns',X'63617465676F72792D312D636F6C756D6E2D35','','joomla/category-1-column-2/category-1-column-5','index.php?option=com_content&view=featured','component',1,351,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',97,98,0,'*',0),
	(355,'mainmenu','4 columns',X'63617465676F72792D312D636F6C756D6E2D36','','joomla/category-1-column-2/category-1-column-6','index.php?option=com_content&view=featured','component',1,351,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"4\",\"num_columns\":\"4\",\"num_links\":\"\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',99,100,0,'*',0),
	(358,'template-features','Fast Template',X'666173742D74656D706C617465','','features/fast-template','index.php?option=com_content&view=article&id=81','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_width\":\"\",\"left_offset\":\"\",\"right_offset\":\"\"}',138,139,0,'*',0),
	(359,'mainmenu','Zen Shortcodes',X'7A656E2D73686F7274636F646573','','template-features/module-overview/zen-shortcodes','index.php?option=com_content&view=article&id=82','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',41,42,0,'*',0),
	(360,'mainmenu','Layout Builder',X'6C61796F75742D6275696C646572','','template-features/template-features/layout-builder','index.php?option=com_content&view=article&id=86','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',5,6,0,'*',0),
	(361,'mainmenu','Built in Effects',X'6C61796F75742D6275696C6465722D32','','template-features/module-overview/layout-builder-2','index.php?option=com_content&view=article&id=85','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',37,38,0,'*',0),
	(362,'mainmenu','Fast out of the box',X'6C61796F75742D6275696C6465722D33','','template-features/template-features/layout-builder-3','index.php?option=com_content&view=article&id=81','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',7,8,0,'*',0),
	(363,'mainmenu','Simple Mega Menu',X'6C61796F75742D6275696C6465722D34','','template-features/template-features/layout-builder-4','index.php?option=com_content&view=article&id=83','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',9,10,0,'*',0),
	(364,'mainmenu','A Beautiful Interface',X'612D62656175746966756C2D696E74657266616365','','template-features/template-features/a-beautiful-interface','index.php?option=com_content&view=article&id=88','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',11,12,0,'*',0),
	(365,'mainmenu','Performance and Asset Control',X'612D62656175746966756C2D696E746572666163652D32','','template-features/template-features/a-beautiful-interface-2','index.php?option=com_content&view=article&id=96','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',13,14,0,'*',0),
	(366,'mainmenu','Flexible Bootstrap Implementation',X'612D62656175746966756C2D696E746572666163652D33','','template-features/template-features/a-beautiful-interface-3','index.php?option=com_content&view=article&id=97','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',17,18,0,'*',0),
	(367,'mainmenu','Live reload less files',X'612D62656175746966756C2D696E746572666163652D34','','template-features/template-features/a-beautiful-interface-4','index.php?option=com_content&view=article&id=95','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',15,16,0,'*',0),
	(368,'mainmenu','Accordion Menu',X'6D6F64756C652D636C61737365732D32','','template-features/module-overview/module-classes-2','index.php?option=com_content&view=article&id=91','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',29,30,0,'*',0),
	(369,'mainmenu','Offcanvas Menu',X'6D6F64756C652D636C61737365732D33','','template-features/module-overview/module-classes-3','index.php?option=com_content&view=article&id=92','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',31,32,0,'*',0),
	(370,'mainmenu','Font Control',X'6D6F64756C652D636C61737365732D34','','template-features/template-features/module-classes-4','index.php?option=com_content&view=article&id=89','component',1,272,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',19,20,0,'*',0),
	(371,'mainmenu','Hidden Panel',X'6D6F64756C652D636C61737365732D35','','template-features/module-overview/module-classes-5','index.php?option=com_content&view=article&id=94','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',39,40,0,'*',0),
	(372,'mainmenu','Using Module Classes',X'7573696E672D6D6F64756C652D636C6173736573','','template-features/module-overview/using-module-classes','index.php?option=com_content&view=article&id=98','component',1,210,3,22,0,'0000-00-00 00:00:00',0,1,'',75,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',27,28,0,'*',0),
	(373,'mainmenu','Login',X'6C6F67696E2D6D6F64756C652D6578616D706C65','','login-module-example','','heading',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',117,120,0,'*',0),
	(374,'mainmenu','Module in a menu example',X'6D6F64756C652D696E2D612D6D656E752D6578616D706C65','','login-module-example/module-in-a-menu-example','','heading',1,373,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\",\"zenmenu_display_module\":[\"323\"]}',118,119,0,'*',0),
	(375,'mainmenu','Bootstrap2 Tests',X'626F6F747374726170322D7465737473','','template-features/2014-11-26-01-53-00/bootstrap2-tests','index.php?option=com_content&view=article&id=100','component',1,377,3,22,0,'0000-00-00 00:00:00',0,1,'',89,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',59,60,0,'*',0),
	(376,'mainmenu','Bootstrap3 Tests',X'626F6F747374726170332D7465737473','','template-features/2014-11-26-01-53-00/bootstrap3-tests','index.php?option=com_content&view=article&id=99','component',1,377,3,22,0,'0000-00-00 00:00:00',0,1,'',90,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',61,62,0,'*',0),
	(377,'mainmenu','Bootstrap Tests',X'323031342D31312D32362D30312D35332D3030','','template-features/2014-11-26-01-53-00','','heading',1,196,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"Testing bootstrap styling\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"1\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',58,63,0,'*',0),
	(378,'very-top-menu','One page example',X'6F6E652D706167652D6578616D706C65','','one-page-example','index.php?option=com_content&view=article&id=93','component',-2,1,1,22,0,'0000-00-00 00:00:00',0,1,'',76,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',251,252,0,'*',0),
	(379,'footermenu','Services',X'6E6577732D32','','news-2','index.php?option=com_content&view=category&layout=blog&id=9','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',245,246,0,'*',0),
	(380,'footermenu','Work',X'6E6577732D33','','news-3','index.php?option=com_content&view=category&layout=blog&id=10','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"\",\"num_intro_articles\":\"\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',247,248,0,'*',0),
	(396,'mainmenu','Extensions',X'657874656E73696F6E732D6F76657276696577','','extensions-overview','','heading',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',65,80,0,'*',0),
	(397,'menu','COM_CONTENTTEMPLATER',X'636F6E74656E7474656D706C61746572','','contenttemplater','index.php?option=com_contenttemplater','component',1,1,1,10677,0,'0000-00-00 00:00:00',0,1,'../media/contenttemplater/images/icon_contenttemplater.png',0,'',253,254,0,'*',1),
	(398,'template-features','Layout Builder',X'6C61796F75742D6275696C646572','','features/layout-builder','index.php?option=com_content&view=article&id=86','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',140,141,0,'*',0),
	(399,'template-features','Simple Mega Menu',X'6C61796F75742D6275696C6465722D34','','features/layout-builder-4','index.php?option=com_content&view=article&id=83','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',142,143,0,'*',0),
	(400,'template-features','A Beautiful Interface',X'612D62656175746966756C2D696E74657266616365','','features/a-beautiful-interface','index.php?option=com_content&view=article&id=88','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',144,145,0,'*',0),
	(401,'template-features','Live reload less files',X'612D62656175746966756C2D696E746572666163652D34','','features/a-beautiful-interface-4','index.php?option=com_content&view=article&id=95','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',146,147,0,'*',0),
	(402,'template-features','Flexible Bootstrap Implementation',X'612D62656175746966756C2D696E746572666163652D33','','features/a-beautiful-interface-3','index.php?option=com_content&view=article&id=97','component',1,117,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"zenmenu_subtitle\":\"\",\"zenmenu_icon\":\"-1\",\"zenmenu_group\":\"0\",\"zenmenu_column\":\"1\",\"zenmenu_fullwidth\":\"0\"}',148,149,0,'*',0);

/*!40000 ALTER TABLE `#__menu` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__menu_types
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__menu_types`;

CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__menu_types` WRITE;
/*!40000 ALTER TABLE `#__menu_types` DISABLE KEYS */;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`)
VALUES
	(1,'mainmenu','Main Menu','The main menu for the site'),
	(2,'footermenu','Footer Menu',''),
	(3,'template-features','Template Features',''),
	(6,'very-top-menu','Very Top Menu','Very Top Menu');

/*!40000 ALTER TABLE `#__menu_types` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__modules
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__modules`;

CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__modules` WRITE;
/*!40000 ALTER TABLE `#__modules` DISABLE KEYS */;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`)
VALUES
	(2,0,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),
	(3,0,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(4,0,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(8,0,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),
	(9,0,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),
	(10,0,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(12,0,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),
	(13,0,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),
	(14,0,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),
	(15,0,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),
	(79,0,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),
	(86,0,'Joomla Version','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_version',3,1,'{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),
	(87,0,'Zentools Masonry','','',1,'masonry',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"masonry\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,category,title,text\",\"unuseditems\":\"date,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"18\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"180\",\"image_height\":\"110\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(88,1385,'ZenTools Slideshow','','',1,'slideshow',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"6\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"text,date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/ugmonk\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"800\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"standard\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(89,1446,'ZenTools Slideshow Flat','','',1,'slideshow2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"image,column2,title,text,more\",\"unuseditems\":\"date,category,column3,column4,tweet,isfeatured\",\"col1Width\":\"four\",\"col2Width\":\"eight\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/slideshow\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"1\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"400\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"flat\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"slideshowPaginationPos\":\"zencenter\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(90,0,'Zentools Accordion','','',1,'accordionflat',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"accordion\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"title,column2,image,column3,category,date,text,more\",\"unuseditems\":\"column4,tweet,isfeatured\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"zen-flat\",\"accordionSymbolOpen\":\"\\\\e80c\",\"accordionSymbolClosed\":\"\\\\e80b\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(91,1443,'ZenTools Carousel','','',1,'carousel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"carousel\",\"contentSource\":\"2\",\"count\":\"20\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title,text\",\"unuseditems\":\"date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"20\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"itemImgSize\":\"Small\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"zen-boxed\",\"minItems\":\"3\",\"carouselSpeed\":\"450\",\"imageW\":\"280\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(92,1623,'ZenTools Columns within Columns','','',1,'zengrid3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image,column2,title,text\",\"unuseditems\":\"date,category,more,column3,column4,tweet,isfeatured\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"2\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(94,1621,'ZenTools List 2 Col','','',1,'list',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"list\",\"contentSource\":\"2\",\"useditems\":\"title,category,date,text,column2,image\",\"unuseditems\":\"more,column3,column4,tweet,isfeatured\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(95,1622,'ZenTools List 3 Col','','',1,'list2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"list\",\"contentSource\":\"2\",\"useditems\":\"title,category,column2,date,text,column3,image\",\"unuseditems\":\"column4,tweet,more,isfeatured\",\"col1Width\":\"four\",\"col2Width\":\"four\",\"col3Width\":\"four\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(96,0,'ZenTools Grid Lots of Columns','','',1,'zengrid2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"title,text,date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"6\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(97,1442,'Project1 Gallery','','',1,'project1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"1\",\"count\":\"9\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"title,text,date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\\/images\\/democontent\\/600px\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"10\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"245\",\"imageTitleAtt\":\"1\",\"itemImgSize\":\"Small\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(104,1435,'Our Services','','',1,'grid8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"3\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title,text,more\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"50\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"1\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"200\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Large\",\"tabletPortrait\":\"Large\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"800\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"news\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(105,0,'Recent Work','','',1,'slide1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"1\",\"count\":\"8\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title\",\"unuseditems\":\"text,more,column2,column3,column4,tweet\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\\/images\\/democontent\\/frontpage\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"10\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"50\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"4\",\"disableMargin\":\"0\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"630\",\"image_height\":\"560\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"1\",\"sourceImage\":\"Tiny\",\"mobile\":\"Small\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Medium\",\"desktopImage\":\"XSmall\",\"wideImage\":\"XSmall\",\"fullwidthimage\":\"full\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(106,1432,'Panel','','<h2 style=\"text-align: left;\">Lorem ipsum dolor sit amet ...</h2>\r\n<p style=\"text-align: left;\">Consectetur adipiscing elit. Cras lorem urna, mattis in ornare at, lacinia eleifend eros. Vestibulum quis dignissim nisi.Nullam a nunc nisi. Nulla eu odio nec urna posuere lobortis quis venenatis magna. Fusce nunc eros, pellentesque commodo nunc eleifend, imperdiet convallis orci.<br /><br /></p>\r\n<h2 style=\"text-align: left;\">Sed consequat augue eget ligula vulputate elementum.</h2>\r\n<p style=\"text-align: left;\">Fusce non elit ut nunc posuere blandit. Vestibulum at erat quis elit hendrerit ornare vel et ante. Pellentesque id leo suscipit, condimentum quam laoreet, congue lorem. Duis congue eros non posuere varius.Nullam a nunc nisi. Nulla eu odio nec urna posuere lobortis quis venenatis magna. Fusce nunc eros, pellentesque commodo nunc eleifend, imperdiet convallis orci.<br /><br /></p>\r\n<h2 style=\"text-align: left;\">Class aptent taciti sociosqu ad ...</h2>\r\n<p style=\"text-align: left;\">Litora torquent per conubia nostra, per inceptos himenaeos. Morbi bibendum mollis justo, id luctus nibh vulputate eu.Nullam a nunc nisi. Nulla eu odio nec urna posuere lobortis quis venenatis magna. Fusce nunc eros, pellentesque commodo nunc eleifend, imperdiet convallis orci.</p>',1,'panel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(107,1408,'This is the first tab','','<p><img class=\"border\" src=\"images/democontent/600px/62H.jpg\" alt=\"\" /></p>',1,'zentabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zentabs\"}',0,'*'),
	(109,0,'Top1','','<p>This is the top1 position.</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"3\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(116,1549,'Grid1','','<p>This module is the grid1 position.</p>',1,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(117,1589,'Grid2','','<p>This is the grid2 position.</p>',1,'grid2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(118,0,'Grid3','','<p>This is the Grid3 position.</p>',1,'grid3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(119,1578,'Footer menu','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"footermenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(120,0,'Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_menu',1,1,'{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(123,1397,'Like the way we work?','','<p><img src=\"images/democontent/imfree/3734170426_4f7418e3e7_b.jpg\" alt=\"\" /></p>\r\n<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue.</p>',4,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" new primary\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h4\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(125,1398,'Awards','','<p><img src=\"images/democontent/imfree/2545790693_0979a6a994_b.jpg\" alt=\"\" /></p>\r\n<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue.</p>',8,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" hot\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(128,1387,'Frontpage Slideshow','','',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title,text,more\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\\/images\\/democontent\\/slideshow\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"9\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"30\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><blockquote><h2><span>\",\"renderPlugin\":\"render\",\"readonText\":\"Read more\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"1\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"900\",\"image_height\":\"355\",\"imageTitleAtt\":\"1\",\"itemImgSize\":\"Small\",\"responsiveimages\":\"1\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Large\",\"wideImage\":\"Large\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"standard\",\"overlayAnimation\":\"0\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"slideshowPaginationPos\":\"zenright\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"hidden-phone\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(129,0,'Zentools overview','','',1,'zentools',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"list\",\"contentSource\":\"2\",\"count\":\"20\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"title\",\"unuseditems\":\"image,text,date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"items\",\"catid\":[\"20\"],\"artids\":[\"1\",\"2\",\"3\",\"4\",\"5\",\"6\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"200\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"fonticons\":\"0\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(131,0,'Top2','','<p>This is the top2 position.</p>',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"3\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(132,0,'Top3','','<p>This is the top3 position.</p>',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"3\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(133,0,'Top4','','<p>This is the top4 position.</p>',1,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"3\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(142,0,'Grid4','','<p>This is the Grid4 position.</p>',1,'grid4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(144,0,'Grid5','','<p>This is the Grid5 position.</p>',1,'grid5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(145,0,'Grid6','','<p>This is the Grid6 position.</p>',1,'grid6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(146,0,'Grid7','','<p>This is the Grid7 position.</p>',1,'grid7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(147,0,'Grid8','','<p>This is the Grid8 position.</p>',1,'grid8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(148,0,'Grid9','','<p>This is the Grid9 position.</p>',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(149,1550,'Grid10','','<p>This is the Grid10 position.</p>',1,'grid10',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(150,1551,'Grid11','','<p>This is the Grid11 position.</p>',1,'grid11',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(151,1552,'Grid12','','<p>This is the Grid12 position.</p>',1,'grid12',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(152,1553,'Grid13','','<p>This is the Grid13 position.</p>',18,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(153,1554,'Grid14','','<p>This is the Grid14 position.</p>',1,'grid14',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(154,1555,'Grid15','','<p>This is the Grid15 position.</p>',9,'grid15',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(155,1551,'Grid16','','<p>This is the Grid16 position.</p>',5,'grid16',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(156,0,'Grid17','','<p>This is the Grid17 position.</p>',1,'grid17',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(157,0,'Grid18','','<p>This is the Grid18 position.</p>',1,'grid18',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(158,0,'Grid19','','<p>This is the Grid19 position.</p>',1,'grid19',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(159,0,'Grid20','','<p>This is the Grid20 position.</p>',1,'grid20',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(160,0,'Grid21','','<p>This is the Grid21 position.</p>',1,'grid21',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(161,0,'Grid22','','<p>This is the Grid22 position.</p>',1,'grid22',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(162,0,'Grid23','','<p>This is the Grid23 position.</p>',1,'grid23',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(163,0,'Grid24','','<p>This is the Grid24 position.</p>',1,'grid24',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(165,1571,'Bottom2','','<p>This is the Bottom2 position.</p>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(166,1572,'Bottom3','','<p>This is the Bottom3 position.</p>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(167,1573,'Bottom4','','<p>This is the Bottom4 position.</p>',1,'bottom4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(168,1574,'Bottom5','','<p>This is the Bottom5 position.</p>',1,'bottom5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(169,1575,'Bottom6','','<p>This is the Bottom6 position.</p>',1,'bottom6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(170,0,'Footer','','<p>This is the Footer position.</p>',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(171,1510,'Sidebar2','','<p>This module is the sidebar2 position.</p>',1,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(172,1433,'Sidebar1','','<p>This module is the sidebar-1 position.</p>',1,'sidebar1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(176,1411,'Slider','','<p>This is text from another custom html module given the module style - zenslider.</p>',2,'slider',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zenslider\"}',0,'*'),
	(182,1409,'Another tab','','<p><img class=\"border\" src=\"images/democontent/600px/52H.jpg\" alt=\"\" /></p>\r\n<p> </p>',1,'zentabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zentabs\"}',0,'*'),
	(183,1570,'Bottom1','','<p>This is the Bottom1 position.</p>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(184,1528,'above','','<p>This is the Above position.</p>',1,'above',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(185,1666,'belowcontent','','<p>This is the Belowcontent position.</p>',1,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(186,0,'Below','','<p>This is the Below position.</p>',1,'below',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(187,1499,'abovecontent','','<p>This is the Abovecontent position.</p>',1,'abovecontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(189,1412,'Zentools in a popover','','',64,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,title,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"14\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"120\",\"image_height\":\"90\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Hub2-popover\"}',0,'*'),
	(191,1410,'Zentools in a slider','','',1,'slider',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"1\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image\",\"unuseditems\":\"date,category,text,more,column2,title,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"14\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zenslider\"}',0,'*'),
	(193,1623,'Primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',14,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(194,1625,'Primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',15,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(195,1628,'Primary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',16,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(196,1617,'Secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',17,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(197,1618,'Secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',18,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(198,1605,'Secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',19,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(199,1640,'Dark','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',36,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" dark\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(200,1663,'Shadow2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',61,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" shadow2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(201,1606,'Light','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',37,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" light\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(202,1657,'Shadow','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',60,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" shadow\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(203,1665,'Border','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',63,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" border\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(206,1619,'Inset','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',27,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(207,1624,'Inset Shadow2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',30,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset shadow2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(208,1641,'Inset Primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',38,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(209,1634,'Inset Secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',34,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(210,1642,'Corner Secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',44,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(211,1649,'Corner Primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',41,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(212,1651,'Corner Primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',42,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(213,1643,'Corner Secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',45,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(215,1646,'Hot Primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',48,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(216,1629,'New Primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',24,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(217,1654,'Hot Secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',53,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(218,1637,'New Secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',55,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(219,1609,'Icon Example1','','<p>This module uses the zen-icon zen-icon-twitter primary1 module class.</p>',2,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-twitter primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(221,1604,'Icon Example 4','','<p><span style=\"line-height: 15.8079996109009px;\">This module uses the </span>zen-icon zen-icon-comments bottom large secondary1<span style=\"line-height: 15.8079996109009px;\"> module class.</span></p>',5,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-comments bottom large secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(222,1620,'Icon Example 10','','<p><span style=\"line-height: 15.8079996109009px;\">This module uses the zen-</span>icon zen-icon-phone medium primary2<span style=\"line-height: 15.8079996109009px;\"> module class.</span></p>',11,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-phone medium primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(223,1615,'Icon Example 12','','<p>This module uses the icon icon-pinterest bottom medium secondary2 class.</p>',13,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-pinterest bottom medium secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(224,0,'Module in a menu item','','<p>This is an example module in a menu item via the Zen Menu plugin.</p>',1,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(233,1439,'Zentools in a menu','','',1,'menuposition',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"4\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,column2,column3,column4,tweet,title,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"14\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"4\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"120\",\"image_height\":\"90\",\"imageTitleAtt\":\"1\",\"itemImgSize\":\"Small\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(235,1392,'A tab module','','<p>This is a custom html module published to the tabs position. Tabbed layouts like this can easily be added by publishing multiple modules to the tabs position.</p>',3,'tabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Rasa2-zentabs\"}',0,'*'),
	(236,0,'Book us now','','<p>{grid6}</p>\n\n<h3>Online consultation</h3>\n\n<ul class=\"simple\">\n\n<li>In rhoncus porttitor urna, at egestas orci ornare eget.</li>\n\n<li>Donec imperdiet lacus a nibh tempus in tempus mauris feugiat.</li>\n\n<li>Sed quis velit ut massa fermentum euismod.</li>\n\n<li>Curabitur vestibulum felis sagittis tortor suscipit vitae faucibus neque lacinia.</li>\n\n<li>Etiam eget elit sed erat ullamcorper aliquam sit amet quis ligula.</li>\n\n</ul>\n\n<p>&nbsp;</p>\n\n<p><a class=\"btn btn-primary\" href=\"#\"><span>Book now</span></a>&nbsp;</p>\n\n<p>&nbsp;</p>\n\n<p>{/grid6} {grid6_last}</p>\n\n<h3>Onsite meetings</h3>\n\n<ul class=\"simple\">\n\n<li>Duis sit amet magna id mauris auctor dapibus quis ut mi.</li>\n\n<li>Maecenas nec arcu id nunc imperdiet facilisis sed vel ligula.</li>\n\n<li>Cras porta felis ac mauris adipiscing pretium.</li>\n\n<li>Nunc sit amet magna magna, id commodo tellus.</li>\n\n</ul>\n\n<ul>\n\n<li>Etiam nec leo non tellus feugiat auctor vel a felis.</li>\n\n<li>Duis lacinia scelerisque massa, at pulvinar justo elementum sed.</li>\n\n</ul>\n\n<p>&nbsp;</p>\n\n<p><a class=\"btn btn-primary\" href=\"#\"><span>Book now</span></a>&nbsp;</p>\n\n<p>{/grid6_last}</p>',1,'slide2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(245,0,'News below slideshow','','',1,'feature-1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"4\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title\",\"unuseditems\":\"text,date,category,column2,more,column3,column4,tweet,isfeatured\",\"col1Width\":\"two\",\"col2Width\":\"ten\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/><p>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"1\",\"animateMoreOverlay\":\"1\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"4\",\"disableMargin\":\"1\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"300\",\"image_height\":\"200\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"noresize\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(247,0,'Daily Inspiration','','<blockquote>\n\n<p>There’s a voice that keeps on calling me. Down the road, that’s where I’ll always be. Every stop I make, I make a new friend.</p>\n\n</blockquote>\n\n<p><span class=\"zen-author\">- Someone Famous</span></p>',25,'grid16',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(248,0,'{zen-heart}{/zen-heart}Almost favourites','','',27,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"1\",\"count\":\"12\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"date,category,more,column3,column4,tweet,title,column2,text,isfeatured\",\"col1Width\":\"two\",\"col2Width\":\"ten\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\\/images\\/democontent\\/almostfav\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"10\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"6\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"60\",\"image_height\":\"60\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"noresize\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(262,0,'K2 Quick Icons (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_quickicons',1,1,'',1,'*'),
	(263,0,'K2 Stats (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_stats',1,1,'',1,'*'),
	(264,1386,'Topmenu','','',1,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"very-top-menu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hidden-phones\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(272,0,'Zentools Template Styles','','',1,'styles',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"1\",\"count\":\"10\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title\",\"unuseditems\":\"\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\\/images\\/democontent\\/styles\",\"random_image\":\"0\",\"prefix\":\"0\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"2\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"615\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(273,1514,'Zentools Filter','','',1,'filter',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"8\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"1\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,text,more,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"50\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"zen-boxed\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"1\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"200\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Large\",\"tabletPortrait\":\"Large\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"800\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(276,0,'Zentools','','<p>Zentools is a complete responsive solution for creating content, K2 and image driven galleries for your Joomla website. Find out <a href=\"http://zentools.joomlabamboo.com\">more.</a></p>',1,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(298,1579,'Breadcrumbs','','',1,'breadcrumb',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_breadcrumbs',1,0,'{\"showHere\":\"1\",\"showHome\":\"1\",\"homeText\":\"\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(299,1512,'Find out what\'s happening','','<p>Dolor ipsum lipsum scolar tolor what locusts behaving madly.</p>',4,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(300,1395,'Like to know more?','','<p>Interested in our products? Something you are looking for that you don\'t see on this site?<br /><br /><br /></p>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(301,1489,'Need to talk to us','','<p>Phone: (03) 9486 8555<br /> Fax: (03) 9486 8021<br /> Email: <a class=\"boxText\" href=\"mailto:info@theignite.com.au\">info@theignite.com.au</a><br /><br /><a class=\"btn btn-primary\" href=\"#\">Get in contact</a></p>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(302,1511,'We accept these cards','','<p><img class=\"floatleft\" style=\"width: 27px;\" src=\"images/democontent/creditcards/americanexpress.png\" alt=\"\" /><img class=\"floatleft\" style=\"width: 27px;\" src=\"images/democontent/creditcards/discover.png\" alt=\"\" /><img class=\"floatleft\" style=\"width: 27px;\" src=\"images/democontent/creditcards/mastercard.png\" alt=\"\" /><img class=\"floatleft\" style=\"width: 27px;\" src=\"images/democontent/creditcards/visa.png\" alt=\"\" /></p>\r\n<div class=\"clearfix\"> </div>',3,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(304,1388,'Annual Sale','','<p><img src=\"images/democontent/advert/advert.jpg\" alt=\"Advert\" width=\"196\" height=\"219\" /></p>',1,'above',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(312,1403,'Zentools Accordion','','',1,'accordion',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"1\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"accordion\",\"contentSource\":\"2\",\"useditems\":\"title,column2,image,column3,category,date,text,more\",\"unuseditems\":\"column4,tweet,isfeatured\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e80c\",\"accordionSymbolClosed\":\"\\\\e80b\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(313,0,'Zentools Accordion','','',1,'accordionboxed',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"accordion\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"title,column2,image,column3,category,date,text,more\",\"unuseditems\":\"column4,tweet,isfeatured\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"zen-boxed\",\"accordionSymbolOpen\":\"\\\\e807\",\"accordionSymbolClosed\":\"\\\\e808\",\"accordionPosition\":\"right\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(314,1384,'Top 1 custom text','','<p>Mauris volutpat, sapien ut tincidunt ...</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(315,1389,'ZenTools Carousel','','',26,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"carousel\",\"contentSource\":\"2\",\"count\":\"20\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image\",\"unuseditems\":\"date,category,text,more,column2,column3,column4,tweet,title,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"20\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"6\",\"carouselSpeed\":\"450\",\"imageW\":\"300\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(316,1390,'Two Beautiful Locations','','',1,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"2\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title,text,more\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"items\",\"catid\":[\"\"],\"artids\":[\"11\",\"42\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"40\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Find Us\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"1\",\"moresize\":\"1em\",\"morecolor\":\"#fff\",\"moretopoffset\":\"0\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"2\",\"disableMargin\":\"0\",\"overlayGrid\":\"1\",\"animateOverlay\":\"0\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(318,1400,'Accordion Menu','','',5,'sidebar2',214,'2014-12-24 02:04:08','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"template-features\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"secondary2 accordion new\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(319,1404,'Bottom Extra','','<h3>Keep up to date.</h3>\n\n<p><input type=\"text\" placeholder=\"Enter your email address here\" /><button>></button></p>',1,'bottom-extra',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(320,1405,'Frequently Asked Questions','','',1,'grid17',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,1,'{\"layout\":\"accordion\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"title,text\",\"unuseditems\":\"image,column2,column3,column4,date,category,more,tweet,isfeatured\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"categories\",\"catid\":[\"16\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"45\",\"titleSuffix\":\"...\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterstart_k2\":[\"\"],\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"itemImgSize\":\"Small\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"0\",\"moduletheme\":\"zen-flat\",\"accordionSymbolOpen\":\"\\\\e807\",\"accordionSymbolClosed\":\"\\\\e808\",\"accordionPosition\":\"right\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(321,1406,'Latest Gallery','','',1,'grid18',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,1,'{\"count\":\"4\",\"link\":\"1\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"1\",\"useditems\":\"image,title\",\"unuseditems\":\"text,more,column2,column3,column4,tweet\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/imfree\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h4\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"2\",\"disableMargin\":\"1\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"2\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"0\",\"moduletheme\":\"zen-flat\",\"accordionSymbolOpen\":\"\\\\e807\",\"accordionSymbolClosed\":\"\\\\e808\",\"accordionPosition\":\"right\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"noresize\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(323,1415,'Login','','',1,'menuposition',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,0,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"usetext\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(324,1416,'Banner Image','','<p><img src=\"images/democontent/slideshow/34H.jpg\" alt=\"\" /></p>',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(325,1417,'Off Canvas position','','<p>This is the offcanvasleft position.</p>',1,'offcanvasleft',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(353,1436,'Powerfully responsive','','<p>Xero features built in tools for creating your next responsive Joomla website. It features multiple responsive menu pattern options, control over breakpoints and a simple layout control panel.</p>',1,'grid5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(354,1437,'search','','',1,'search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_search',1,0,'{\"label\":\"  \",\"width\":\"20\",\"text\":\"search ...\",\"button\":\"0\",\"button_pos\":\"right\",\"imagebutton\":\"0\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"223\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(355,1445,'Akeeba Backup Notification Module','','',2,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_akadmin',1,1,'',1,'*'),
	(375,1467,'Logo Position','','<h2>This is my Logo text</h2>\n\n<p>Here is my tagline ...</p>',1,'logo',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(378,1470,'Logo','','<div class=\"floatleft\">\r\n<h2>focus<sup>2</sup></h2>\r\n<p>A fullscreen slideshow theme for photographers  ...</p>\r\n</div>',1,'logo',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(379,1471,'Slideshow','','',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"count\":\"2\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"text,date,category,more,column2,column3,column4,tweet,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"items\",\"catid\":[\"\"],\"artids\":[\"8\",\"7\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"980\",\"image_height\":\"370\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"standard\",\"overlayAnimation\":\"0\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"30\",\"thumb_height\":\"30\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(380,1472,'Banner Aside','','',1,'banner-aside',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"2\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,more,column3,column4,tweet,isfeatured\",\"col1Width\":\"three\",\"col2Width\":\"nine\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"0\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"items\",\"catid\":[\"\"],\"artids\":[\"10\",\"20\",\"7\",\"22\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"30\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"300\",\"image_height\":\"174\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(381,1473,'Banner Slogan','','<h3>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed sit amet elementum rutrum tiam eu auctor justo uspendisse hendrerit auctor pretium enean venenatis.</h3>\n\n<p> </p>',1,'banner-slogan',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(382,1474,'Our Services','','',1,'grid12',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"layout\":\"carousel\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"useditems\":\"image,title,text\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,more,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"loadJquery\":\"1\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"joomlaContentSource\":\"items\",\"catid\":[\"9\",\"10\"],\"artids\":[\"20\",\"21\",\"15\",\"16\",\"17\",\"23\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"1\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"200\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Large\",\"tabletPortrait\":\"Large\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"zen-boxed\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"400\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"800\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"news\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(383,1475,'Dolor Ipsum What','','<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>\n\n<p> </p>',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(384,1490,'A tabbed module','','<p>Cras vulputate velit elit. Curabitur gravida condimentum mi ut vehicula. Praesent dapibus sem quis nunc vulputate, id scelerisque tellus accumsan. Aliquam suscipit vehicula est, ut dapibus urna euismod eget. Nullam tristique non metus accumsan rhoncus. Etiam id euismod nisl. Nam consectetur blandit neque eget iaculis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed vel eleifend magna. Aliquam tortor lacus, hendrerit vitae efficitur vitae, feugiat id quam.</p>\r\n<p>Sed pretium sodales nulla, non faucibus diam varius a. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla id hendrerit eros, eget pretium tellus. Ut lacinia ultrices purus, eu cursus nisi congue in. Etiam malesuada dictum diam at sollicitudin. Morbi tristique lectus ut nisi porta consequat. Fusce in justo blandit, fermentum sem sit amet, laoreet urna. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;</p>',4,'tabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Rasa2-zentabs\"}',0,'*'),
	(385,1497,'Zentools Filter','','',1,'grid8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"count\":\"9\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,column2,column3,column4,tweet,text,more,isfeatured\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"strong\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"50\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"zen-boxed\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"1\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"200\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Large\",\"tabletPortrait\":\"Large\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"800\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(386,1500,'Top1','','<p>Top1</p>',1,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(387,1501,'Top2','','<p>Top2</p>',1,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(388,1502,'Top3','','<p>Top3</p>',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(392,1506,'Zen Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_zenmenu',1,0,'{\"responsive\":\"offcanvas\",\"menustyle\":\"horizontal\",\"menualign\":\"left\",\"animation\":\"below\",\"widthstyle\":\"none\",\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(393,1516,'Off Canvas','','<p>This is the offcanvas position.</p>\r\n<p>This position can be populated by a standard Joomla module or by the menu contents if nav collapse option is set to offcanvas in the template settings.</p>',1,'offcanvas',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(394,1517,'Banner Slogan','','<h2 style=\"text-align: center;\">A streamlined approach to Joomla templating.</h2>\r\n<h2 style=\"text-align: center;\">Lightweight and speedy straight out of the box*.</h2>\r\n<p style=\"text-align: center;\">* Xero scores 90+/100 in <a href=\"https://developers.google.com/speed/pagespeed/insights/?url=http%3A%2F%2Fbambootheme.com%2Fshowcase%2Fxero%2F&amp;tab=desktop\">Google page speed test</a> with it\'s default settings and few little additions to your htaccess file.</p>',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(395,1518,'Beautiful UI','','<p>Xero features a simple, uncluttered and clearly defined interface for controlling it\'s many features. It follows a clearly articulated feature hierarchy so you won\'t get lost taking control.</p>',1,'grid7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(396,1519,'A Light Footprint','','<p>Xero uses a lightweight css and js framework which ensures that your css and js files are small and don\'t slow down your site\'s load time.</p>',1,'grid6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(397,1520,'Built in Optimisation Tools','','<p>Xero features a selection of built in tools for optimising your site\'s performance including a less compiler, script compressor, basic cdn functionality, gzip feature, script stripper and more.</p>',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(398,1521,'Selective Bootstrap Implementation','','<p>Xero is Bootstrap independent but features the ability to selectively add bootstrap css elements that may be required by 3rd party components. No need to add the entire Bootstrap library unless you need it.</p>',1,'grid12',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(399,1522,'Mega Menu','','<p>Xero uses our own Megamenu module which comes in the form of a module and plugin. Easily add captions to menu items, modules in a dropdown menu, menu icons, multiple columns and more.</p>',4,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(400,1526,'Responsive Menu options','','<p>Choose from a selection of responsive menu patterns including off canvas, toggle menu, select menu and more.</p>',23,'grid16',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(401,1564,'Easy Asset Control','','<p>Xero makes it super easy to add more scripts, css files, edits to layouts etc. Assets can be added to the builtin compressor via the admin UI or via the assets.xml file.</p>',1,'grid15',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(402,1556,'Top3','','<p>Top3</p>',1,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(403,1527,'Top4','','<p>Top4</p>',1,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(404,1588,'Main Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(405,1568,'Sidebar1','','<p>This module is the sidebar1 position.</p>',1,'sidebar1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(406,1635,'Border primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',31,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(407,1631,'Border primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',32,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(408,1638,'Border primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',33,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(409,1621,'Border secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',20,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(410,1626,'Border secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',21,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(411,1630,'Border secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',22,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"border secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(412,1644,'Inset Primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',39,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(413,1647,'Inset Primary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',40,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(414,1639,'Inset Secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',35,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(415,1622,'Inset Shadow','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',29,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset shadow\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(416,1632,'Inset Secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',28,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" inset secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(417,1655,'Corner Primary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',43,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(418,1648,'Corner Secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',46,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" corner secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(419,1650,'Hot Primary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',49,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(420,1652,'Hot Primary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',51,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(421,1658,'Hot Secondary2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',54,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(422,1660,'Hot Secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',56,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"hot secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(423,1627,'New Primary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',23,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(424,1633,'New Primary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',25,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(425,1636,'New Secondary1','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',26,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new secondary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(426,1645,'New Secondary3','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',47,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new secondary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(427,1656,'Rounded','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',52,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"rounded\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(428,1664,'Large','','<p>The large module class makes any icons created in the module using the Zen Shortcode plugin large.</p>\r\n<p>{zen-heart}<span style=\"line-height: 15.8079996109009px;\">{/zen-heart}</span></p>',62,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"large\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(429,1659,'Right-heading','','<p>The right-heading class suffix makes the module title align to the right.</p>',57,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"right-heading\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(430,1661,'Centered','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',58,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"centered\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(431,1662,'Center-heading','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec venenatis dictum sem, eu lacinia ligula dictum eget.</p>',59,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"center-heading\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(432,1653,'This is an example of a small-heading class','','<p>You may need to use this class if you have a long module title and large font size for module title headings.</p>',50,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"small-heading\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(433,1612,'Icon Example 6','','<p><span style=\"line-height: 15.8079996109009px;\">This module uses the zen-</span>icon zen-icon-cog large primary3<span style=\"line-height: 15.8079996109009px;\"> module class.</span></p>',7,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-cog large primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(434,1610,'Icon Example 9','','<p><span style=\"line-height: 15.8079996109009px;\">This module uses the </span>zen-icon zen-icon-home primary1<span style=\"line-height: 15.8079996109009px;\"> module class.</span></p>',10,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-home primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(435,1616,'Icon Example 11','','<p>This module uses the zen-icon zen-icon-umbrella medium secondary2 class.</p>',12,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-umbrella medium secondary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(436,1614,'Icon Example 8','','<p>This module uses the zen-icon zen-icon-umbrella medium primary1 class.</p>',9,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-desktop medium primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(437,1611,'Icon Example 2','','<p>This module uses the zen-icon zen-icon-spinner primary2 class.</p>',3,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-spinner  primary2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(438,1613,'Icon Example 7','','<p>This module uses the zen-icon zen-icon-code primary3 class.</p>',8,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-code  primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(439,1607,'Icon Example 3','','<p>This module uses the zen-icon zen-icon-bullseye large primary3 class.</p>',4,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-bullseye  large primary3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(440,1608,'Icon Example 5','','<p>This module uses the zen-icon zen-icon-users large bottom class.</p>',6,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"zen-icon zen-icon-users large bottom\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(441,1566,'JB Maps2','','',1,'breadcrumb',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_jbmaps2',1,0,'{\"mappresets\":\"map-box\",\"mapsearch\":\"london\",\"mapwidth\":\"2000px\",\"mapheight\":\"300px\",\"mapzoom\":\"16\",\"maptilt\":\"0\",\"mapheading\":\"0\",\"mapcentlat\":51.5072991472,\"mapcentlon\":-0.1277583,\"maptype\":\"ROADMAP\",\"mapdraggable\":\"1\",\"markerinfobehaviour\":\"click\",\"markerdata\":\"[[0,53.330872983017066,19.2041015625,\\\"\\\",\\\"http:\\/\\/maps.google.com\\/mapfiles\\/marker.png\\\",\\\"\\\"],[1,51.481382896100975,-0.087890625,\\\"\\\",\\\"http:\\/\\/maps.google.com\\/mapfiles\\/marker.png\\\",\\\"\\\"]]\",\"mapweatherlayer\":\"0\",\"mapweatherunits\":\"google.maps.weather.TemperatureUnit.CELSIUS\",\"mapwindunits\":\"google.maps.weather.WindSpeedUnit.METERS_PER_SECOND\",\"mapweatherlabels\":\"0\",\"mapcloudlayer\":\"0\",\"maptrafficlayer\":\"0\",\"maptransitlayer\":\"0\",\"mapbicyclinglayer\":\"0\",\"mappanoramiolayer\":\"0\",\"mappanoramiotag\":\"\",\"mapkmllayer\":\"\",\"mapcustomstyle\":\"[{\\\"featureType\\\":\\\"water\\\",\\\"stylers\\\":[{\\\"saturation\\\":43},{\\\"lightness\\\":-11},{\\\"hue\\\":\\\"#0088ff\\\"}]},{\\\"featureType\\\":\\\"road\\\",\\\"elementType\\\":\\\"geometry.fill\\\",\\\"stylers\\\":[{\\\"hue\\\":\\\"#ff0000\\\"},{\\\"saturation\\\":-100},{\\\"lightness\\\":99}]},{\\\"featureType\\\":\\\"road\\\",\\\"elementType\\\":\\\"geometry.stroke\\\",\\\"stylers\\\":[{\\\"color\\\":\\\"#808080\\\"},{\\\"lightness\\\":54}]},{\\\"featureType\\\":\\\"landscape.man_made\\\",\\\"elementType\\\":\\\"geometry.fill\\\",\\\"stylers\\\":[{\\\"color\\\":\\\"#ece2d9\\\"}]},{\\\"featureType\\\":\\\"poi.park\\\",\\\"elementType\\\":\\\"geometry.fill\\\",\\\"stylers\\\":[{\\\"color\\\":\\\"#ccdca1\\\"}]},{\\\"featureType\\\":\\\"road\\\",\\\"elementType\\\":\\\"labels.text.fill\\\",\\\"stylers\\\":[{\\\"color\\\":\\\"#767676\\\"}]},{\\\"featureType\\\":\\\"road\\\",\\\"elementType\\\":\\\"labels.text.stroke\\\",\\\"stylers\\\":[{\\\"color\\\":\\\"#ffffff\\\"}]},{\\\"featureType\\\":\\\"poi\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"off\\\"}]},{\\\"featureType\\\":\\\"landscape.natural\\\",\\\"elementType\\\":\\\"geometry.fill\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"on\\\"},{\\\"color\\\":\\\"#b8cb93\\\"}]},{\\\"featureType\\\":\\\"poi.park\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"on\\\"}]},{\\\"featureType\\\":\\\"poi.sports_complex\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"on\\\"}]},{\\\"featureType\\\":\\\"poi.medical\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"on\\\"}]},{\\\"featureType\\\":\\\"poi.business\\\",\\\"stylers\\\":[{\\\"visibility\\\":\\\"simplified\\\"}]}]\",\"loadmapsapi\":\"1\",\"trigger\":\"\",\"triggerdelay\":0,\"dnsprefetch\":\"1\",\"moduleclass_sfx\":\"border nopadding\",\"layout\":\"_:default\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(442,1619,'Front Image','','<p><img style=\"display: block; margin-left: auto; margin-right: auto;\" src=\"http://www.joomlabamboo.com/images/xero-macbook-compressor.jpg\" alt=\"Xero Template\" /></p>',1,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(443,1527,'Frontpage Slideshow','','',1,'abovecontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"image,title,date\",\"unuseditems\":\"text,category,more,column2,column3,column4,tweet,isfeatured,tags,author\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"j\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"680\",\"image_height\":\"275\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"standard\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"discs\",\"slideshowPaginationPos\":\"zencenter\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"hidden-phones\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(444,1528,'Featured Items','','',1,'abovecontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_zentools',1,1,'{\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"category,more,column4,tweet,date,column3,text,isfeatured,column2,tags,author\",\"col1Width\":\"twelve\",\"col2Width\":\"six\",\"col3Width\":\"six\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"15\",\"titleSuffix\":\"...\",\"authorpretext\":\"\",\"wordCount\":\"40\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"full\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenborder\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(445,1529,'Biography of a maker','','<p><img src=\"images/democontent/face.jpg\" alt=\"\" /></p>\r\n<blockquote>\r\n<p>Scelerisque id ad curae curabitur vestibulum aenean et pretium ullamcorper mi quam condimentum.</p>\r\n</blockquote>',6,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(446,1530,'About Us','','<h2>Rasa2</h2>\r\n<p>Bespoke minimalism driven within a heart of being. Lightness beyond light, success beyond success ...</p>\r\n<h4>We accept these cards</h4>\r\n<p><img class=\"floatleft\" src=\"images/democontent/creditcards/americanexpress.png\" alt=\"\" /><img class=\"floatleft\" src=\"images/democontent/creditcards/discover.png\" alt=\"\" /><img class=\"floatleft\" src=\"images/democontent/creditcards/mastercard.png\" alt=\"\" /><img class=\"floatleft\" src=\"images/democontent/creditcards/visa.png\" alt=\"\" /></p>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(447,1531,'Quote for today','','<blockquote>\r\n<p>Mastering others is strength. Mastering yourself is true power.</p>\r\n</blockquote>\r\n<p><small>- Lao Tzu</small></p>',-2,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(448,1532,'Powerful Services','','<ul>\r\n<li>{zen-heart}{/zen-heart}Service oriented focus</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-envelope}{/zen-envelope}</span>Jubilant specialist weather</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-user}{/zen-user}</span>Power control sit down</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-signal}{/zen-signal}</span>Wanton Wantons</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-adjust}{/zen-adjust}</span>Lorem Ipsum Styling</li>\r\n</ul>',7,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(449,1533,'Triumvirate Special','','<p>We can also help to solve these problems:</p>\r\n<ul>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-film}{/zen-film} </span>Californian deadwood</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-thumbs-up}{/zen-thumbs-up} </span>East Japanese newsroom</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-star}{/zen-star}</span>Uruguay apple pie</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-car}{/zen-car} </span>Corrupt species</li>\r\n<li><span style=\"line-height: 15.8079996109009px;\">{zen-codepen}{/zen-codepen}</span>Environmental tools</li>\r\n</ul>',9,'sidebar2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"primary1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(450,1534,'Popular Items','','<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li>\r\n<li>Maecenas eu diam dapibus, aliquam diam ac.</li>\r\n<li>Integer vitae lacus sit amet elit luctus condimentum.</li>\r\n<li>Ut efficitur velit nec leo sodales consequat.</li>\r\n<li>Maecenas euismod lectus at dignissim dictum.</li>\r\n</ul>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(451,1535,'New Items','','<ul>\r\n<li>Praesent ornare velit et laoreet luctus.</li>\r\n<li>Morbi fringilla libero id quam commodo.</li>\r\n<li>Sed feugiat libero ut libero placerat ultricies.</li>\r\n<li>In mollis urna vel lorem accumsan.</li>\r\n<li>Pellentesque sed dolor scelerisque.</li>\r\n<li>Mauris sed metus id nunc porta ultricies.</li>\r\n</ul>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(452,1536,'Header slogan','','<blockquote>\r\n<p>This is the power and the passion</p>\r\n</blockquote>',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(453,1537,'Header Slogan','','',1,'header',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"text\",\"unuseditems\":\"title,image,date,category,more,column2,column3,column4,tweet,isfeatured,tags,author\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"15\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"j\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"flat\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"discs\",\"slideshowPaginationPos\":\"zenright\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(469,1541,'A tab position','','<p><img class=\"border\" src=\"images/democontent/600px/unsplash_52d5c05422a47_1.jpg\" alt=\"\" /></p>',1,'zentabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zentabs\"}',0,'*'),
	(470,1542,'The last tab position','','<p><img class=\"border\" src=\"images/democontent/lazy-summer/IMG_0324.jpg\" alt=\"\" /></p>\r\n<p> </p>',1,'zentabs',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"Focus2-zentabs\"}',0,'*'),
	(475,1557,'Banner Row','','<h3 style=\"text-align: left;\">One page makes it possible to smoothly scroll to various rows on the page.</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(476,1558,'Grid1 Row','','<h3 style=\"text-align: left;\">Simply publish a module to a module in a row and the template does the rest.</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(477,1559,'Grid2 Row','','<h3 style=\"text-align: left;\">You can use the template css effects to animate the content as the user scrolls down.</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'grid5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(478,1560,'Grid3 Row','','<h3>Quisque a nunc consectetur, blandit nulla nec, semper odio..</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(479,1561,'Grid4 Row','','<h3>Quisque a nunc consectetur, blandit nulla nec, semper odio..</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',3,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(480,1562,'Grid5 Row','','<h3>Quisque a nunc consectetur, blandit nulla nec, semper odio..</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'grid17',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(481,1563,'Grid6 Row','','<h3>Quisque a nunc consectetur, blandit nulla nec, semper odio..</h3>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>',1,'grid21',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(482,1577,'This month\'s activity','','',1,'abovecontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_skillset',1,1,'{\"display\":\"skills\",\"color\":\"#bdd684\",\"skills\":\"Made,65,#8abd0b,#7caa0a|Bought,30,#01aced,#019bd5|Sold,90,#bdd684,#aac177|\",\"jquery-load\":\"1\",\"css-load\":\"1\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(483,1580,'Banner Slogan','','<blockquote>\r\n<p style=\"text-align: center;\">This is the banner row.</p>\r\n</blockquote>',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"bigpadding\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(484,1581,'Front Slideshow','','',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_zentools',1,0,'{\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"slideshow\",\"contentSource\":\"2\",\"useditems\":\"text\",\"unuseditems\":\"title,image,date,category,more,column2,column3,column4,tweet,isfeatured,tags,author\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"17\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"200\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"j\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"flat\",\"overlayAnimation\":\"0\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"slide\",\"slideshowSpeed\":\"10000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"discs\",\"slideshowPaginationPos\":\"zencenter\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"bigpadding\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(485,1590,'Exhibitions','','',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_zentools',1,1,'{\"count\":\"5\",\"link\":\"0\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"list\",\"contentSource\":\"2\",\"useditems\":\"title,category,date,text\",\"unuseditems\":\"more,column3,column4,tweet,isfeatured,tags,image,column2,author\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"22\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"0\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"1\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"0\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(486,1591,'Work','','',5,'grid13',214,'2015-01-03 06:39:56','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"count\":\"6\",\"link\":\"2\",\"linktarget\":\"_self\",\"altlink\":\"0\",\"extlinks\":\"5\",\"loadJquery\":\"0\",\"display_extralink\":\"0\",\"add_btnclass\":\"0\",\"extralink\":\"http:\\/\\/www.joomlabamboo.com\",\"extralinktext\":\"Extra link text\",\"layout\":\"grid\",\"contentSource\":\"2\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,more,column2,column3,column4,text,tweet,isfeatured,tags,author\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\",\"random_image\":\"0\",\"prefix\":\"0\",\"delimiter\":\"-\",\"separator\":\"+\",\"ebcatid\":\"\",\"parent\":[\"\"],\"joomlaContentSource\":\"categories\",\"catid\":[\"9\",\"10\",\"11\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"getChildren\":\"0\",\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h3\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"authorpretext\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br><br \\/>\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"overlayMore\":\"0\",\"animateMoreOverlay\":\"0\",\"usebtnclass\":\"0\",\"moresize\":\"1em\",\"morecolor\":\"#333\",\"moretopoffset\":\"50px\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dayFormat\":\"none\",\"dateFormat\":\"none\",\"monthFormat\":\"M\",\"yearFormat\":\"y\",\"dateOrder\":\"day-date-month-year\",\"dateSeparator\":\" \",\"gridstyle\":\"zen-boxed\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"animateOverlay\":\"1\",\"categoryFilter\":\"0\",\"filtershowall\":\"1\",\"filtertype\":\"category\",\"filterstart_joomla\":\"\",\"filterwidth\":\"\",\"pagStartPage\":\"1\",\"pagStartRange\":\"3\",\"pagMidRange\":\"3\",\"pagEndRange\":\"1\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"imageTitleAtt\":\"1\",\"responsiveimages\":\"0\",\"sourceImage\":\"Medium\",\"mobile\":\"Medium\",\"tabletPortrait\":\"Medium\",\"tabletLandscape\":\"Default\",\"desktopImage\":\"Default\",\"wideImage\":\"Default\",\"fullwidthimage\":\"auto\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"1\",\"imageFX\":\"0\",\"imageGrayscaleFx\":\"0\",\"accordionOpen\":\"1\",\"moduletheme\":\"default\",\"accordionSymbolOpen\":\"\\\\e819\",\"accordionSymbolClosed\":\"\\\\e818\",\"accordionPosition\":\"left\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"carouselstyle\":\"0\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"animateOverlayCarousel\":\"1\",\"slideshowTheme\":\"overlay\",\"overlayAnimation\":\"1\",\"slideshowAuto\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"slideshowPaginationPos\":\"zenleft\",\"slideshowTitleTheme\":\"zendark\",\"slideTitleWidth\":\"26%\",\"slideTitleHide\":\"800px\",\"itemsperpage\":\"3\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalMore\":\"0\",\"modalThumbTip\":\"1\",\"modalFooterTitle\":\"1\",\"modalWidth\":\"600\",\"stackedHeight\":\"400px\",\"twitterName\":\"joomlabamboo\",\"tweetText\":\"\",\"tweetCount\":\"yes\",\"tweetHashtag\":\"\",\"tweetLargeButton\":\"small\",\"scripts\":\"1\",\"moduleclass_sfx\":\"\",\"altlayout\":\"_:default\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(487,1592,'About Me','','<div class=\"zg-col zg-col-3\"><img class=\"border floatleft\" src=\"images/democontent/profile.jpg\" alt=\"\" /></div>\r\n<div class=\"zg-col zg-col-9\">\r\n<h2>I\'m a lover, a fighter and a <br />professional photographer.</h2>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>\r\n<p>Vestibulum iaculis faucibus fermentum. Suspendisse libero nibh, scelerisque a mauris ut, ullamcorper tempus erat. In sagittis enim nisl, a accumsan justo malesuada quis. Etiam vehicula diam interdum ipsum laoreet vehicula. Cras nunc massa, tristique vel cursus facilisis, dapibus quis urna. Nullam nec fringilla justo.</p>\r\n</div>',1,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(488,1599,'Exhibitions','','<h2>Over the last 20 years I\'ve exhibited in the best photography galleries across the world.</h2>\r\n<p> </p>\r\n<p>{zen-row}{zen-4}</p>\r\n<p><em>13th January, 2014</em></p>\r\n<p>{/zen-4} {zen-8}</p>\r\n<h2>Highfield Garden</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque blandit odio sed tortor efficitur, quis accumsan nisi aliquet. Nunc scelerisque arcu in tellus egestas facilisis. Suspendisse pellentesque rhoncus elit, nec luctus mauris iaculis tempus.</p>\r\n<p>{/zen-8}{/zen-row} {zen-row}{zen-4}</p>\r\n<p><em>20th March, 20013</em></p>\r\n<p>{/zen-4} {zen-8}</p>\r\n<h2>Whiskey-a-go-go</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque blandit odio sed tortor efficitur, quis accumsan nisi aliquet. Nunc scelerisque arcu in tellus egestas facilisis. Suspendisse pellentesque rhoncus elit, nec luctus mauris iaculis tempus.</p>\r\n<p>{/zen-8}{/zen-row} {zen-row}{zen-4}</p>\r\n<p><em>14th October January, 2011</em></p>\r\n<p>{/zen-4} {zen-8}</p>\r\n<h2>Mawson\'s Hut</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque blandit odio sed tortor efficitur, quis accumsan nisi aliquet. Nunc scelerisque arcu in tellus egestas facilisis. Suspendisse pellentesque rhoncus elit, nec luctus mauris iaculis tempus.</p>\r\n<p>{/zen-8}{/zen-row} {zen-row}{zen-4}</p>\r\n<p><em>20th June, 2010</em></p>\r\n<p>{/zen-4} {zen-8}</p>\r\n<h2>Equatorial Guinea</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque blandit odio sed tortor efficitur, quis accumsan nisi aliquet. Nunc scelerisque arcu in tellus egestas facilisis. Suspendisse pellentesque rhoncus elit, nec luctus mauris iaculis tempus.</p>\r\n<p>{/zen-8}{/zen-row} </p>',1,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(489,1600,'My work speaks for itself','','<h2>My work speaks for itself. </h2>',1,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(490,1667,'Make Contact','','',1,'grid17',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_sp_quickcontact',1,1,'{\"email\":\"design@joomlabamboo.com\",\"success\":\"Email was sent successfully.\",\"failed\":\"Email could not be sent.\",\"formcaptcha\":\"0\",\"captcha_question\":\"3 + 4 = ?\",\"captcha_answer\":\"7\",\"failed_captcha\":\"You have entered wrong captcha. Please try again.\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(491,1668,'Template Features','','',1,'offcanvas',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_latest',1,1,'{\"catid\":[\"8\",\"21\"],\"count\":\"20\",\"show_featured\":\"\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(492,1671,'belowcontent','','<blockquote>\r\n<p style=\"text-align: center;\">I love what I do and I do what I love ...</p>\r\n</blockquote>\r\n<p style=\"text-align: right;\"><small>- Anonymous</small></p>',1,'belowinner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*'),
	(493,1672,'belowcontent 2','','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam aliquet arcu sit amet dolor faucibus mollis. Aenean egestas finibus nulla, eu malesuada tellus vulputate id. In hac habitasse platea dictumst. Mauris at sem mauris. Vestibulum lobortis eros sit amet massa mattis accumsan. Vestibulum sed felis diam. Donec rhoncus ipsum a dignissim aliquam. Etiam euismod, est ac porta mattis, ligula nunc aliquet metus, ac ultrices lectus libero nec purus</p>',1,'belowcontent',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}',0,'*');

/*!40000 ALTER TABLE `#__modules` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__modules_menu
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__modules_menu`;

CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__modules_menu` WRITE;
/*!40000 ALTER TABLE `#__modules_menu` DISABLE KEYS */;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`)
VALUES
	(2,0),
	(3,0),
	(4,0),
	(6,0),
	(7,0),
	(8,0),
	(9,0),
	(10,0),
	(12,0),
	(13,0),
	(14,0),
	(15,0),
	(79,0),
	(86,0),
	(87,0),
	(88,194),
	(89,0),
	(90,0),
	(91,0),
	(92,0),
	(94,0),
	(95,0),
	(96,0),
	(97,0),
	(104,101),
	(105,101),
	(105,106),
	(106,0),
	(107,372),
	(109,129),
	(109,212),
	(116,129),
	(116,212),
	(117,129),
	(117,212),
	(118,129),
	(118,212),
	(119,-212),
	(119,-129),
	(120,0),
	(123,-376),
	(123,-375),
	(123,-355),
	(123,-354),
	(123,-353),
	(123,-349),
	(123,-348),
	(123,-347),
	(123,-302),
	(123,-299),
	(123,-212),
	(123,-211),
	(123,-101),
	(125,-376),
	(125,-375),
	(125,-355),
	(125,-354),
	(125,-353),
	(125,-349),
	(125,-348),
	(125,-347),
	(125,-302),
	(125,-212),
	(125,-211),
	(125,-101),
	(128,101),
	(129,0),
	(131,129),
	(132,129),
	(133,129),
	(136,129),
	(136,212),
	(137,129),
	(137,212),
	(138,129),
	(138,212),
	(139,129),
	(139,212),
	(142,129),
	(142,212),
	(144,129),
	(144,212),
	(145,129),
	(145,212),
	(146,129),
	(146,212),
	(147,129),
	(147,212),
	(148,129),
	(148,212),
	(149,129),
	(149,212),
	(150,129),
	(150,212),
	(151,129),
	(151,212),
	(152,129),
	(152,212),
	(153,129),
	(153,212),
	(154,129),
	(154,212),
	(155,129),
	(155,212),
	(156,129),
	(156,212),
	(157,129),
	(157,212),
	(158,129),
	(158,212),
	(159,129),
	(159,212),
	(160,129),
	(160,212),
	(161,129),
	(161,212),
	(162,129),
	(162,212),
	(163,129),
	(163,212),
	(165,129),
	(165,212),
	(166,129),
	(166,212),
	(167,129),
	(167,212),
	(168,129),
	(168,212),
	(169,129),
	(169,212),
	(170,129),
	(170,212),
	(171,129),
	(171,212),
	(171,297),
	(171,298),
	(171,299),
	(171,300),
	(171,301),
	(172,101),
	(172,117),
	(172,126),
	(172,129),
	(172,130),
	(172,132),
	(172,133),
	(172,134),
	(172,142),
	(172,143),
	(172,144),
	(172,145),
	(172,146),
	(172,147),
	(172,152),
	(172,188),
	(172,189),
	(172,190),
	(172,191),
	(172,192),
	(172,194),
	(172,195),
	(172,196),
	(172,197),
	(172,198),
	(172,199),
	(172,202),
	(172,204),
	(172,205),
	(172,206),
	(172,207),
	(172,209),
	(172,210),
	(172,211),
	(172,212),
	(172,213),
	(172,214),
	(172,215),
	(172,217),
	(172,218),
	(172,219),
	(172,220),
	(172,221),
	(172,222),
	(172,223),
	(172,224),
	(172,225),
	(172,272),
	(172,296),
	(172,297),
	(172,298),
	(172,299),
	(172,300),
	(172,301),
	(172,302),
	(172,339),
	(172,340),
	(172,341),
	(172,342),
	(172,346),
	(172,347),
	(172,348),
	(172,349),
	(172,350),
	(172,351),
	(172,352),
	(172,353),
	(172,354),
	(172,355),
	(176,117),
	(176,126),
	(176,129),
	(176,130),
	(176,132),
	(176,133),
	(176,134),
	(176,145),
	(176,152),
	(176,188),
	(176,189),
	(176,190),
	(176,191),
	(176,192),
	(176,194),
	(176,195),
	(176,196),
	(176,202),
	(176,209),
	(176,210),
	(176,211),
	(176,212),
	(176,218),
	(176,219),
	(176,220),
	(176,221),
	(176,222),
	(176,223),
	(176,224),
	(176,225),
	(176,272),
	(176,296),
	(176,341),
	(182,372),
	(183,129),
	(183,212),
	(184,129),
	(184,212),
	(185,129),
	(185,212),
	(186,129),
	(186,212),
	(187,129),
	(187,212),
	(189,216),
	(191,0),
	(193,130),
	(193,211),
	(194,130),
	(194,211),
	(195,130),
	(195,211),
	(196,130),
	(196,211),
	(197,130),
	(197,211),
	(198,130),
	(198,211),
	(199,130),
	(199,211),
	(200,130),
	(200,211),
	(201,130),
	(201,211),
	(202,130),
	(202,211),
	(203,130),
	(203,211),
	(206,130),
	(206,211),
	(207,130),
	(207,211),
	(208,130),
	(208,211),
	(209,130),
	(209,211),
	(210,130),
	(210,211),
	(211,130),
	(211,211),
	(212,130),
	(212,211),
	(213,130),
	(213,211),
	(215,130),
	(215,211),
	(216,130),
	(216,211),
	(217,130),
	(217,211),
	(218,130),
	(218,211),
	(219,130),
	(219,211),
	(221,130),
	(221,211),
	(222,130),
	(222,211),
	(223,130),
	(223,211),
	(224,0),
	(232,-212),
	(232,-211),
	(233,0),
	(235,129),
	(235,212),
	(236,101),
	(236,106),
	(245,101),
	(247,101),
	(248,101),
	(250,101),
	(250,106),
	(252,0),
	(255,0),
	(256,101),
	(262,0),
	(263,0),
	(264,-212),
	(272,0),
	(273,101),
	(273,117),
	(273,126),
	(273,129),
	(273,130),
	(273,132),
	(273,133),
	(273,134),
	(273,142),
	(273,143),
	(273,144),
	(273,145),
	(273,146),
	(273,147),
	(273,152),
	(273,188),
	(273,189),
	(273,190),
	(273,191),
	(273,192),
	(273,194),
	(273,195),
	(276,0),
	(280,0),
	(281,0),
	(282,0),
	(283,0),
	(284,101),
	(285,0),
	(286,0),
	(287,0),
	(288,0),
	(289,0),
	(290,0),
	(291,0),
	(292,0),
	(293,0),
	(294,0),
	(295,0),
	(296,101),
	(297,0),
	(298,-101),
	(299,-212),
	(299,-129),
	(300,-212),
	(300,-129),
	(301,-212),
	(301,-129),
	(302,-212),
	(302,-129),
	(304,0),
	(310,0),
	(312,0),
	(313,0),
	(314,0),
	(315,101),
	(316,101),
	(317,101),
	(318,132),
	(318,133),
	(318,134),
	(318,188),
	(318,189),
	(318,190),
	(318,191),
	(318,192),
	(318,194),
	(318,195),
	(318,196),
	(318,210),
	(318,212),
	(318,272),
	(318,296),
	(318,341),
	(318,346),
	(318,358),
	(318,362),
	(318,368),
	(319,0),
	(320,101),
	(321,101),
	(322,134),
	(322,222),
	(323,-302),
	(324,101),
	(325,0),
	(336,0),
	(337,0),
	(338,0),
	(339,0),
	(340,0),
	(341,0),
	(342,0),
	(343,0),
	(344,0),
	(345,0),
	(346,0),
	(347,0),
	(353,101),
	(353,378),
	(354,0),
	(355,0),
	(356,0),
	(357,0),
	(375,0),
	(376,0),
	(377,0),
	(378,0),
	(379,101),
	(380,101),
	(381,0),
	(382,101),
	(383,101),
	(384,129),
	(384,212),
	(385,101),
	(386,129),
	(386,212),
	(387,-378),
	(388,0),
	(392,0),
	(393,0),
	(394,101),
	(394,378),
	(395,101),
	(396,101),
	(397,101),
	(397,378),
	(398,101),
	(398,378),
	(399,101),
	(399,378),
	(400,101),
	(401,101),
	(402,-378),
	(403,129),
	(403,212),
	(404,0),
	(405,212),
	(405,298),
	(405,300),
	(405,301),
	(406,130),
	(406,211),
	(407,130),
	(407,211),
	(408,130),
	(408,211),
	(409,130),
	(409,211),
	(410,130),
	(410,211),
	(411,130),
	(411,211),
	(412,130),
	(412,211),
	(413,130),
	(413,211),
	(414,130),
	(414,211),
	(415,130),
	(415,211),
	(416,130),
	(416,211),
	(417,130),
	(417,211),
	(418,130),
	(418,211),
	(419,130),
	(419,211),
	(420,130),
	(420,211),
	(421,130),
	(421,211),
	(422,130),
	(422,211),
	(423,130),
	(423,211),
	(424,130),
	(424,211),
	(425,130),
	(425,211),
	(426,130),
	(426,211),
	(427,130),
	(427,211),
	(428,130),
	(428,211),
	(429,130),
	(429,211),
	(430,130),
	(430,211),
	(431,130),
	(431,211),
	(432,130),
	(432,211),
	(433,130),
	(433,211),
	(434,130),
	(434,211),
	(435,130),
	(435,211),
	(436,130),
	(436,211),
	(437,130),
	(437,211),
	(438,130),
	(438,211),
	(439,130),
	(439,211),
	(440,130),
	(440,211),
	(441,134),
	(441,222),
	(442,101),
	(442,378),
	(443,101),
	(444,101),
	(445,-395),
	(445,-382),
	(445,-381),
	(445,-355),
	(445,-354),
	(445,-353),
	(445,-352),
	(445,-349),
	(445,-348),
	(445,-347),
	(445,-302),
	(445,-212),
	(445,-211),
	(446,-212),
	(446,-129),
	(447,101),
	(448,-395),
	(448,-382),
	(448,-381),
	(448,-378),
	(448,-372),
	(448,-355),
	(448,-354),
	(448,-353),
	(448,-352),
	(448,-349),
	(448,-348),
	(448,-347),
	(448,-302),
	(448,-212),
	(448,-130),
	(449,-395),
	(449,-382),
	(449,-381),
	(449,-378),
	(449,-355),
	(449,-354),
	(449,-353),
	(449,-352),
	(449,-349),
	(449,-348),
	(449,-347),
	(449,-302),
	(449,-212),
	(449,-211),
	(449,-130),
	(450,-212),
	(450,-129),
	(451,-212),
	(451,-129),
	(452,0),
	(453,0),
	(469,0),
	(470,0),
	(471,381),
	(471,382),
	(471,395),
	(475,378),
	(476,378),
	(477,378),
	(478,378),
	(479,378),
	(480,378),
	(481,378),
	(482,101),
	(483,129),
	(483,212),
	(484,101),
	(485,101),
	(486,101),
	(487,101),
	(488,101),
	(489,101),
	(490,101),
	(491,0),
	(492,101),
	(492,117),
	(492,126),
	(492,129),
	(492,130),
	(492,132),
	(492,133),
	(492,134),
	(492,145),
	(492,152),
	(492,188),
	(492,189),
	(492,190),
	(492,191),
	(492,192),
	(492,194),
	(492,195),
	(492,196),
	(492,202),
	(492,209),
	(492,210),
	(492,211),
	(492,212),
	(492,218),
	(492,219),
	(492,220),
	(492,221),
	(492,222),
	(492,223),
	(492,224),
	(492,225),
	(492,272),
	(492,296),
	(492,297),
	(492,298),
	(492,299),
	(492,300),
	(492,301),
	(492,302),
	(492,341),
	(492,346),
	(492,347),
	(492,348),
	(492,349),
	(492,350),
	(492,351),
	(492,352),
	(492,353),
	(492,354),
	(492,355),
	(492,358),
	(492,359),
	(492,360),
	(492,361),
	(492,362),
	(492,363),
	(492,364),
	(492,365),
	(492,366),
	(492,367),
	(492,368),
	(492,369),
	(492,370),
	(492,371),
	(492,372),
	(492,373),
	(492,374),
	(492,375),
	(492,376),
	(492,377),
	(492,379),
	(492,380),
	(492,396),
	(493,101),
	(493,117),
	(493,126),
	(493,129),
	(493,130),
	(493,132),
	(493,133),
	(493,134),
	(493,145),
	(493,152),
	(493,188),
	(493,189),
	(493,190),
	(493,191),
	(493,192),
	(493,194),
	(493,195),
	(493,196),
	(493,202),
	(493,209),
	(493,210),
	(493,211),
	(493,212),
	(493,218),
	(493,219),
	(493,220),
	(493,221),
	(493,222),
	(493,223),
	(493,224),
	(493,225),
	(493,272),
	(493,296),
	(493,297),
	(493,298),
	(493,299),
	(493,300),
	(493,301),
	(493,302),
	(493,341),
	(493,346),
	(493,347),
	(493,348),
	(493,349),
	(493,350),
	(493,351),
	(493,352),
	(493,353),
	(493,354),
	(493,355),
	(493,358),
	(493,359),
	(493,360),
	(493,361),
	(493,362),
	(493,363),
	(493,364),
	(493,365),
	(493,366),
	(493,367),
	(493,368),
	(493,369),
	(493,370),
	(493,371),
	(493,372),
	(493,373),
	(493,374),
	(493,375),
	(493,376),
	(493,377),
	(493,379),
	(493,380),
	(493,396);

/*!40000 ALTER TABLE `#__modules_menu` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__newsfeeds
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__newsfeeds`;

CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__tags`;

CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__tags` WRITE;
/*!40000 ALTER TABLE `#__tags` DISABLE KEYS */;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`)
VALUES
	(1,0,0,9,0,'','ROOT',X'726F6F74','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',214,'2011-01-01 00:00:01','',0,'0000-00-00 00:00:00','','',0,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(2,1,1,2,1,'bushwick','Bushwick ',X'627573687769636B','','',1,0,'0000-00-00 00:00:00',1,'{\"tag_layout\":\"\",\"tag_link_class\":\"label label-info\",\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2014-02-27 01:09:50','',0,'0000-00-00 00:00:00','','',11,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(3,1,3,4,1,'tumblr','Tumblr',X'74756D626C72','','',1,0,'0000-00-00 00:00:00',1,'{\"tag_layout\":\"\",\"tag_link_class\":\"label label-info\",\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2014-02-27 01:09:58','',0,'0000-00-00 00:00:00','','',25,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(4,1,5,6,1,'cliche','cliche',X'636C69636865','','',1,0,'0000-00-00 00:00:00',1,'{\"tag_layout\":\"\",\"tag_link_class\":\"label label-info\",\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2014-02-27 01:10:08','',0,'0000-00-00 00:00:00','','',5,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(5,1,7,8,1,'voluptate','voluptate',X'766F6C757074617465','','',1,0,'0000-00-00 00:00:00',1,'{\"tag_layout\":\"\",\"tag_link_class\":\"label label-info\",\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',214,'2014-02-27 01:10:16','',0,'0000-00-00 00:00:00','','',9,'*',1,'0000-00-00 00:00:00','0000-00-00 00:00:00');

/*!40000 ALTER TABLE `#__tags` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__template_styles
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__template_styles`;

CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__template_styles` WRITE;
/*!40000 ALTER TABLE `#__template_styles` DISABLE KEYS */;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`)
VALUES
	(4,'beez3',0,'0','Beez3 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),
	(5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),
	(7,'protostar',0,'0','protostar - Default','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),
	(8,'isis',1,'1','isis - Default','{\"templateColor\":\"\",\"logoFile\":\"\"}'),
	(73,'rasa2',0,'0','Rasa2 - Default','[]'),
	(82,'focus2',0,'0','Focus2 - Frontpage','[]'),
	(83,'focus2',0,'1','Focus2 - Sub Page',''),
	(84,'focus2',0,'0','Focus2 - All Positions',''),
	(85,'focus2',0,'0','Focus2 - Left Sidebars',''),
	(86,'focus2',0,'0','Focus2 - Right Sidebars',''),
	(87,'focus2',0,'0','Focus2 - Left Main Right',''),
	(88,'focus2',0,'0','Focus2 - Module Classes',''),
	(89,'focus2',0,'0','Focus2 - Bootstrap 2',''),
	(90,'focus2',0,'0','Focus2 - Bootstrap 3','');

/*!40000 ALTER TABLE `#__template_styles` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__ucm_base
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__ucm_base`;

CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__ucm_base` WRITE;
/*!40000 ALTER TABLE `#__ucm_base` DISABLE KEYS */;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`)
VALUES
	(1,19,1,0),
	(2,57,1,0),
	(3,11,1,0),
	(4,41,1,0),
	(5,42,1,0),
	(6,20,1,0),
	(7,38,1,0),
	(8,79,1,0),
	(9,43,1,0),
	(10,44,1,0),
	(11,12,1,0),
	(12,21,1,0),
	(13,39,1,0),
	(14,78,1,0),
	(15,45,1,0),
	(16,64,1,0),
	(18,69,1,0),
	(19,54,1,0),
	(20,15,1,0),
	(21,10,1,0),
	(22,8,1,0),
	(23,7,1,0),
	(24,13,1,0),
	(25,128,13,0),
	(26,101,1,0),
	(27,102,1,0);

/*!40000 ALTER TABLE `#__ucm_base` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__ucm_content
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__ucm_content`;

CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields';

LOCK TABLES `#__ucm_content` WRITE;
/*!40000 ALTER TABLE `#__ucm_content` DISABLE KEYS */;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`)
VALUES
	(1,'com_content.article','About The Company',X'61626F75742D7468652D636F6D70616E79','<p>Pharetra eu eget nibh. Aliquam a quam ipsum. Ut viverra ultricies urna sit amet bibendum. In sapien turpis, mattis ut sagittis a, interdum id felis. Suspendisse potenti. Fusce scelerisque laoreet leo a porttitor. Cras condimentum facilisis dignissim. Nullam quam felis, varius non dictum ornare, volutpat sed est.</p>\r\n<p>{zen-quote}Nulla in elit dolor. Quisque ullamcorper, nisi ac pharetra dictum, orci leo porttitor orci, at vehicula leo magna vel orci. Praesent sit amet quam tellus. Nullam ut dictum massa. Ut pulvinar sollicitudin eros. Duis vehicula.{/zen-quote}</p>\r\n<p>{zen-author}A Happy Customer{/zen-author}</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:38:41',921,'2014-11-26 21:59:41','*','2012-12-20 08:38:41','0000-00-00 00:00:00',19,1620,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',1043,12,0,'','',13,'',1),
	(2,'com_content.article','Solid template framework',X'736F6C69642D74656D706C6174652D6672616D65776F726B','<h3>Zen to the power of T3.</h3>\n\n<p>This template is built on the powerful T3 template framework.</p>\n\n<p>T3 adds a new dimension to controlling and creating flexibile layouts for responsive Joomla templates and combined with the minimalism of our previous Zen Grid Framework templates, it\'s a combination that is hard to beat.</p>\n\n<p>T3 offers an incredible amount of control and flexibility. With it\'s easy to use drag and drop interface, the way you control what goes where in your website just got a whole lot easier.</p>\n\n<p> </p>\n\n<p><strong>Key features of the T3 framework:</strong></p>\n\n<ul>\n\n<li>Drag and drop templating interface</li>\n\n<li>Theme Magic interface for creating your own template style</li>\n\n<li>Less compiled templating system which enables you to do more with less code.</li>\n\n<li>High performance front and back end </li>\n\n<li>Built on Bootstrap to seamlessly work with other bootstrap based Joomla extensions</li>\n\n<li>Complete control over module positions and module position names</li>\n\n<li>Extended module chrome to leverage Bootstrap native functions such as sliders, tabs, modals and more.</li>\n\n</ul>\n\n<p> </p>',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-30 23:45:17',369,'2014-01-29 03:14:54','*','2012-12-30 23:45:17','0000-00-00 00:00:00',57,1399,'{\"image_intro\":\"images\\/democontent\\/documentation\\/t3-banner.png\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/documentation\\/t3-banner.png\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',83,8,0,'','',21,'',1),
	(3,'com_content.article','200 Park Av, New York',X'70726F6A6563742D31','<p>Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula.</p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:25:15',369,'2014-01-27 05:09:18','*','2012-12-20 08:25:15','0000-00-00 00:00:00',11,1376,'{\"image_intro\":\"images\\/democontent\\/products\\/14329604_s.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/products\\/14329604_s.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',445,31,3,'','',10,'',1),
	(4,'com_content.article','All about pink',X'616C6C2D61626F75742D70696E6B','<p><img class=\"border floatleft\" src=\"images/democontent/background/corona.jpg\" alt=\"\" /></p>\n\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"tags\":[7],\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 09:00:46',0,'2013-07-04 05:57:29','*','2012-12-20 09:00:46','0000-00-00 00:00:00',41,140,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}',1,4,5,'','',18,'',1),
	(5,'com_content.article','56 New Collins St, Melbourne',X'626573706F6B652D766572626F73697479','<p><span style=\"line-height: 1.3em;\">Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</span></p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 09:01:11',369,'2014-01-27 05:08:58','*','2012-12-20 09:01:11','0000-00-00 00:00:00',42,1391,'{\"image_intro\":\"images\\/democontent\\/products\\/14329574_s.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/products\\/14329574_s.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',1,9,4,'','',18,'',1),
	(6,'com_content.article','Carol Smith',X'6361726F6C2D736D697468','<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lacinia sem sed sem lobortis viverra.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:38:59',369,'2014-03-20 03:26:23','*','2012-12-20 08:38:59','0000-00-00 00:00:00',20,1493,'{\"image_intro\":\"images\\/democontent\\/imfree\\/5594281402_5dec82d035_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/5594281402_5dec82d035_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',17,9,4,'','',14,'',1),
	(7,'com_content.article','Alfred Stieglitz',X'656469736F6E','<blockquote>\r\n<p style=\"text-align: center;\">In photography there is a reality so subtle that it becomes more real than reality.</p>\r\n</blockquote>',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:45:35',214,'2014-12-19 22:58:12','*','2012-12-20 08:45:35','0000-00-00 00:00:00',38,1583,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',0,6,2,'','',17,'',1),
	(9,'com_content.article','Grass retrospective',X'67726173732D726574726F7370656374697665','<p><img class=\"border floatleft\" src=\"images/democontent/background/ipanema.jpg\" alt=\"\" /></p>\n\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"tags\":[7],\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 09:01:30',0,'2013-07-04 05:58:21','*','2012-12-20 09:01:30','0000-00-00 00:00:00',43,147,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}',0,4,3,'','',18,'',1),
	(10,'com_content.article','Inner growth',X'696E6E65722D67726F777468','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/parrot-55293_640.jpg\" alt=\"\" /></p>\n\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"tags\":[7],\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 09:02:15',0,'2013-07-04 05:58:31','*','2012-12-20 09:02:15','0000-00-00 00:00:00',44,149,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}',0,6,2,'','',18,'',1),
	(11,'com_content.article','Mobile solutions',X'70726F6A6563742D32','<p>Phasellus imperdiet purus id sapien vulputate et molestie nunc eleifend. Nulla nec purus consectetur purus gravida molestie non et ligula.</p>\n\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:25:31',369,'2014-02-27 01:11:26','*','2012-12-20 08:25:31','0000-00-00 00:00:00',12,1486,'{\"image_intro\":\"images\\/democontent\\/600px\\/62H.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/600px\\/62H.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',185,24,2,'','',10,'',1),
	(12,'com_content.article','Julie Sanders',X'6A756C69652D73616E64657273','<p>Integer elit lectus, porttitor eget aliquet ut, rhoncus sed dui. Sed sollicitudin ligula a nisi volutpat pretium. Quisque vitae nibh dolor, eu molestie tortor. Integer lobortis orci sit amet felis euismod semper. Etiam consectetur sem sagittis enim bibendum blandit.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:39:16',369,'2014-03-20 03:27:44','*','2012-12-20 08:39:16','0000-00-00 00:00:00',21,1496,'{\"image_intro\":\"images\\/democontent\\/imfree\\/9526431261_e7ea5d6acd_b.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/imfree\\/9526431261_e7ea5d6acd_b.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',18,11,3,'','',14,'',1),
	(13,'com_content.article','Ansell Adams',X'6D617877656C6C','<blockquote>\r\n<p style=\"text-align: center;\">Landscape photography is the supreme test of the photographer - and often the supreme disappointment.</p>\r\n</blockquote>',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:45:53',214,'2014-12-19 22:58:04','*','2012-12-20 08:45:53','0000-00-00 00:00:00',39,1582,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',0,6,1,'','',17,'',1),
	(14,'com_content.article','Menu setting',X'6D6567616D656E75','<p>Template provides various menu options for desktop and mobile devices. All menu options are located within template settings. </p>\n\n<p>In order to use all features provided by T3 framework select navigation type -&gt; Megamenu otherwise you won\'t be able to define dropdown animation or use advanced layout setting of Megamenu.</p>\n\n<p><img src=\"images/democontent/menu/menu_type.jpg\" alt=\"\" /></p>\n\n<p>Starting with T3 version 1.3.0 is megamenu setting on standalone page accessible via template setting.</p>\n\n<h4>Megamenu allows:</h4>\n\n<ul>\n\n<li>group submenus where 2nd level menu item serves as header for 3rd level menu items</li>\n\n<li>add icons to menu items (use FontAwesome icons, ex: icon-bug)</li>\n\n<li>add menu item captions</li>\n\n<li>add columns</li>\n\n<li>add rows</li>\n\n<li>add modules into specified row / column</li>\n\n</ul>\n\n<p> </p>\n\n<p><img src=\"images/democontent/menu/megamenu-configuration.jpg\" alt=\"\" /> </p>\n\n<h1 class=\"article-title\"><a href=\"#\">Mobile menu setting</a></h1>\n\n<p>For tablets and mobile devices is possible to choose between dropdown mobile menu and offcanvas mobile menu (inspired by Facebook menu).</p>\n\n<div class=\"grid_six\"><img src=\"images/democontent/menu/mobile-menu_normal.jpg\" alt=\"\" />\n\n<p class=\"caption\">Mobile dropdown menu</p>\n\n</div>\n\n<div class=\"grid_six zenlast\"><img src=\"images/democontent/menu/mobile-menu_offcanvas.jpg\" alt=\"\" />\n\n<p class=\"caption\">Mobile offcanvas menu</p>\n\n</div>',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2013-07-03 23:19:08',369,'2014-02-27 01:11:23','*','2013-07-03 23:19:08','0000-00-00 00:00:00',78,1485,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',12,12,0,'','',8,'',1),
	(15,'com_content.article','Midnight meadow',X'6D69646E696768742D6D6561646F77','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/boat-76188_640.jpg\" alt=\"\" /></p>\n\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\n\n',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"tags\":[7],\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 09:02:37',0,'2013-07-04 06:00:18','*','2012-12-20 09:02:37','0000-00-00 00:00:00',45,155,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}',0,6,1,'','',18,'',1),
	(16,'com_content.article','Module Chrome',X'6D6F64756C652D6368726F6D65','<p>This template comes with built in module style / chrome that can be used to implement core Bootstrap component functionality like tabbed layouts, sliders, modal windows and even the pop over display.</p>\n\n<p> </p>\n\n<h2 class=\"headline\">Granular control over module style</h2>\n\n<p class=\"subheading\">One of the key features of Joomla 3.0 is the ability to assign modules a specific module chrome.</p>\n\n<p>Prior to Joomal 3.0 each module position was required to have the module style hard coded into the template. There were certain workarounds available for doing this in versions prior to Joomla 3.0 but workarounds to Joomla always come at a cost.</p>\n\n<p> </p>\n\n<h3>Assigning a new module chrome to a module.</h3>\n\n<p>Assigning a new module style to a module is as simple as selecting a style from the drop down list in the module manager.</p>\n\n<p>1. In your module manager edit the moduel you want to assign the new chrome to.</p>\n\n<p>2. Click on the Advanced options tab</p>\n\n<p>3. Scroll down the page and select the module style from the select list.</p>\n\n<p>4. Click apply.</p>\n\n<p><img class=\"border\" src=\"images/democontent/documentation/chrome.png\" alt=\"chrome\" width=\"400\" height=\"567\" /></p>\n\n<h2 class=\"headline\">Module style examples</h2>\n\n<p class=\"subheading\">The following module styles are available in this template.</p>\n\n<ul>\n\n<li>zendefault - A default module chrome</li>\n\n<li>zentabs - a tabbed interface</li>\n\n<li>zenslider - use the module title to slide open or closed a module</li>\n\n</ul>',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-31 06:36:26',369,'2014-02-27 01:11:31','*','2012-12-31 06:36:26','0000-00-00 00:00:00',64,1487,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',156,11,5,'','',8,'',1),
	(18,'com_content.article','Module Overview',X'6D6F64756C6573','<p><span style=\"font-family: Arial, Helvetica, sans-serif; font-size: 14px; line-height: 1.3em;\">A myriad of module positions</span></p>\n\n<p class=\"subheading\">This template has 40+ module positions.</p>\n\n<p>You don\'t need to use all of them at the same time, but if you need a position, then it\'s highly likely that this template has got you covered. <a href=\"index.php?option=com_content&amp;view=article&amp;id=54&amp;Itemid=129\">More </a></p>\n\n<p> </p>\n\n<h2 class=\"headline\">A collection of classes</h2>\n\n<p class=\"subheading\">Eleven base classes that can be combined to create an unlimited number of module classes.</p>\n\n<p>Want to change the colour of a module? Easily add flavour to your layouts by adding simple to use moduel class suffixes for any of your modules. <a href=\"index.php?option=com_content&amp;view=article&amp;id=53&amp;Itemid=130\">More.</a></p>\n\n<p> </p>\n\n<h2 class=\"headline\">Bootstrap inspired module chrome</h2>\n\n<p class=\"subheading\">Create modal windows, tabs, sliders and popovers out of the box</p>\n\n<p>The module chrome functionality in this template provides an easy / out of the box solution for adding the core Bootstrap functionality within your  module layouts. <a href=\"index.php?option=com_content&amp;view=article&amp;id=64&amp;Itemid=145\">More</a>.</p>',-2,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2013-01-01 01:53:02',369,'2014-01-29 03:54:02','*','2013-01-01 01:53:02','0000-00-00 00:00:00',69,1402,'{\"image_intro\":\"images\\/democontent\\/documentation\\/modulepositions.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/documentation\\/modulepositions.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',242,7,0,'','',8,'',1),
	(19,'com_content.article','Module Positions',X'6D6F64756C652D706F736974696F6E73','<p><span style=\"line-height: 1.3em;\">This template is built using the Zen Grid Framework and contains 52 module positions for you to use to create flexible page layouts. For a full understanding of how the module positions work in framework compatible templates please visit the Zen Grid Framework documentation.</span></p>\n\n<p>The screenshot below highlights the modules available in this template. For a run down on how we created the demo site for this template please visit the setup menu item and review the documentation available there.</p>',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 23:30:27',369,'2014-01-29 03:53:31','*','2012-12-20 23:30:27','0000-00-00 00:00:00',54,1401,'{\"image_intro\":\"images\\/democontent\\/documentation\\/modulepositions.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/documentation\\/modulepositions.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',379,5,1,'','',21,'',1),
	(20,'com_content.article','News #1',X'6E6577732D31','<p><span style=\"line-height: 1.3em;\">Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</span></p>\n\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"extra-class\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:37:13',369,'2014-02-08 08:43:29','*','2012-12-20 08:37:13','0000-00-00 00:00:00',15,1441,'{\"image_intro\":\"images\\/democontent\\/600px\\/unsplash_52d5c05422a47_1.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/600px\\/unsplash_52d5c05422a47_1.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',42,11,3,'','',11,'',1),
	(21,'com_content.article','Aenean pulvinar, nisi',X'61656E65616E2D70756C76696E61722D6E6973692D7669746165','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:24:56',214,'2015-01-07 05:29:22','*','2012-12-20 08:24:56','0000-00-00 00:00:00',10,1673,'{\"image_intro\":\"images\\/democontent\\/ugmonk\\/A-Approaching-Tumult-under-gone-south.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/ugmonk\\/A-Approaching-Tumult-under-gone-south.jpeg\",\"float_fulltext\":\"none\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',767,24,0,'','',9,'',1),
	(22,'com_content.article','Class aptent taciti ',X'636C6173732D617074656E742D746163697469','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:24:20',214,'2014-12-19 12:09:41','*','2012-12-20 08:24:20','0000-00-00 00:00:00',8,1522,'{\"image_intro\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify6.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/deathtostockphoto\\/DeathtoStock_Simplify6.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',140,15,1,'','',9,'',1),
	(23,'com_content.article','Cras nec lorem eget',X'73657276696365732D31','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"2\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:23:54',214,'2014-12-20 22:15:27','*','2012-12-20 08:23:54','0000-00-00 00:00:00',7,1509,'{\"image_intro\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_intro\":\"none\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/lazy-summer\\/IMG_0324.jpg\",\"float_fulltext\":\"none\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',730,24,2,'','',9,'',1),
	(24,'com_content.article','Tonal development',X'70726F6A6563742D33','<p>Cras nec lorem eget ligula varius aliquet at et mi. Fusce id quam in justo suscipit porta. Fusce non nisl nunc, id vestibulum augue. Donec interdum sapien vitae sem condimentum vel adipiscing leo consequat. In quis nisi sed velit lobortis congue in vulputate risus. Aliquam molestie, risus sed congue ullamcorper, mauris lacus volutpat mauris, nec luctus est risus in libero.</p>\r\n',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:26:12',0,'2014-11-26 02:11:22','*','2012-12-20 08:26:12','0000-00-00 00:00:00',13,1618,'{\"image_intro\":\"images\\/democontent\\/ugmonk\\/photo-1416339442236-8ceb164046f8-compressor.jpeg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/democontent\\/ugmonk\\/photo-1416339442236-8ceb164046f8-compressor.jpeg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',168,26,1,'','',10,'',1),
	(26,'com_content.article','Paul Strand',X'656469736F6E2D32','<blockquote>\r\n<p style=\"text-align: center;\">Your photography is a record of your living, for anyone who really sees.</p>\r\n</blockquote>',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:45:35',214,'2014-12-20 02:46:26','*','2012-12-20 08:45:35','0000-00-00 00:00:00',101,1585,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',0,2,0,'','',17,'',1),
	(27,'com_content.article','Martin Parr',X'656469736F6E2D33','<blockquote>\r\n<p style=\"text-align: center;\">Photography is the simplest thing in the world, but it is incredibly complicated to make it really work.</p>\r\n</blockquote>',1,'',0,1,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"0\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',214,'','2012-12-20 08:45:35',214,'2014-12-20 02:47:22','*','2012-12-20 08:45:35','0000-00-00 00:00:00',102,1587,'{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}',0,2,0,'','',17,'',1);

/*!40000 ALTER TABLE `#__ucm_content` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__ucm_history
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__ucm_history`;

CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__viewlevels
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__viewlevels`;

CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__viewlevels` WRITE;
/*!40000 ALTER TABLE `#__viewlevels` DISABLE KEYS */;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`)
VALUES
	(1,'Public',0,'[1]'),
	(2,'Registered',1,'[6,2,8]'),
	(3,'Special',2,'[6,3,8]'),
	(5,'Guest',0,'[9]');

/*!40000 ALTER TABLE `#__viewlevels` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__weblinks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__weblinks`;

CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__weblinks` WRITE;
/*!40000 ALTER TABLE `#__weblinks` DISABLE KEYS */;

INSERT INTO `#__weblinks` (`id`, `catid`, `title`, `alias`, `url`, `description`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `images`)
VALUES
	(1,6,'JoomlaBamboo',X'6A6F6F6D6C6162616D626F6F','http://www.joomlabamboo.com','',0,1,0,'0000-00-00 00:00:00',1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2013-07-04 00:57:19',214,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\",\"tags\":null}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}'),
	(2,6,'JoomlaBamboo Documentation',X'6A6F6F6D6C6162616D626F6F2D646F63756D656E746174696F6E','http://docs.joomlabamboo.com','',0,1,0,'0000-00-00 00:00:00',2,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2013-07-04 00:57:43',214,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\",\"tags\":null}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}'),
	(3,6,'Joomla.org',X'6A6F6F6D6C612D6F7267','http://www.joomla.org','',0,1,0,'0000-00-00 00:00:00',3,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','2013-07-04 00:57:59',214,'','0000-00-00 00:00:00',0,'','','{\"robots\":\"\",\"rights\":\"\",\"tags\":null}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'{\"image_first\":\"\",\"float_first\":\"\",\"image_first_alt\":\"\",\"image_first_caption\":\"\",\"image_second\":\"\",\"float_second\":\"\",\"image_second_alt\":\"\",\"image_second_caption\":\"\"}');

/*!40000 ALTER TABLE `#__weblinks` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
